package com.chinaitop.depot;

import com.github.pagehelper.autoconfigure.PageHelperAutoConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.client.RestTemplate;

@EnableFeignClients
@EnableEurekaClient
@EnableDiscoveryClient
@EnableTransactionManagement
@MapperScan(basePackages = {"com.chinaitop.depot.*.mapper"})
@SpringBootApplication(exclude = PageHelperAutoConfiguration.class) //配置mybatis的配置文件使用，否则报多个分页插件
public class DepotStorageApplication {

    public static void main(String[] args) {
        SpringApplication.run(DepotStorageApplication.class, args);
    }

    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }
}
