package com.chinaitop.depot.business.controller;

import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetail;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetailExample;
import com.chinaitop.depot.business.service.BusinessDrugUseapplyDetailService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 药剂管理-药剂领用申请详情
 * @create 2018-08-24 14:16
 */
@RestController
@RequestMapping(value = "/depot/business/drugUseapplyDetail")
@Api(value = "BusinessDrugUseapplyDetailController", description = "药剂领用申请详情")
public class BusinessDrugUseapplyDetailController {

    @Resource
    private BusinessDrugUseapplyDetailService drugUseapplyDetailService;

    /**
     * 列表.
     *
     * @param pageNum  页码
     * @param pageSize 每页显示条数
     * @return
     */
    @RequestMapping(value = "/getList", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    @ApiOperation(value = "列表信息", notes = "列表信息, 支持分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "页码", paramType = "query", defaultValue = "1"),
            @ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "query", defaultValue = "10"),
            @ApiImplicitParam(name = "zid", value = "主表id", paramType = "query")
    })
    public PageInfo<BusinessDrugUseapplyDetail> getList(HttpServletRequest request, Integer pageNum, Integer pageSize, Integer zid) {
        // 获取组织id
        Integer orgId = (Integer) request.getSession().getAttribute("orgId");
        //查询条件
        BusinessDrugUseapplyDetailExample example = new BusinessDrugUseapplyDetailExample();
        BusinessDrugUseapplyDetailExample.Criteria createCriteria = example.createCriteria();
        if (null != zid)
            createCriteria.andZidEqualTo(zid);
        if (null != orgId)
            createCriteria.andOrgIdEqualTo(orgId);
        // 分页
        if (pageNum != null && pageSize != null)
            PageHelper.startPage(pageNum, pageSize);
        List<BusinessDrugUseapplyDetail> list = drugUseapplyDetailService.queryByExample(example);
        PageInfo<BusinessDrugUseapplyDetail> pageInfo = new PageInfo<>(list);
        return pageInfo;
    }
}
