package com.chinaitop.depot.business.controller;

import java.math.BigDecimal;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.business.mapper.BusinessDrugCheckDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugCheckMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugDestroyMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugInfoMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugPurchaseDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugPurchaseMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugRestoreDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugRestoreMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugStandingBookMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugStorageMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugUseDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugUseMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugUseapplyDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugUseapplyMapper;
import com.chinaitop.depot.business.model.BusinessDrugCheckDetail;
import com.chinaitop.depot.business.model.BusinessDrugCheckDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugCheckExample;
import com.chinaitop.depot.business.model.BusinessDrugDestroy;
import com.chinaitop.depot.business.model.BusinessDrugDestroyExample;
import com.chinaitop.depot.business.model.BusinessDrugInfo;
import com.chinaitop.depot.business.model.BusinessDrugInfoExample;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseExample;
import com.chinaitop.depot.business.model.BusinessDrugRestore;
import com.chinaitop.depot.business.model.BusinessDrugRestoreDetail;
import com.chinaitop.depot.business.model.BusinessDrugRestoreDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugRestoreExample;
import com.chinaitop.depot.business.model.BusinessDrugStandingBook;
import com.chinaitop.depot.business.model.BusinessDrugStandingBookExample;
import com.chinaitop.depot.business.model.BusinessDrugStorage;
import com.chinaitop.depot.business.model.BusinessDrugStorageExample;
import com.chinaitop.depot.business.model.BusinessDrugUse;
import com.chinaitop.depot.business.model.BusinessDrugUseDetail;
import com.chinaitop.depot.business.model.BusinessDrugUseDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugUseExample;
import com.chinaitop.depot.business.model.BusinessDrugUseapply;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetail;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyExample;
import com.chinaitop.depot.business.model.BusinessDrugInfoExample.Criteria;
import com.chinaitop.depot.business.service.BusinessDrugCheckDetailService;
import com.chinaitop.depot.business.service.BusinessDrugCheckService;
import com.chinaitop.depot.business.service.BusinessDrugDestroyService;
import com.chinaitop.depot.business.service.BusinessDrugRestoreService;
import com.chinaitop.depot.business.service.BusinessDrugStandingBookService;
import com.chinaitop.depot.business.service.BusinessDrugUseapplyDetailService;
import com.chinaitop.depot.business.model.BusinessDrugPurchase;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseDetail;

@RestController
public class Text {

	/**
	 * 
	 * 历史数据修改
	 */
	@Resource
    private BusinessDrugInfoMapper drugInfoMapper;
	@Resource
    private BusinessDrugPurchaseDetailMapper drugPurchaseDetailMapper;
	@Resource
    private BusinessDrugPurchaseMapper drugPurchaseMapper;
	@Resource
    private BusinessDrugStorageMapper drugStorageMapper;
	@Resource
    private BusinessDrugUseapplyMapper drugUseapplyMapper;
    @Resource
    private BusinessDrugUseapplyDetailMapper drugUseapplyDetailMapper;
    @Resource
    private BusinessDrugUseMapper drugUseMapper;
    @Resource
    private BusinessDrugUseDetailMapper drugUseDetailMapper;
    
    @Resource
    private BusinessDrugRestoreMapper restoreMapper;
    @Resource
    private BusinessDrugRestoreDetailMapper restoreDetailMapper;
    
    @Resource
    private BusinessDrugDestroyMapper drugDestroyMapper;
    
    @Autowired
    private BusinessDrugStandingBookMapper drugStandingBookMapper;
    
    @Resource
    private BusinessDrugCheckMapper drugCheckMapper;
    @Autowired
    private BusinessDrugCheckDetailMapper drugCheckDetailMapper;
    
    //采购申请主表
    @RequestMapping(value = "/purchase", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String purchase() {
    	
    	BusinessDrugPurchaseDetailExample example1 = new BusinessDrugPurchaseDetailExample();
        BusinessDrugPurchaseDetailExample.Criteria createCriteria1 = example1.createCriteria();
        List<BusinessDrugPurchaseDetail> list1 = drugPurchaseDetailMapper.selectByExample(example1);
        
        
        BusinessDrugPurchaseExample example2 = new BusinessDrugPurchaseExample();
        BusinessDrugPurchaseExample.Criteria createCriteria2 = example2.createCriteria();
        List<BusinessDrugPurchase> list2 = drugPurchaseMapper.selectByExample(example2);

        for (BusinessDrugPurchase businessDrugPurchase : list2) {
        	for (BusinessDrugPurchaseDetail businessDrugPurchaseDetail : list1) {
				if(businessDrugPurchase.getId().equals(businessDrugPurchaseDetail.getZid())){
					
					businessDrugPurchase.setApplyTotalCount(businessDrugPurchaseDetail.getApplyCount());
					BigDecimal BigDecimal =new BigDecimal(businessDrugPurchaseDetail.getApplyCount());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugPurchaseDetail.getApplyPrice());
					businessDrugPurchase.setApplyTotalAmount(BigDecimal.multiply(BigDecima2).toString());
					drugPurchaseMapper.updateByPrimaryKeySelective(businessDrugPurchase);
					break;
				}
				
			}
		}
        
        return "成功";
	}
    
    
	
    @RequestMapping(value = "/text", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String text() {
    	
    	BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example);   
        
        BusinessDrugPurchaseDetailExample example1 = new BusinessDrugPurchaseDetailExample();
        BusinessDrugPurchaseDetailExample.Criteria createCriteria1 = example1.createCriteria();
        List<BusinessDrugPurchaseDetail> list1 = drugPurchaseDetailMapper.selectByExample(example1);
        for (BusinessDrugPurchaseDetail businessDrugPurchaseDetail : list1) {
			for (BusinessDrugInfo businessDrugInfo : list) {
				if(businessDrugPurchaseDetail.getDrugNumber().equals(businessDrugInfo.getDrugNumber())){
					businessDrugPurchaseDetail.setApplyPrice(businessDrugInfo.getDrugSpecification());
					BigDecimal BigDecimal =new BigDecimal(businessDrugInfo.getDrugSpecification());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugPurchaseDetail.getApplyCount());
					businessDrugPurchaseDetail.setApplyAmount(BigDecimal.multiply(BigDecima2).toString());
					//drugPurchaseDetailMapper.updateByExampleSelective(businessDrugPurchaseDetail, example1);
					drugPurchaseDetailMapper.updateByPrimaryKeySelective(businessDrugPurchaseDetail);
					break;
				}
				
			}
			
		}
        
        
        BusinessDrugPurchaseExample example2 = new BusinessDrugPurchaseExample();
        BusinessDrugPurchaseExample.Criteria createCriteria2 = example2.createCriteria();
        List<BusinessDrugPurchase> list2 = drugPurchaseMapper.selectByExample(example2);

        for (BusinessDrugPurchase businessDrugPurchase : list2) {
        	for (BusinessDrugPurchaseDetail businessDrugPurchaseDetail : list1) {
				if(businessDrugPurchase.getId().equals(businessDrugPurchaseDetail.getZid())){
					businessDrugPurchase.setApplyTotalCount(businessDrugPurchaseDetail.getApplyAmount());
					BigDecimal BigDecimal =new BigDecimal(businessDrugPurchaseDetail.getApplyAmount());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugPurchaseDetail.getApplyPrice());
					businessDrugPurchase.setApplyTotalAmount(BigDecimal.multiply(BigDecima2).toString());
					drugPurchaseMapper.updateByPrimaryKeySelective(businessDrugPurchase);
					break;
				}
				
			}
		}
        
        return "成功";
	}
    
    
    //入库
    @RequestMapping(value = "/storage", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String storage() {
    	
    	BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example);   
        
       
        BusinessDrugStorageExample example1 = new BusinessDrugStorageExample();
        BusinessDrugStorageExample.Criteria createCriteria1 = example1.createCriteria();
        List<BusinessDrugStorage> list1 = drugStorageMapper.selectByExample(example1);
        for (BusinessDrugStorage businessDrugStorage : list1) {
        	for (BusinessDrugInfo businessDrugInfo : list) {
        		if(businessDrugStorage.getDrugNumber().equals(businessDrugInfo.getDrugNumber())){
        			System.out.println(111);
        			businessDrugStorage.setCreateUnit(businessDrugInfo.getDrugUnit());//规格单位
        			businessDrugStorage.setDrugSpecification(businessDrugInfo.getDrugSpecification());
        			BigDecimal BigDecimal =new BigDecimal(businessDrugInfo.getDrugSpecification());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugStorage.getStorageCount());
        			businessDrugStorage.setStoragePrice(BigDecimal.multiply(BigDecima2).toString());
        			businessDrugStorage.setDrugPacking(businessDrugInfo.getDrugPacking());
        			drugStorageMapper.updateByPrimaryKeySelective(businessDrugStorage);
        			break;
        		}
        		
        	}
		}
        return "成功";
	}
    
    
    //领用
    @RequestMapping(value = "/useApply", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String useApply() {
    	
    	BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example);   
        
        
        BusinessDrugUseapplyDetailExample example1 = new BusinessDrugUseapplyDetailExample();
        BusinessDrugUseapplyDetailExample.Criteria createCriteria1 = example1.createCriteria();
        List<BusinessDrugUseapplyDetail> list1 = drugUseapplyDetailMapper.selectByExample(example1);
        
        for (BusinessDrugUseapplyDetail businessDrugUseapplyDetail : list1) {
        	for (BusinessDrugInfo businessDrugInfo : list) {
				if(businessDrugUseapplyDetail.getDrugNumber().equals(businessDrugInfo.getDrugNumber())){
					businessDrugUseapplyDetail.setDrugSpecification(businessDrugInfo.getDrugSpecification());
					businessDrugUseapplyDetail.setDrugSpecificationUnit(businessDrugInfo.getDrugUnit());
					drugUseapplyDetailMapper.updateByPrimaryKeySelective(businessDrugUseapplyDetail);
					break;
				}
			}
		}
        
        
        
        
        BusinessDrugUseapplyExample example2 = new BusinessDrugUseapplyExample();
        BusinessDrugUseapplyExample.Criteria createCriteria2 = example2.createCriteria();
        List<BusinessDrugUseapply> list2 = drugUseapplyMapper.selectByExample(example2);
        for (BusinessDrugUseapply businessDrugUseapply : list2) {
            for (BusinessDrugUseapplyDetail businessDrugUseapplyDetail : list1) {
            	if(businessDrugUseapply.getId().equals(businessDrugUseapplyDetail.getZid())){
            		if(businessDrugUseapplyDetail.getDrugSpecification()!=null){
            			System.out.println(businessDrugUseapplyDetail.getId()+"****"+businessDrugUseapplyDetail.getDrugSpecification());
            			BigDecimal BigDecimal =new BigDecimal(businessDrugUseapplyDetail.getDrugSpecification());
    					BigDecimal BigDecima2 =new BigDecimal(businessDrugUseapply.getSumCount());
                		businessDrugUseapply.setTotalNumber(BigDecimal.multiply(BigDecima2).toString());
                		drugUseapplyMapper.updateByPrimaryKeySelective(businessDrugUseapply);
                		break;
            		}else{
            			System.out.println(businessDrugUseapplyDetail.getId());
            		}
            		
            	}
            }
		}
        
        return "成功";
	}
    
    
   //领用登记
    @RequestMapping(value = "/use", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String use() {
    	
    	BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example);   
        
        
        BusinessDrugUseDetailExample example1 = new BusinessDrugUseDetailExample();
        BusinessDrugUseDetailExample.Criteria createCriteria1 = example1.createCriteria();
        List<BusinessDrugUseDetail> list1 = drugUseDetailMapper.selectByExample(example1);
        for (BusinessDrugUseDetail businessDrugUseDetail : list1) {
        	for (BusinessDrugInfo businessDrugInfo : list) {
        		if(businessDrugUseDetail.getDrugNumber().equals(businessDrugInfo.getDrugNumber())){
        			businessDrugUseDetail.setDrugSpecification(businessDrugInfo.getDrugSpecification());
        			businessDrugUseDetail.setDrugSpecificationUnit(businessDrugInfo.getDrugUnit());
        			drugUseDetailMapper.updateByPrimaryKeySelective(businessDrugUseDetail);
        			break;
        		}
        	}
		}
        
        BusinessDrugUseExample example2 = new BusinessDrugUseExample();
        BusinessDrugUseExample.Criteria createCriteria2 = example2.createCriteria();
        List<BusinessDrugUse> list2 = drugUseMapper.selectByExample(example2);
        for (BusinessDrugUse businessDrugUse : list2) {
            for (BusinessDrugUseDetail businessDrugUseDetail : list1) {
        		//if(businessDrugUse.getId().equals(businessDrugUseDetail.getZid())){
            	System.out.println(businessDrugUse.getId()+"*******"+businessDrugUseDetail.getZid());
            	if(businessDrugUse.getId() == businessDrugUseDetail.getZid()){
        			BigDecimal BigDecimal =new BigDecimal(businessDrugUseDetail.getDrugSpecification());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugUse.getSumCount());
					businessDrugUse.setTotalNumber(BigDecimal.multiply(BigDecima2).toString());
					drugUseMapper.updateByPrimaryKeySelective(businessDrugUse);
            		break;
        		}
        	}
		}
        
        return "成功";
	}
    
    //领用主表
    @RequestMapping(value = "/usemain", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String usemain() {
    	
    	/*BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example);  */ 
        
        
        BusinessDrugUseDetailExample example1 = new BusinessDrugUseDetailExample();
        BusinessDrugUseDetailExample.Criteria createCriteria1 = example1.createCriteria();
        List<BusinessDrugUseDetail> list1 = drugUseDetailMapper.selectByExample(example1);
        
        BusinessDrugUseExample example2 = new BusinessDrugUseExample();
        BusinessDrugUseExample.Criteria createCriteria2 = example2.createCriteria();
        List<BusinessDrugUse> list2 = drugUseMapper.selectByExample(example2);
        for (BusinessDrugUse businessDrugUse : list2) {
            for (BusinessDrugUseDetail businessDrugUseDetail : list1) {
        		//if(businessDrugUse.getId().equals(businessDrugUseDetail.getZid())){
            	if(businessDrugUse.getId() == businessDrugUseDetail.getZid() || businessDrugUse.getId().equals(businessDrugUseDetail.getZid())){
        			
            		BigDecimal BigDecimal =new BigDecimal(businessDrugUseDetail.getDrugSpecification());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugUse.getSumCount());
					businessDrugUse.setTotalNumber(BigDecimal.multiply(BigDecima2).toString());
					drugUseMapper.updateByPrimaryKeySelective(businessDrugUse);
            		break;
        		}
        	}
		}
        
        return "成功";
	}
    
    //归还
    @RequestMapping(value = "/restore", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String restore() {
    	
    	BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example);   
        
        
        BusinessDrugRestoreDetailExample restoreExample1 = new BusinessDrugRestoreDetailExample();
        BusinessDrugRestoreDetailExample.Criteria criteria1 = restoreExample1.createCriteria();
        List<BusinessDrugRestoreDetail> list1 = restoreDetailMapper.selectByExample(restoreExample1);
        
        for (BusinessDrugRestoreDetail businessDrugRestoreDetail : list1) {
        	for (BusinessDrugInfo businessDrugInfo : list) {
        		if(businessDrugRestoreDetail.getDrugNumber().equals(businessDrugInfo.getDrugNumber())){
        			businessDrugRestoreDetail.setDrugSpecification(businessDrugInfo.getDrugSpecification());
        			businessDrugRestoreDetail.setDrugSpecificationUnit(businessDrugInfo.getDrugUnit());
        			restoreDetailMapper.updateByPrimaryKeySelective(businessDrugRestoreDetail);
        			break;
        		}
        	}
		}
        
        
        BusinessDrugRestoreExample restoreExample2 = new BusinessDrugRestoreExample();
        BusinessDrugRestoreExample.Criteria criteria2 = restoreExample2.createCriteria();
        List<BusinessDrugRestore> list2 = restoreMapper.selectByExample(restoreExample2);
        
        for (BusinessDrugRestore businessDrugRestore : list2) {
            for (BusinessDrugRestoreDetail businessDrugRestoreDetail : list1) {
        		if(businessDrugRestore.getId().equals(businessDrugRestoreDetail.getZid()) && businessDrugRestore.getUseCount()!=null){
        			BigDecimal BigDecimal =new BigDecimal(businessDrugRestoreDetail.getDrugSpecification());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugRestore.getUseCount());
					businessDrugRestore.setTotalNumber(BigDecimal.multiply(BigDecima2).toString());
					restoreMapper.updateByPrimaryKeySelective(businessDrugRestore);
            		break;
        		}
        	}
		}
        
        return "成功";
	}
    
    
    
    //销毁
    @RequestMapping(value = "/drugDestroy", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String drugDestroy() {
    	
    	BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example);   
        
       
        BusinessDrugDestroyExample example1 = new BusinessDrugDestroyExample();
        BusinessDrugDestroyExample.Criteria criteria1 = example1.createCriteria();
        List<BusinessDrugDestroy> list1 = drugDestroyMapper.selectByExample(example1);
        
        
        for (BusinessDrugDestroy businessDrugDestroy : list1) {
        	for (BusinessDrugInfo businessDrugInfo : list) {
        		if(businessDrugDestroy.getDrugKind().equals(businessDrugInfo.getDrugKind()) &&
        		   businessDrugDestroy.getDrugName().equals(businessDrugInfo.getDrugName()) &&
        		   businessDrugDestroy.getDrugType().equals(businessDrugInfo.getDrugType()) &&	
        		   businessDrugDestroy.getDrugType().equals(businessDrugInfo.getDrugType())	&&		
        		   businessDrugDestroy.getDrugUnit().equals(businessDrugInfo.getDrugUnit())	&&	
        		   businessDrugDestroy.getOrgId().equals(businessDrugInfo.getOrgId())){
        			
        			
        			businessDrugDestroy.setDrugNumber(businessDrugInfo.getDrugNumber());
        			businessDrugDestroy.setDrugPacking(businessDrugInfo.getDrugPacking());
        			businessDrugDestroy.setDrugSpecification(businessDrugInfo.getDrugSpecification());;
        			businessDrugDestroy.setDrugUnit(businessDrugInfo.getDrugUnit());
        			
        			BigDecimal BigDecimal =new BigDecimal(businessDrugDestroy.getDestroyAmount());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugDestroy.getDrugSpecification());
					businessDrugDestroy.setDestroyTotalNumber(BigDecimal.multiply(BigDecima2).toString());
					
					drugDestroyMapper.updateByPrimaryKeySelective(businessDrugDestroy);
					break;
					
        		}
        	}
        }
                return "成功";
        	}
    
    
    //台账
    @RequestMapping(value = "/standingBook", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String standingBook() {
    	
    	
    	BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example); 
        
    	BusinessDrugStandingBookExample example1 = new BusinessDrugStandingBookExample();
        BusinessDrugStandingBookExample.Criteria createCriteria1 = example1.createCriteria();
        List<BusinessDrugStandingBook> list1 = drugStandingBookMapper.selectByExample(example1);   
        
        
        for (BusinessDrugStandingBook businessDrugStandingBook : list1) {
        	for (BusinessDrugInfo businessDrugInfo : list) {
        		if(businessDrugStandingBook.getDrugNumber().equals(businessDrugInfo.getDrugNumber())){
        			
        			businessDrugStandingBook.setDrugSpecification(businessDrugInfo.getDrugSpecification());
        			businessDrugStandingBook.setDrugSpecificationUnit(businessDrugInfo.getDrugUnit());
        			
        			drugStandingBookMapper.updateByPrimaryKeySelective(businessDrugStandingBook);
        			break;
        		}
        		
        	}
		}
        return "成功";
	}
    
  //盘点
    @RequestMapping(value = "/check", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String check() {
    	
    	BusinessDrugInfoExample example = new BusinessDrugInfoExample();
        Criteria createCriteria = example.createCriteria();
        List<BusinessDrugInfo> list = drugInfoMapper.selectByExample(example);   
        
        
        BusinessDrugCheckDetailExample restoreExample1 = new BusinessDrugCheckDetailExample();
        BusinessDrugCheckDetailExample.Criteria criteria1 = restoreExample1.createCriteria();
        List<BusinessDrugCheckDetail> list1 = drugCheckDetailMapper.selectByExample(restoreExample1);
        
        for (BusinessDrugCheckDetail businessDrugCheckDetail : list1) {
        	for (BusinessDrugInfo businessDrugInfo : list) {
        		if(businessDrugCheckDetail.getDrugNumber().equals(businessDrugInfo.getDrugNumber())){
        			businessDrugCheckDetail.setDrugSpecification(businessDrugInfo.getDrugSpecification());
        			businessDrugCheckDetail.setDrugSpecificationUnit(businessDrugInfo.getDrugUnit());
        			drugCheckDetailMapper.updateByPrimaryKeySelective(businessDrugCheckDetail);
        			break;
        		}
        	}
		}
        
        
        return "成功";
	}
    
    
    
}
