package com.chinaitop.depot.business.controller;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.business.mapper.BusinessDrugCheckDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugCheckMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugDestroyMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugInfoMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugPurchaseDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugPurchaseMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugRestoreDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugRestoreMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugStandingBookMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugStorageMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugUseDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugUseMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugUseapplyDetailMapper;
import com.chinaitop.depot.business.mapper.BusinessDrugUseapplyMapper;
import com.chinaitop.depot.business.model.BusinessDrugCheckDetail;
import com.chinaitop.depot.business.model.BusinessDrugCheckDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugDestroy;
import com.chinaitop.depot.business.model.BusinessDrugDestroyExample;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseExample;
import com.chinaitop.depot.business.model.BusinessDrugRestore;
import com.chinaitop.depot.business.model.BusinessDrugRestoreDetail;
import com.chinaitop.depot.business.model.BusinessDrugRestoreDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugRestoreExample;
import com.chinaitop.depot.business.model.BusinessDrugStandingBook;
import com.chinaitop.depot.business.model.BusinessDrugStandingBookExample;
import com.chinaitop.depot.business.model.BusinessDrugStorage;
import com.chinaitop.depot.business.model.BusinessDrugStorageExample;
import com.chinaitop.depot.business.model.BusinessDrugUse;
import com.chinaitop.depot.business.model.BusinessDrugUseDetail;
import com.chinaitop.depot.business.model.BusinessDrugUseDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugUseExample;
import com.chinaitop.depot.business.model.BusinessDrugUseapply;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetail;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetailExample;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyExample;
import com.chinaitop.depot.business.model.BusinessDrugPurchase;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseDetail;

@RestController
public class TextType {

	/**
	 * 
	 * 历史数据修改数量
	 */
	@Resource
    private BusinessDrugInfoMapper drugInfoMapper;
	@Resource
    private BusinessDrugPurchaseDetailMapper drugPurchaseDetailMapper;
	@Resource
    private BusinessDrugPurchaseMapper drugPurchaseMapper;
	@Resource
    private BusinessDrugStorageMapper drugStorageMapper;
	@Resource
    private BusinessDrugUseapplyMapper drugUseapplyMapper;
    @Resource
    private BusinessDrugUseapplyDetailMapper drugUseapplyDetailMapper;
    @Resource
    private BusinessDrugUseMapper drugUseMapper;
    @Resource
    private BusinessDrugUseDetailMapper drugUseDetailMapper;
    
    @Resource
    private BusinessDrugRestoreMapper restoreMapper;
    @Resource
    private BusinessDrugRestoreDetailMapper restoreDetailMapper;
    
    @Resource
    private BusinessDrugDestroyMapper drugDestroyMapper;
    
    @Autowired
    private BusinessDrugStandingBookMapper drugStandingBookMapper;
    
    @Resource
    private BusinessDrugCheckMapper drugCheckMapper;
    @Autowired
    private BusinessDrugCheckDetailMapper drugCheckDetailMapper;
    
    //采购申请
    @RequestMapping(value = "/text1", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String text() {
    	
    	BusinessDrugPurchaseDetailExample example1 = new BusinessDrugPurchaseDetailExample();
        BusinessDrugPurchaseDetailExample.Criteria createCriteria1 = example1.createCriteria();
        createCriteria1.andOrgIdEqualTo(122);
        //createCriteria1.andDrugNameEqualTo(3041);
        //createCriteria1.andApplyPriceEqualTo("0.5");
        List<BusinessDrugPurchaseDetail> list1 = drugPurchaseDetailMapper.selectByExample(example1);
        for (BusinessDrugPurchaseDetail businessDrugPurchaseDetail : list1) {
        	
        	BigDecimal BigDecimal =new BigDecimal(businessDrugPurchaseDetail.getApplyPrice());//子表规格型号
			BigDecimal BigDecima2 =new BigDecimal(businessDrugPurchaseDetail.getApplyCount());//子表申请数量
			//改变值
			businessDrugPurchaseDetail.setApplyCount(BigDecima2.divide(BigDecimal,3, BigDecimal.ROUND_HALF_DOWN).toString());
			BigDecimal BigDecima3 =new BigDecimal(businessDrugPurchaseDetail.getApplyCount());//子表申请数量
			businessDrugPurchaseDetail.setApplyAmount(BigDecima3.multiply(BigDecimal).toString());
			drugPurchaseDetailMapper.updateByPrimaryKeySelective(businessDrugPurchaseDetail);
        }
    	
        
        BusinessDrugPurchaseExample example2 = new BusinessDrugPurchaseExample();
        BusinessDrugPurchaseExample.Criteria createCriteria2 = example2.createCriteria();
        createCriteria2.andOrgIdEqualTo(122);
        //createCriteria2.andDrugNameEqualTo(3041);
        List<BusinessDrugPurchase> list2 = drugPurchaseMapper.selectByExample(example2);

        for (BusinessDrugPurchase businessDrugPurchase : list2) {
        	for (BusinessDrugPurchaseDetail businessDrugPurchaseDetail : list1) {
				if(businessDrugPurchase.getId().equals(businessDrugPurchaseDetail.getZid())){
					
					businessDrugPurchase.setApplyTotalCount(businessDrugPurchaseDetail.getApplyCount());//总数量
					businessDrugPurchase.setApplyTotalAmount(businessDrugPurchaseDetail.getApplyAmount());//总量
					drugPurchaseMapper.updateByPrimaryKeySelective(businessDrugPurchase);
					break;
				}
				
			}
		}
        
        return "成功";
	}
    
    
    //入库
    @RequestMapping(value = "/storage1", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String storage() {
    	
        
       
        BusinessDrugStorageExample example1 = new BusinessDrugStorageExample();
        BusinessDrugStorageExample.Criteria createCriteria1 = example1.createCriteria();
        createCriteria1.andOrgIdEqualTo(122);
        //createCriteria1.andDrugNameEqualTo(3041);
        //createCriteria1.andDrugSpecificationEqualTo("0.5");
        List<BusinessDrugStorage> list1 = drugStorageMapper.selectByExample(example1);
        for (BusinessDrugStorage businessDrugStorage : list1) {
        			
        			BigDecimal BigDecimal =new BigDecimal(businessDrugStorage.getDrugSpecification());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugStorage.getStorageCount());
					businessDrugStorage.setStorageCount(BigDecima2.divide(BigDecimal,3, BigDecimal.ROUND_HALF_DOWN).toString());
					BigDecimal BigDecima3 =new BigDecimal(businessDrugStorage.getStorageCount());
        			businessDrugStorage.setStoragePrice(BigDecimal.multiply(BigDecima3).toString());
        			drugStorageMapper.updateByPrimaryKeySelective(businessDrugStorage);
        			
        }
        return "成功";
	}
    
    
    //领用
    @RequestMapping(value = "/useApply1", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String useApply() {
    	
    	
        
        BusinessDrugUseapplyDetailExample example1 = new BusinessDrugUseapplyDetailExample();
        BusinessDrugUseapplyDetailExample.Criteria createCriteria1 = example1.createCriteria();
        createCriteria1.andOrgIdEqualTo(122);
        //createCriteria1.andDrugNameEqualTo(3041);
        //createCriteria1.andDrugSpecificationEqualTo("0.5");
        List<BusinessDrugUseapplyDetail> list1 = drugUseapplyDetailMapper.selectByExample(example1);
        
        for (BusinessDrugUseapplyDetail businessDrugUseapplyDetail : list1) {

        	BigDecimal BigDecimal1 =new BigDecimal(businessDrugUseapplyDetail.getDrugSpecification());
			BigDecimal BigDecima2 =new BigDecimal(businessDrugUseapplyDetail.getUseCount()); //申请数量
			BigDecimal BigDecima3 =new BigDecimal(businessDrugUseapplyDetail.getShelfAmount()); //库存数量
			businessDrugUseapplyDetail.setUseCount(BigDecima2.divide(BigDecimal1,2, BigDecimal.ROUND_HALF_DOWN).toString());
			businessDrugUseapplyDetail.setShelfAmount(BigDecima3.divide(BigDecimal1,2, BigDecimal.ROUND_HALF_DOWN).toString());
			drugUseapplyDetailMapper.updateByPrimaryKeySelective(businessDrugUseapplyDetail);
				
		}
        
        BusinessDrugUseapplyExample example2 = new BusinessDrugUseapplyExample();
        BusinessDrugUseapplyExample.Criteria createCriteria2 = example2.createCriteria();
        createCriteria2.andOrgIdEqualTo(122);
        //createCriteria2.andDrugNameEqualTo(3041);
        
        List<BusinessDrugUseapply> list2 = drugUseapplyMapper.selectByExample(example2);
        for (BusinessDrugUseapply businessDrugUseapply : list2) {
            for (BusinessDrugUseapplyDetail businessDrugUseapplyDetail : list1) {
            	if(businessDrugUseapply.getId().equals(businessDrugUseapplyDetail.getZid())){
            		if(businessDrugUseapplyDetail.getDrugSpecification()!=null){
            			System.out.println(businessDrugUseapplyDetail.getId()+"****"+businessDrugUseapplyDetail.getDrugSpecification());
            			
            			BigDecimal BigDecimal =new BigDecimal(businessDrugUseapplyDetail.getDrugSpecification());
            			BigDecimal BigDecima2 =new BigDecimal(businessDrugUseapplyDetail.getUseCount()); //申请数量
            			
                		businessDrugUseapply.setTotalNumber(BigDecimal.multiply(BigDecima2).toString());
                		businessDrugUseapply.setSumCount(businessDrugUseapplyDetail.getUseCount());
                		drugUseapplyMapper.updateByPrimaryKeySelective(businessDrugUseapply);
                		break;
            		}else{
            			System.out.println(businessDrugUseapplyDetail.getId());
            		}
            		
            	}
            }
		}
        
        return "成功";
	}
    
    
   //领用登记------
    @RequestMapping(value = "/use1", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String use() {
    	
        
        BusinessDrugUseDetailExample example1 = new BusinessDrugUseDetailExample();
        BusinessDrugUseDetailExample.Criteria createCriteria1 = example1.createCriteria();
        createCriteria1.andOrgIdEqualTo(122);
        //createCriteria1.andDrugNameEqualTo(3041);
        //createCriteria1.andDrugSpecificationEqualTo("0.5");
        List<BusinessDrugUseDetail> list1 = drugUseDetailMapper.selectByExample(example1);
        for (BusinessDrugUseDetail businessDrugUseDetail : list1) {
        	BigDecimal BigDecimal =new BigDecimal(businessDrugUseDetail.getShelfAmount());//库存数量
			BigDecimal BigDecima2 =new BigDecimal(businessDrugUseDetail.getUseCount());//领用数量
			
			// 数量 * 规格 = 总量
			// 数量/规格 * 规格 = 总量 /规格
			BigDecimal BigDecima3 =new BigDecimal(businessDrugUseDetail.getDrugSpecification());//
        	businessDrugUseDetail.setShelfAmount(BigDecimal.divide(BigDecima3,2, BigDecimal.ROUND_HALF_DOWN).toString());
        	businessDrugUseDetail.setUseCount(BigDecima2.divide(BigDecima3,2, BigDecimal.ROUND_HALF_DOWN).toString());
        	drugUseDetailMapper.updateByPrimaryKeySelective(businessDrugUseDetail);
		}
        
        BusinessDrugUseExample example2 = new BusinessDrugUseExample();
        BusinessDrugUseExample.Criteria createCriteria2 = example2.createCriteria();
        createCriteria2.andOrgIdEqualTo(122);
       // createCriteria2.andDrugNameEqualTo(3041);
        List<BusinessDrugUse> list2 = drugUseMapper.selectByExample(example2);
        for (BusinessDrugUse businessDrugUse : list2) {
            for (BusinessDrugUseDetail businessDrugUseDetail : list1) {
        		if(businessDrugUse.getId().equals(businessDrugUseDetail.getZid())){
            	   System.out.println(businessDrugUse.getId()+"*******"+businessDrugUseDetail.getZid());
            	  //if(businessDrugUse.getId() == businessDrugUseDetail.getZid()){
            		
        			BigDecimal BigDecimal =new BigDecimal(businessDrugUseDetail.getDrugSpecification());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugUse.getSumCount());
					BigDecimal BigDecima3 =new BigDecimal(businessDrugUse.getTotalNumber());
					
					businessDrugUse.setTotalNumber(BigDecima3.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
					businessDrugUse.setSumCount(BigDecima2.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
					drugUseMapper.updateByPrimaryKeySelective(businessDrugUse);
            		break;
        		}
        	}
		}
        
        return "成功";
	}
    
    
    
    //归还
    @RequestMapping(value = "/restore1", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String restore() {
        
        BusinessDrugRestoreDetailExample restoreExample1 = new BusinessDrugRestoreDetailExample();
        BusinessDrugRestoreDetailExample.Criteria criteria1 = restoreExample1.createCriteria();
        
        criteria1.andOrgIdEqualTo(122);
        //criteria1.andDrugNameEqualTo(3041);
       // criteria1.andDrugSpecificationEqualTo("0.5");
        List<BusinessDrugRestoreDetail> list1 = restoreDetailMapper.selectByExample(restoreExample1);
        
        for (BusinessDrugRestoreDetail businessDrugRestoreDetail : list1) {
        	
        	if(businessDrugRestoreDetail.getRestoreNumber() != null){
        		BigDecimal BigDecimal =new BigDecimal(businessDrugRestoreDetail.getDrugSpecification());
    			BigDecimal BigDecima2 =new BigDecimal(businessDrugRestoreDetail.getRestoreNumber());
    			BigDecimal BigDecima3 =new BigDecimal(businessDrugRestoreDetail.getShelfAmount());
    			
            	businessDrugRestoreDetail.setShelfAmount(BigDecima3.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
            	businessDrugRestoreDetail.setRestoreNumber(BigDecima2.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
            	restoreDetailMapper.updateByPrimaryKeySelective(businessDrugRestoreDetail);
        	}
        	
        	
		}
        
        
        BusinessDrugRestoreExample restoreExample2 = new BusinessDrugRestoreExample();
        BusinessDrugRestoreExample.Criteria criteria2 = restoreExample2.createCriteria();
        criteria2.andOrgIdEqualTo(122);
        //criteria2.andDrugNameEqualTo(3041);
        List<BusinessDrugRestore> list2 = restoreMapper.selectByExample(restoreExample2);
        
        for (BusinessDrugRestore businessDrugRestore : list2) {
            for (BusinessDrugRestoreDetail businessDrugRestoreDetail : list1) {
        		if(businessDrugRestore.getId().equals(businessDrugRestoreDetail.getZid()) && businessDrugRestore.getUseCount()!=null){
        			
        			BigDecimal BigDecimal =new BigDecimal(businessDrugRestoreDetail.getDrugSpecification());
					BigDecimal BigDecima2 =new BigDecimal(businessDrugRestore.getUseCount());
					BigDecimal BigDecima3 =new BigDecimal(businessDrugRestore.getTotalNumber());
					
					businessDrugRestore.setUseCount(BigDecima2.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
					businessDrugRestore.setTotalNumber(BigDecima3.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
					restoreMapper.updateByPrimaryKeySelective(businessDrugRestore);
            		break;
        		}
        	}
		}
        
        return "成功";
	}
    
    
    
    //销毁
    @RequestMapping(value = "/drugDestroy1", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String drugDestroy() {
    	
    	
       
        BusinessDrugDestroyExample example1 = new BusinessDrugDestroyExample();
        BusinessDrugDestroyExample.Criteria criteria1 = example1.createCriteria();
        criteria1.andOrgIdEqualTo(122);
        //criteria1.andDrugNameEqualTo(3041);
        //criteria1.andDrugSpecificationEqualTo("0.5");
        List<BusinessDrugDestroy> list1 = drugDestroyMapper.selectByExample(example1);
        for (BusinessDrugDestroy businessDrugDestroy : list1) {
        	
        	BigDecimal BigDecimal =new BigDecimal(businessDrugDestroy.getDrugSpecification());
			BigDecimal BigDecima2 =new BigDecimal(businessDrugDestroy.getDestroyAmount());
			BigDecimal BigDecima3 =new BigDecimal(businessDrugDestroy.getDestroyTotalNumber());
			
			businessDrugDestroy.setDestroyAmount(BigDecima2.divide(BigDecimal).toString());
			businessDrugDestroy.setDestroyTotalNumber(BigDecima3.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
			drugDestroyMapper.updateByPrimaryKeySelective(businessDrugDestroy);
        }
        
                return "成功";
        	}
    
    
    //台账
    @RequestMapping(value = "/standingBook1", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String standingBook() {
    	
    	
       
        
        
        
    	BusinessDrugStandingBookExample example1 = new BusinessDrugStandingBookExample();
        BusinessDrugStandingBookExample.Criteria createCriteria1 = example1.createCriteria();
        createCriteria1.andOrgIdEqualTo(122);
        //createCriteria1.andDrugNameEqualTo(3041);
        //createCriteria1.andDrugSpecificationEqualTo("0.5");
        List<BusinessDrugStandingBook> list1 = drugStandingBookMapper.selectByExample(example1);   
        
        
        for (BusinessDrugStandingBook businessDrugStandingBook : list1) {
        	
        	BigDecimal BigDecimal =new BigDecimal(businessDrugStandingBook.getDrugSpecification());
        	BigDecimal BigDecima2 = new BigDecimal(0);
        	BigDecimal BigDecima3 = new BigDecimal(0);
        	BigDecimal BigDecima4 = new BigDecimal(0);
        	BigDecimal BigDecima5 = new BigDecimal(0);
        	
        	if(businessDrugStandingBook.getShelfAmount() != null){
    			 BigDecima2 =new BigDecimal(businessDrugStandingBook.getShelfAmount());

        	}
        	if(businessDrugStandingBook.getAmount() != null){
        		 BigDecima3 =new BigDecimal(businessDrugStandingBook.getAmount());
        	}
        	if(businessDrugStandingBook.getDeliveryCount() != null){
    			 BigDecima4 =new BigDecimal(businessDrugStandingBook.getDeliveryCount());

        	}
        	if(businessDrugStandingBook.getStorageCount() != null){
    			 BigDecima5 =new BigDecimal(businessDrugStandingBook.getStorageCount());

        	}
			
        	businessDrugStandingBook.setShelfAmount(BigDecima2.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
        	businessDrugStandingBook.setAmount(BigDecima3.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
        	businessDrugStandingBook.setDeliveryCount(BigDecima4.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
        	businessDrugStandingBook.setStorageCount(BigDecima5.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
        			
        	drugStandingBookMapper.updateByPrimaryKeySelective(businessDrugStandingBook);
        			
        	
		}
        return "成功";
	}
    
  //盘点
    @RequestMapping(value = "/check1", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String check() {
    	
    	
        
        BusinessDrugCheckDetailExample restoreExample1 = new BusinessDrugCheckDetailExample();
        BusinessDrugCheckDetailExample.Criteria criteria1 = restoreExample1.createCriteria();
        criteria1.andOrgIdEqualTo(122);
        //criteria1.andDrugNameEqualTo(3041);
        List<BusinessDrugCheckDetail> list1 = drugCheckDetailMapper.selectByExample(restoreExample1);
        
        for (BusinessDrugCheckDetail businessDrugCheckDetail : list1) {
        	
        	BigDecimal BigDecimal =new BigDecimal(businessDrugCheckDetail.getDrugSpecification());
			BigDecimal BigDecima2 =new BigDecimal(businessDrugCheckDetail.getCheckCount());
			BigDecimal BigDecima3 =new BigDecimal(businessDrugCheckDetail.getShelfAmount());
        	
        			businessDrugCheckDetail.setCheckCount(BigDecima2.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
        			businessDrugCheckDetail.setShelfAmount(BigDecima3.divide(BigDecimal,2, BigDecimal.ROUND_HALF_DOWN).toString());
        			drugCheckDetailMapper.updateByPrimaryKeySelective(businessDrugCheckDetail);
        			
        		
        	
		}
        
        
        return "成功";
	}
    
    
    
    /**
     * 台账除以1000
     * 
     */
    @RequestMapping(value = "/taizhang", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public  String taizhang() {

        
        
    	BusinessDrugStandingBookExample example1 = new BusinessDrugStandingBookExample();
        BusinessDrugStandingBookExample.Criteria createCriteria1 = example1.createCriteria();
        createCriteria1.andOrgIdEqualTo(122);
        createCriteria1.andDrugKindEqualTo(3025);
        createCriteria1.andDrugNameEqualTo(3041);
        createCriteria1.andDrugNumberEqualTo("055-YJXXWH-20220810-01");
        //createCriteria1.andDrugSpecificationEqualTo("0.5");
        List<BusinessDrugStandingBook> list1 = drugStandingBookMapper.selectByExample(example1);   
        System.out.println(list1.size());
        
        for (BusinessDrugStandingBook businessDrugStandingBook : list1) {
        	
        	BigDecimal BigDecimal =new BigDecimal(1000);
        	BigDecimal BigDecima2 = new BigDecimal(0);
        	BigDecimal BigDecima3 = new BigDecimal(0);
        	BigDecimal BigDecima4 = new BigDecimal(0);
        	BigDecimal BigDecima5 = new BigDecimal(0);
        	
        	if(businessDrugStandingBook.getShelfAmount() != null){
    			 BigDecima2 =new BigDecimal(businessDrugStandingBook.getShelfAmount());

        	}
        	if(businessDrugStandingBook.getAmount() != null){
        		 BigDecima3 =new BigDecimal(businessDrugStandingBook.getAmount());
        	}
        	if(businessDrugStandingBook.getDeliveryCount() != null){
    			 BigDecima4 =new BigDecimal(businessDrugStandingBook.getDeliveryCount());

        	}
        	if(businessDrugStandingBook.getStorageCount() != null){
    			 BigDecima5 =new BigDecimal(businessDrugStandingBook.getStorageCount());

        	}
			
        	businessDrugStandingBook.setShelfAmount(BigDecima2.divide(BigDecimal,3, BigDecimal.ROUND_HALF_DOWN).toString());
        	businessDrugStandingBook.setAmount(BigDecima3.divide(BigDecimal,3, BigDecimal.ROUND_HALF_DOWN).toString());
        	businessDrugStandingBook.setDeliveryCount(BigDecima4.divide(BigDecimal,3, BigDecimal.ROUND_HALF_DOWN).toString());
        	businessDrugStandingBook.setStorageCount(BigDecima5.divide(BigDecimal,3, BigDecimal.ROUND_HALF_DOWN).toString());
        			
        	drugStandingBookMapper.updateByPrimaryKeySelective(businessDrugStandingBook);
        			
        	
		}
        return "成功";
	}
    
    
    
    /**
     * 除以1000  采购申请
     */
    //采购申请
    @RequestMapping(value = "/caigou", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String caigou() {
    	
    	BusinessDrugPurchaseDetailExample example1 = new BusinessDrugPurchaseDetailExample();
        BusinessDrugPurchaseDetailExample.Criteria createCriteria1 = example1.createCriteria();
        createCriteria1.andOrgIdEqualTo(122);
        createCriteria1.andDrugKindEqualTo(3023);
        createCriteria1.andDrugNameEqualTo(3029);
        //createCriteria1.andApplyPriceEqualTo("0.5");
        List<BusinessDrugPurchaseDetail> list1 = drugPurchaseDetailMapper.selectByExample(example1);
        
        BigDecimal BigDecimal3 =new BigDecimal(1000);
    	
    	
        for (BusinessDrugPurchaseDetail businessDrugPurchaseDetail : list1) {
        	
        	
        	
        	BigDecimal BigDecimal =new BigDecimal(businessDrugPurchaseDetail.getApplyAmount());//
			BigDecimal BigDecima2 =new BigDecimal(businessDrugPurchaseDetail.getApplyCount());//
			//改变值
			businessDrugPurchaseDetail.setApplyAmount(BigDecimal.divide(BigDecimal3,3, BigDecimal.ROUND_HALF_DOWN).toString());
			businessDrugPurchaseDetail.setApplyCount(BigDecima2.divide(BigDecimal3,3, BigDecimal.ROUND_HALF_DOWN).toString());
			drugPurchaseDetailMapper.updateByPrimaryKeySelective(businessDrugPurchaseDetail);
        }
    	
        
        BusinessDrugPurchaseExample example2 = new BusinessDrugPurchaseExample();
        BusinessDrugPurchaseExample.Criteria createCriteria2 = example2.createCriteria();
        createCriteria2.andOrgIdEqualTo(122);
        createCriteria2.andDrugKindEqualTo(3023);
        createCriteria2.andDrugNameEqualTo(3029);
        
        List<BusinessDrugPurchase> list2 = drugPurchaseMapper.selectByExample(example2);

        for (BusinessDrugPurchase businessDrugPurchase : list2) {

			BigDecimal BigDecima2 =new BigDecimal(businessDrugPurchase.getApplyTotalCount());//
        	BigDecimal BigDecimal =new BigDecimal(businessDrugPurchase.getApplyTotalAmount());//

        	businessDrugPurchase.setApplyTotalCount(BigDecima2.divide(BigDecimal3,3, BigDecimal.ROUND_HALF_DOWN).toString());
			businessDrugPurchase.setApplyTotalAmount(BigDecimal.divide(BigDecimal3,3, BigDecimal.ROUND_HALF_DOWN).toString());
			drugPurchaseMapper.updateByPrimaryKeySelective(businessDrugPurchase);
        	
		}
        
        return "成功";
	}
    
    

    //入库 除以1000
    @RequestMapping(value = "/ruku", method = RequestMethod.GET, produces = MediaType.APPLICATION_JSON_VALUE)
    public String ruku() {
    	
        
       
        BusinessDrugStorageExample example1 = new BusinessDrugStorageExample();
        BusinessDrugStorageExample.Criteria createCriteria1 = example1.createCriteria();
        createCriteria1.andOrgIdEqualTo(122);
        createCriteria1.andDrugKindEqualTo(3023);
        createCriteria1.andDrugNameEqualTo(3029);
        //createCriteria1.andDrugNameEqualTo(3041);
        //createCriteria1.andDrugSpecificationEqualTo("0.5");
        List<BusinessDrugStorage> list1 = drugStorageMapper.selectByExample(example1);
		BigDecimal BigDecimal =new BigDecimal(1000);

        for (BusinessDrugStorage businessDrugStorage : list1) {
        			
					BigDecimal BigDecima2 =new BigDecimal(businessDrugStorage.getStorageCount());
					businessDrugStorage.setStorageCount(BigDecima2.divide(BigDecimal,3, BigDecimal.ROUND_HALF_DOWN).toString());
					BigDecimal BigDecima3 =new BigDecimal(businessDrugStorage.getStoragePrice());
        			businessDrugStorage.setStoragePrice(BigDecima3.divide(BigDecimal,3, BigDecimal.ROUND_HALF_DOWN).toString());
        			drugStorageMapper.updateByPrimaryKeySelective(businessDrugStorage);
        			
        }
        return "成功";
	}
    
    
}
