package com.chinaitop.depot.business.mapper;

import com.chinaitop.depot.business.model.BusinessDrugPurchase;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseExample;
import com.chinaitop.depot.business.model.vo.BusinessDrugPurchaseAuditVO;
import com.chinaitop.depot.business.model.vo.HistoryList;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface BusinessDrugPurchaseMapper {
    int countByExample(BusinessDrugPurchaseExample example);

    int deleteByExample(BusinessDrugPurchaseExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessDrugPurchase record);

    int insertSelective(BusinessDrugPurchase record);

    List<BusinessDrugPurchase> selectByExample(BusinessDrugPurchaseExample example);

    BusinessDrugPurchase selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessDrugPurchase record, @Param("example") BusinessDrugPurchaseExample example);

    int updateByExample(@Param("record") BusinessDrugPurchase record, @Param("example") BusinessDrugPurchaseExample example);

    int updateByPrimaryKeySelective(BusinessDrugPurchase record);

    int updateByPrimaryKey(BusinessDrugPurchase record);

    /**
     * 获取审批列表.
     * @param paramMap
     * @return
     */
    List<BusinessDrugPurchaseAuditVO> getApprovalList(Map<String, Object> paramMap);

    /**
     * 获取审批页面详情.
     * @param modelMap 业务主键
     * @return
     */
    List<HistoryList> getAudit(Map<String, Object> modelMap);
}