package com.chinaitop.depot.business.mapper;

import com.chinaitop.depot.business.model.BusinessDrugStandingBook;
import com.chinaitop.depot.business.model.BusinessDrugStandingBookExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface BusinessDrugStandingBookMapper {
    int countByExample(BusinessDrugStandingBookExample example);

    int deleteByExample(BusinessDrugStandingBookExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessDrugStandingBook record);

    int insertSelective(BusinessDrugStandingBook record);

    List<BusinessDrugStandingBook> selectByExample(BusinessDrugStandingBookExample example);

    BusinessDrugStandingBook selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessDrugStandingBook record, @Param("example") BusinessDrugStandingBookExample example);

    int updateByExample(@Param("record") BusinessDrugStandingBook record, @Param("example") BusinessDrugStandingBookExample example);

    int updateByPrimaryKeySelective(BusinessDrugStandingBook record);

    int updateByPrimaryKey(BusinessDrugStandingBook record);

    /**
     * @param drugKind
     * @param drugName
     * @return
     */
    List<BusinessDrugStandingBook> getShelfStandingBook(@Param("orgId") Integer orgId,
                                                        @Param("drugKind") Integer drugKind,
                                                        @Param("drugName") Integer drugName);

    /**
     * @return
     */
    List<BusinessDrugStandingBook> getManufacturerStandingBook();

    /**
     * 生产装备汇总统计
     * @return
     */
    List<Map<String,Object>> queryCountByType(Integer orgId);

	List<Map<String, Object>> getStatementList(Map<String, Object> map);

	List<Map<String, Object>> getOpeningList(Map<String, Object> map);

	List<Map<String, Object>> getEndAmountList(Map<String, Object> map);

	String getOpeningListEvery(Map<String, Object> map);

	List<Map<String, Object>> getAllDataList(Map<String, Object> map);


}