package com.chinaitop.depot.business.mapper;

import com.chinaitop.depot.business.model.BusinessDrugStorage;
import com.chinaitop.depot.business.model.BusinessDrugStorageExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface BusinessDrugStorageMapper {
    int countByExample(BusinessDrugStorageExample example);

    int deleteByExample(BusinessDrugStorageExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessDrugStorage record);

    int insertSelective(BusinessDrugStorage record);

    List<BusinessDrugStorage> selectByExample(BusinessDrugStorageExample example);

    BusinessDrugStorage selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessDrugStorage record, @Param("example") BusinessDrugStorageExample example);

    int updateByExample(@Param("record") BusinessDrugStorage record, @Param("example") BusinessDrugStorageExample example);

    int updateByPrimaryKeySelective(BusinessDrugStorage record);

    int updateByPrimaryKey(BusinessDrugStorage record);

    /**
     * 封装药剂生产厂家
     * @return
     */
    List<Map<String,Object>> getManufacturer();

    /**
     * 根据组织编码和申请通过详情id获取药剂采购申请已通过的总数
     * @param map
     * @return
     */
    Integer getRKSum(Map<String, Object> map);
}