package com.chinaitop.depot.business.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 药剂采购申请
 */
public class BusinessDrugPurchase {
    private Integer id;

    private String applyNumber;

    private String applyTotalCount;

    private String applyTotalAmount;

    private Integer creater;

    private Integer createDepot;

    private Integer createUnit;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    private String auditState;

    private String processInstanceId;

    private String processDefinitionId;

    private Integer orgId;

    private String drugNumber;

    private Integer drugKind;

    private Integer drugName;

    public String getDrugNumber() {
        return drugNumber;
    }

    public void setDrugNumber(String drugNumber) {
        this.drugNumber = drugNumber;
    }

    public Integer getDrugKind() {
        return drugKind;
    }

    public void setDrugKind(Integer drugKind) {
        this.drugKind = drugKind;
    }

    public Integer getDrugName() {
        return drugName;
    }

    public void setDrugName(Integer drugName) {
        this.drugName = drugName;
    }

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 申请编号
     * @return apply_number 申请编号
     */
    public String getApplyNumber() {
        return applyNumber;
    }

    /**
     * 申请编号
     * @param applyNumber 申请编号
     */
    public void setApplyNumber(String applyNumber) {
        this.applyNumber = applyNumber == null ? null : applyNumber.trim();
    }

    /**
     * 总数量
     * @return apply_total_count 总数量
     */
    public String getApplyTotalCount() {
        return applyTotalCount;
    }

    /**
     * 总数量
     * @param applyTotalCount 总数量
     */
    public void setApplyTotalCount(String applyTotalCount) {
        this.applyTotalCount = applyTotalCount == null ? null : applyTotalCount.trim();
    }

    /**
     * 总金额
     * @return apply_total_amount 总金额
     */
    public String getApplyTotalAmount() {
        return applyTotalAmount;
    }

    /**
     * 总金额
     * @param applyTotalAmount 总金额
     */
    public void setApplyTotalAmount(String applyTotalAmount) {
        this.applyTotalAmount = applyTotalAmount == null ? null : applyTotalAmount.trim();
    }

    /**
     * 申请人
     * @return creater 申请人
     */
    public Integer getCreater() {
        return creater;
    }

    /**
     * 申请人
     * @param creater 申请人
     */
    public void setCreater(Integer creater) {
        this.creater = creater;
    }

    /**
     * 申请粮库
     * @return create_depot 申请粮库
     */
    public Integer getCreateDepot() {
        return createDepot;
    }

    /**
     * 申请粮库
     * @param createDepot 申请粮库
     */
    public void setCreateDepot(Integer createDepot) {
        this.createDepot = createDepot;
    }

    /**
     * 创建部门
     * @return create_unit 创建部门
     */
    public Integer getCreateUnit() {
        return createUnit;
    }

    /**
     * 创建部门
     * @param createUnit 创建部门
     */
    public void setCreateUnit(Integer createUnit) {
        this.createUnit = createUnit;
    }

    /**
     * 申请时间
     * @return create_time 申请时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 申请时间
     * @param createTime 申请时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 审批状态（0待提交，1待审批，2审批通过，3审批拒绝）
     * @return audit_state 审批状态（0待提交，1待审批，2审批通过，3审批拒绝）
     */
    public String getAuditState() {
        return auditState;
    }

    /**
     * 审批状态（0待提交，1待审批，2审批通过，3审批拒绝）
     * @param auditState 审批状态（0待提交，1待审批，2审批通过，3审批拒绝）
     */
    public void setAuditState(String auditState) {
        this.auditState = auditState == null ? null : auditState.trim();
    }

    /**
     * 流程实例id
     * @return process_instance_id 流程实例id
     */
    public String getProcessInstanceId() {
        return processInstanceId;
    }

    /**
     * 流程实例id
     * @param processInstanceId 流程实例id
     */
    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId == null ? null : processInstanceId.trim();
    }

    /**
     * 流程定义id
     * @return process_definition_id 流程定义id
     */
    public String getProcessDefinitionId() {
        return processDefinitionId;
    }

    /**
     * 流程定义id
     * @param processDefinitionId 流程定义id
     */
    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId == null ? null : processDefinitionId.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}