package com.chinaitop.depot.business.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 药剂入库
 */
public class BusinessDrugStorage {
    private Integer id;

    private Integer type;

    private Integer drugInfoId;

    private String drugNumber;

    private Integer drugKind;

    private Integer drugName;

    private Integer drugType;

    private Integer drugPacking;

    private String manufacturer;

    private String drugSpecification;

    private Date productionDate;

    private Date expireDate;

    private String storagePrice;

    private String storageCount;

    private Integer shelfId;

    private Integer deliveryCount;

    private Integer drugPurchaseBid;

    private String applyCount;

    private String drugStorageNumber;

    private String drugPurchaseNumber;

    private String storageAmount;

    private String storageAmountCapital;

    private String controlMan;

    private Integer creater;

    private Integer createUnit;

    private Integer createDepot;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    private Date updateTime;

    private Integer orgId;

    private String cgly;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 1.入库 3出库
     * @return type 1.入库 3出库
     */
    public Integer getType() {
        return type;
    }

    /**
     * 1.入库 3出库
     * @param type 1.入库 3出库
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 药剂id
     * @return drug_info_id 药剂id
     */
    public Integer getDrugInfoId() {
        return drugInfoId;
    }

    /**
     * 药剂id
     * @param drugInfoId 药剂id
     */
    public void setDrugInfoId(Integer drugInfoId) {
        this.drugInfoId = drugInfoId;
    }

    /**
     * 药剂编号
     * @return drug_number 药剂编号
     */
    public String getDrugNumber() {
        return drugNumber;
    }

    /**
     * 药剂编号
     * @param drugNumber 药剂编号
     */
    public void setDrugNumber(String drugNumber) {
        this.drugNumber = drugNumber == null ? null : drugNumber.trim();
    }

    /**
     * 药品种类
     * @return drug_kind 药品种类
     */
    public Integer getDrugKind() {
        return drugKind;
    }

    /**
     * 药品种类
     * @param drugKind 药品种类
     */
    public void setDrugKind(Integer drugKind) {
        this.drugKind = drugKind;
    }

    /**
     * 药品名称
     * @return drug_name 药品名称
     */
    public Integer getDrugName() {
        return drugName;
    }

    /**
     * 药品名称
     * @param drugName 药品名称
     */
    public void setDrugName(Integer drugName) {
        this.drugName = drugName;
    }

    /**
     * 药品形态
     * @return drug_type 药品形态
     */
    public Integer getDrugType() {
        return drugType;
    }

    /**
     * 药品形态
     * @param drugType 药品形态
     */
    public void setDrugType(Integer drugType) {
        this.drugType = drugType;
    }

    /**
     * 药品包装
     * @return drug_packing 药品包装
     */
    public Integer getDrugPacking() {
        return drugPacking;
    }

    /**
     * 药品包装
     * @param drugPacking 药品包装
     */
    public void setDrugPacking(Integer drugPacking) {
        this.drugPacking = drugPacking;
    }

    /**
     * 生产厂家
     * @return manufacturer 生产厂家
     */
    public String getManufacturer() {
        return manufacturer;
    }

    /**
     * 生产厂家
     * @param manufacturer 生产厂家
     */
    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer == null ? null : manufacturer.trim();
    }

    /**
     * 规格描述
     * @return drug_specification 规格描述
     */
    public String getDrugSpecification() {
        return drugSpecification;
    }

    /**
     * 规格描述
     * @param drugSpecification 规格描述
     */
    public void setDrugSpecification(String drugSpecification) {
        this.drugSpecification = drugSpecification == null ? null : drugSpecification.trim();
    }

    /**
     * 生产日期
     * @return production_date 生产日期
     */
    public Date getProductionDate() {
        return productionDate;
    }

    /**
     * 生产日期
     * @param productionDate 生产日期
     */
    public void setProductionDate(Date productionDate) {
        this.productionDate = productionDate;
    }

    /**
     * 过期日期
     * @return expire_date 过期日期
     */
    public Date getExpireDate() {
        return expireDate;
    }

    /**
     * 过期日期
     * @param expireDate 过期日期
     */
    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    /**
     * 入库单价
     * @return storage_price 入库单价
     */
    public String getStoragePrice() {
        return storagePrice;
    }

    /**
     * 入库单价
     * @param storagePrice 入库单价
     */
    public void setStoragePrice(String storagePrice) {
        this.storagePrice = storagePrice == null ? null : storagePrice.trim();
    }

    /**
     * 入库数量
     * @return storage_count 入库数量
     */
    public String getStorageCount() {
        return storageCount;
    }

    /**
     * 入库数量
     * @param storageCount 入库数量
     */
    public void setStorageCount(String storageCount) {
        this.storageCount = storageCount;
    }

    /**
     * 货架位置
     * @return shelf_id 货架位置
     */
    public Integer getShelfId() {
        return shelfId;
    }

    /**
     * 货架位置
     * @param shelfId 货架位置
     */
    public void setShelfId(Integer shelfId) {
        this.shelfId = shelfId;
    }

    /**
     * 出库数量
     * @return delivery_count 出库数量
     */
    public Integer getDeliveryCount() {
        return deliveryCount;
    }

    /**
     * 出库数量
     * @param deliveryCount 出库数量
     */
    public void setDeliveryCount(Integer deliveryCount) {
        this.deliveryCount = deliveryCount;
    }

    /**
     * 采购申请id
     * @return drug_purchase_bid 采购申请id
     */
    public Integer getDrugPurchaseBid() {
        return drugPurchaseBid;
    }

    /**
     * 采购申请id
     * @param drugPurchaseBid 采购申请id
     */
    public void setDrugPurchaseBid(Integer drugPurchaseBid) {
        this.drugPurchaseBid = drugPurchaseBid;
    }

    /**
     * 申请数量
     * @return apply_count 申请数量
     */
    public String getApplyCount() {
        return applyCount;
    }

    /**
     * 申请数量
     * @param applyCount 申请数量
     */
    public void setApplyCount(String applyCount) {
        this.applyCount = applyCount == null ? null : applyCount.trim();
    }

    /**
     * 药剂入库编号
     * @return drug_storage_number 药剂入库编号
     */
    public String getDrugStorageNumber() {
        return drugStorageNumber;
    }

    /**
     * 药剂入库编号
     * @param drugStorageNumber 药剂入库编号
     */
    public void setDrugStorageNumber(String drugStorageNumber) {
        this.drugStorageNumber = drugStorageNumber == null ? null : drugStorageNumber.trim();
    }

    /**
     * 采购申请编号
     * @return drug_purchase_number 采购申请编号
     */
    public String getDrugPurchaseNumber() {
        return drugPurchaseNumber;
    }

    /**
     * 采购申请编号
     * @param drugPurchaseNumber 采购申请编号
     */
    public void setDrugPurchaseNumber(String drugPurchaseNumber) {
        this.drugPurchaseNumber = drugPurchaseNumber == null ? null : drugPurchaseNumber.trim();
    }

    /**
     * 入库总价
     * @return storage_amount 入库总价
     */
    public String getStorageAmount() {
        return storageAmount;
    }

    /**
     * 入库总价
     * @param storageAmount 入库总价
     */
    public void setStorageAmount(String storageAmount) {
        this.storageAmount = storageAmount == null ? null : storageAmount.trim();
    }

    /**
     * 
     * @return storage_amount_capital 
     */
    public String getStorageAmountCapital() {
        return storageAmountCapital;
    }

    /**
     * 
     * @param storageAmountCapital 
     */
    public void setStorageAmountCapital(String storageAmountCapital) {
        this.storageAmountCapital = storageAmountCapital == null ? null : storageAmountCapital.trim();
    }

    /**
     * 负责人
     * @return control_man 负责人
     */
    public String getControlMan() {
        return controlMan;
    }

    /**
     * 负责人
     * @param controlMan 负责人
     */
    public void setControlMan(String controlMan) {
        this.controlMan = controlMan == null ? null : controlMan.trim();
    }

    /**
     * 创建人
     * @return creater 创建人
     */
    public Integer getCreater() {
        return creater;
    }

    /**
     * 创建人
     * @param creater 创建人
     */
    public void setCreater(Integer creater) {
        this.creater = creater;
    }

    /**
     * 创建部门
     * @return create_unit 创建部门
     */
    public Integer getCreateUnit() {
        return createUnit;
    }

    /**
     * 创建部门
     * @param createUnit 创建部门
     */
    public void setCreateUnit(Integer createUnit) {
        this.createUnit = createUnit;
    }

    /**
     * 申请粮库
     * @return create_depot 申请粮库
     */
    public Integer getCreateDepot() {
        return createDepot;
    }

    /**
     * 申请粮库
     * @param createDepot 申请粮库
     */
    public void setCreateDepot(Integer createDepot) {
        this.createDepot = createDepot;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return update_time 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getCgly() {
        return cgly;
    }

    public void setCgly(String cgly) {
        this.cgly = cgly;
    }
}