package com.chinaitop.depot.business.service;

import com.chinaitop.depot.business.model.BusinessDrugInfo;
import com.chinaitop.depot.business.model.BusinessDrugInfoExample;
import com.chinaitop.depot.business.model.BusinessDrugInfoKey;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface BusinessDrugInfoService {

    List<BusinessDrugInfo> queryByExample(BusinessDrugInfoExample example);

    BusinessDrugInfo findById(BusinessDrugInfoKey drugInfoKey);

    Map<String, Object> add(BusinessDrugInfo drugInfo, Integer userId, Integer orgId);

    Map<String, Object> update(BusinessDrugInfo drugInfo);

    void remove(BusinessDrugInfoKey drugInfoKey);

    /**
     * @param id
     */
    void effective(Integer id);

    /**
     * @param pageNum
     * @param pageSize
     * @param businessDrugInfo
     * @return
     */
    List<BusinessDrugInfo> getList(HttpServletRequest request, Integer pageNum, Integer pageSize, BusinessDrugInfo businessDrugInfo);

    /**
     * @param pageNum
     * @param pageSize
     * @param businessDrugInfo
     * @return
     */
    List<BusinessDrugInfo> getEffectiveList(HttpServletRequest request, Integer pageNum, Integer pageSize, BusinessDrugInfo businessDrugInfo);


    /**
     * 根据药剂编号更新信息
     *
     * @param drugNumber
     */
    void updateIsEffective(String drugNumber);
}
