package com.chinaitop.depot.business.service;

import com.chinaitop.depot.business.model.BusinessApproval;
import com.chinaitop.depot.business.model.BusinessDrugPurchase;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseDetail;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseExample;
import com.chinaitop.depot.business.model.vo.BusinessDrugPurchaseAuditVO;
import com.chinaitop.depot.business.model.vo.HistoryList;

import java.util.List;
import java.util.Map;

public interface BusinessDrugPurchaseService {
	
	List<BusinessDrugPurchase> queryByExample(BusinessDrugPurchaseExample example);
	
	BusinessDrugPurchase findById(Integer id);

	Integer add(BusinessDrugPurchase drugPurchase, List<BusinessDrugPurchaseDetail> drugPurchaseDetailList, Integer userId, Integer orgId);
	
	void update(BusinessDrugPurchase drugPurchase, List<BusinessDrugPurchaseDetail> drugPurchaseDetailList);
	
	void remove(Integer id);
	/**
	 * 获取审批列表.
	 * @param paramMap
	 * @return
	 */
	List<BusinessDrugPurchaseAuditVO> getApprovalList(Map<String, Object> paramMap);

	/**
	 * 更新审批状态
	 * @param id
	 * @return
	 */
    void updatePurchaseData(Integer id, String userInfoJson, String orgInfoJson, String auditUserId);

	/**
	 *
	 * @param drugPurchaseId
	 * @param businessApproval
	 * @param nextUserId 下一个审批人id.
	 * @param result 审批结论
	 * @param userInfoJson 当前用户信息.
	 */
	void audit(Integer drugPurchaseId, BusinessApproval businessApproval, String nextUserId, String result, String userInfoJson, String orgInfoJson);

	/**
	 * 获取审批页面详情.
	 * @param modelMap 业务主键
	 * @return
	 */
    List<HistoryList> getAudit(Map<String, Object> modelMap);
}
