/**
 *
 */
package com.chinaitop.depot.business.service;

import com.chinaitop.depot.business.model.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>Title: BusinessDrugStandingBookService</p>
 * <p>Description: </p>
 *
 * @author yaoyabin
 * @date 2017年12月22日 下午2:53:10
 */

public interface BusinessDrugStandingBookService {

    /**
     * @param drugStorage
     */
    void countByDrugStorage(BusinessDrugStorage drugStorage);

    /**
     * @param drugKind
     * @param drugName
     * @return
     */
    List<BusinessDrugStandingBook> getShelfStandingBook(HttpServletRequest request, Integer drugKind, Integer drugName);

    /**
     * @param businessDrugUseDetail
     */
    void countByDrugUse(BusinessDrugUseDetail businessDrugUseDetail);

    /**
     * @param pageSize
     * @param pageNum
     * @return
     */
//    List<BusinessDrugStandingBook> getManufacturerStandingBook(Integer pageNum, Integer pageSize);

    /**
     * @param pageNum
     * @param pageSize
     * @param drugStandingBook
     * @return
     */
    List<BusinessDrugStandingBook> getDetailListByManufacturer(HttpServletRequest request, Integer pageNum, Integer pageSize, BusinessDrugStandingBook drugStandingBook);

    /**
     * @param businessDrugCheckDetail
     */
    void countByDrugCheck(BusinessDrugCheckDetail businessDrugCheckDetail);

    /**
     * 查询搜索列表
     *
     * @param example 查询条件
     * @return list
     */
    List<BusinessDrugStandingBook> queryByExample(BusinessDrugStandingBookExample example);

    /**
     * 生产装备汇总统计
     *
     * @return
     */
    List<Map<String, Object>> queryCountByType(Integer orgId);

    /**
     * 药剂归还更新台账信息
     *
     * @param drugRestoreDetail
     */
    void addByDrugRestore(BusinessDrugRestoreDetail drugRestoreDetail);

    /**
     * 药剂销毁更新台账信息
     *
     * @param drugDestroy
     */
    void countByDrugDestroy(BusinessDrugDestroy drugDestroy);

    /**
     * 获取台账剩余存数量.
     *
     * @param drugStandingBook
     * @return
     * @throws Exception
     */
    String getRemainingQuantity(BusinessDrugStandingBook drugStandingBook);

	List<Map<String, Object>> getStatementList(Map<String, Object> map);

}
