package com.chinaitop.depot.business.service;

import com.chinaitop.depot.business.model.BusinessDrugStorage;
import com.chinaitop.depot.business.model.BusinessDrugStorageExample;

import java.util.List;
import java.util.Map;

public interface BusinessDrugStorageService {
	
	List<BusinessDrugStorage> queryByExample(BusinessDrugStorageExample example);
	
	BusinessDrugStorage findById(Integer id);
	
	Map<String, Object> add(BusinessDrugStorage drugStorage, Integer userId, Integer orgId);
	
	void update(BusinessDrugStorage drugStorage);
	
	void remove(Integer id);

	/**
	 * 封装药剂生产厂家
	 * @return
	 */
	List<Map<String,Object>> getManufacturer();

	/**
	 * 根据组织编码和申请通过详情id获取药剂采购申请已通过的总数
	 * @param drugPurchaseBid
	 * @param orgId
	 * @return
	 */
    Integer getRKSum(Integer drugPurchaseBid, Integer orgId);
}
