package com.chinaitop.depot.business.service;

import com.chinaitop.depot.business.model.BusinessApproval;
import com.chinaitop.depot.business.model.BusinessDrugUseapply;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetail;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyExample;
import com.chinaitop.depot.business.model.vo.BusinessDrugUseApplyAuditVO;
import com.chinaitop.depot.business.model.vo.HistoryList;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2018-08-24 14:09
 */
public interface BusinessDrugUseapplyService {
    /**
     * 条件查询列表数据
     * @param example
     * @return
     */
    List<BusinessDrugUseapply> queryByExample(BusinessDrugUseapplyExample example);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    BusinessDrugUseapply findById(Integer id);

    /**
     * 添加数据
     * @param drugUseApply
     * @param drugUseApplyDetailList
     * @param userId
     * @param orgId
     */
    Integer add(BusinessDrugUseapply drugUseApply, List<BusinessDrugUseapplyDetail> drugUseApplyDetailList, Integer userId, Integer orgId);

    /**
     * 删除，主表和子表数据.
     */
    void remove(Integer id);

    /**
     * 根据领用编号更新领用申请信息 是否领用 0:已领用 1未领用
     * @param applyNumber
     */
    void update(String applyNumber);

    /**
     * 更新审批状态
     * @param id
     * @return
     */
    void updateUseApplyData(Integer id, String userInfoJson, String orgInfoJson, String auditUserId);

    /**
     * 获取审批列表.
     * @param paramMap
     * @return
     */
    List<BusinessDrugUseApplyAuditVO> getApprovalList(Map<String, Object> paramMap);

    /**
     * 获取审批页面详情.
     * @param modelMap
     * @return
     */
    List<HistoryList> getAudit(Map<String, Object> modelMap);

    /**
     *
     * @param drugUseApplyId
     * @param businessApproval
     * @param assignee 下一个审批人id.
     * @param result 审批结论
     * @param userInfoJson 当前用户信息.
     */
    void audit(Integer drugUseApplyId, BusinessApproval businessApproval, String assignee, String result, String userInfoJson, String orgInfoJson);

    /**
     * 修改
     * @param drugUseApply
     * @param drugUseApplyDetailList
     * @param userId
     * @param orgId
     */
    void updateData(BusinessDrugUseapply drugUseApply, List<BusinessDrugUseapplyDetail> drugUseApplyDetailList, Integer userId, Integer orgId);
}
