package com.chinaitop.depot.business.service.impl;

import com.chinaitop.depot.business.mapper.BusinessDrugDestroyMapper;
import com.chinaitop.depot.business.model.BusinessDrugDestroy;
import com.chinaitop.depot.business.model.BusinessDrugDestroyExample;
import com.chinaitop.depot.business.service.BusinessDrugDestroyService;
import com.chinaitop.depot.business.service.BusinessDrugStandingBookService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;


@Service
public class BusinessDrugDestroyServiceImpl implements BusinessDrugDestroyService {
    @Resource
    private BusinessDrugDestroyMapper drugDestroyMapper;
    @Resource
    private BusinessDrugStandingBookService drugStandingBookService;

    public List<BusinessDrugDestroy> queryByExample(BusinessDrugDestroyExample example) {
        return drugDestroyMapper.selectByExample(example);
    }


    public BusinessDrugDestroy findById(Integer id) {
        return drugDestroyMapper.selectByPrimaryKey(id);
    }


    @Override
    @Transactional(rollbackFor = Exception.class)
    public void add(BusinessDrugDestroy drugDestroy) {
        // 更新台账
        if ("1".equals(drugDestroy.getDestroyType())) {
            drugStandingBookService.countByDrugDestroy(drugDestroy);
            // 台账效验通过才保存
            drugDestroy.setCreateTime(new Date());
            drugDestroyMapper.insert(drugDestroy);
        } else if ("2".equals(drugDestroy.getDestroyType())) {
            drugDestroy.setCreateTime(new Date());
            drugDestroyMapper.insert(drugDestroy);
        }
    }


    public void update(BusinessDrugDestroy drugDestroy) {
        drugDestroy.setUpdateTime(new Date());
        drugDestroyMapper.updateByPrimaryKeySelective(drugDestroy);
    }


    public void remove(Integer id) {
        drugDestroyMapper.deleteByPrimaryKey(id);
    }


}
