package com.chinaitop.depot.business.service.impl;

import com.chinaitop.depot.business.mapper.BusinessDrugPurchaseDetailMapper;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseDetail;
import com.chinaitop.depot.business.model.BusinessDrugPurchaseDetailExample;
import com.chinaitop.depot.business.service.BusinessDrugPurchaseDetailService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;


@Service
public class BusinessDrugPurchaseDetailServiceImpl implements BusinessDrugPurchaseDetailService {
    @Resource
    private BusinessDrugPurchaseDetailMapper drugPurchaseDetailMapper;

    public List<BusinessDrugPurchaseDetail> queryByExample(BusinessDrugPurchaseDetailExample example) {
        return drugPurchaseDetailMapper.selectByExample(example);
    }

    
    public BusinessDrugPurchaseDetail findById(Integer id) {
        return drugPurchaseDetailMapper.selectByPrimaryKey(id);
    }

    
    public void add(BusinessDrugPurchaseDetail drugPurchaseDetail) {
        drugPurchaseDetail.setCreateTime(new Date());
        drugPurchaseDetailMapper.insert(drugPurchaseDetail);
    }

    
    public void update(BusinessDrugPurchaseDetail drugPurchaseDetail) {
        drugPurchaseDetailMapper.updateByPrimaryKeySelective(drugPurchaseDetail);
    }

    
    public void remove(Integer id) {
        drugPurchaseDetailMapper.deleteByPrimaryKey(id);
    }

    @Override
    public void deleteByExample(BusinessDrugPurchaseDetailExample example) {
        drugPurchaseDetailMapper.deleteByExample(example);
    }

    /**
     * 药剂采购详情-获取审批通过的数据 create_unit借用为药剂规格型号,depot_id借用为药剂信息id
     * @param orgId
     * @return
     */
    @Override
    public List<BusinessDrugPurchaseDetail> auditOkGitList(Integer orgId) {
        return drugPurchaseDetailMapper.auditOkGitList(orgId);
    }


}
