package com.chinaitop.depot.business.service.impl;

import com.chinaitop.depot.business.mapper.BusinessDrugUseMapper;
import com.chinaitop.depot.business.model.BusinessDrugUse;
import com.chinaitop.depot.business.model.BusinessDrugUseDetail;
import com.chinaitop.depot.business.model.BusinessDrugUseExample;
import com.chinaitop.depot.business.service.BusinessDrugStandingBookService;
import com.chinaitop.depot.business.service.BusinessDrugUseDetailService;
import com.chinaitop.depot.business.service.BusinessDrugUseService;
import com.chinaitop.depot.business.service.BusinessDrugUseapplyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * <p>Title: BusinessDrugUseServiceImpl</p>
 * <p>Description: </p>
 *
 * @author yaoyabin
 * @date 2017年12月23日 下午12:27:47
 */
@Service
public class BusinessDrugUseServiceImpl implements BusinessDrugUseService {
    @Autowired
    private BusinessDrugUseMapper businessDrugUseMapper;

    @Autowired
    private BusinessDrugStandingBookService businessDrugStandingBookService;
    @Autowired
    private BusinessDrugUseDetailService businessDrugUseDetailService;
    @Autowired
    private BusinessDrugUseapplyService drugUseapplyService;

    @Override
    public BusinessDrugUse findById(Integer id) {
        return businessDrugUseMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<BusinessDrugUse> queryByExample(BusinessDrugUseExample example) {
        return businessDrugUseMapper.selectByExample(example);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void add(BusinessDrugUse drugUse, List<BusinessDrugUseDetail> drugUseDetailList, Integer userId, Integer orgId) {
        //drugUse.setCreater(userId);
        drugUse.setCreateTime(new Date());
        drugUse.setOrgId(orgId);
        // 新增.
        businessDrugUseMapper.insert(drugUse);

        // 插入子表数据.
        for (BusinessDrugUseDetail businessDrugUseDetail : drugUseDetailList) {
            businessDrugUseDetail.setZid(drugUse.getId());
            businessDrugUseDetail.setCreateTime(drugUse.getUseDate());
            businessDrugUseDetailService.add(businessDrugUseDetail);
            businessDrugStandingBookService.countByDrugUse(businessDrugUseDetail);
        }
        //根据领用编号更新领用申请信息 是否领用 0:已领用 1未领用
        drugUseapplyService.update(drugUse.getApplyNumber());
    }

    @Override
    public void update(BusinessDrugUse drugUse,
                       List<BusinessDrugUseDetail> drugUseDetailList) {

    }

    @Override
    public void remove(Integer id) {

    }
}
