package com.chinaitop.depot.business.service.impl;

import com.chinaitop.depot.business.mapper.BusinessDrugUseapplyDetailMapper;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetail;
import com.chinaitop.depot.business.model.BusinessDrugUseapplyDetailExample;
import com.chinaitop.depot.business.service.BusinessDrugUseapplyDetailService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2018-08-24 14:15
 */
@Service
public class BusinessDrugUseapplyDetailServiceImpl implements BusinessDrugUseapplyDetailService {

    @Resource
    private BusinessDrugUseapplyDetailMapper drugUseapplyDetailMapper;

    /**
     * 详情列表
     * @param example
     * @return
     */
    @Override
    public List<BusinessDrugUseapplyDetail> queryByExample(BusinessDrugUseapplyDetailExample example) {
        return drugUseapplyDetailMapper.selectByExample(example);
    }

    /**
     * 根据id查询
     * @param id
     * @return
     */
    @Override
    public List<BusinessDrugUseapplyDetail> getListByZid(Integer id) {
        if (id == null) {
            return null;
        } else {
            BusinessDrugUseapplyDetailExample example = new BusinessDrugUseapplyDetailExample();
            BusinessDrugUseapplyDetailExample.Criteria createCriteria = example.createCriteria();
            createCriteria.andZidEqualTo(id);
            return drugUseapplyDetailMapper.selectByExample(example);
        }
    }

    /**
     * 添加数据
     * @param drugUseApplyDetail
     */
    @Override
    public void add(BusinessDrugUseapplyDetail drugUseApplyDetail) {
        drugUseapplyDetailMapper.insert(drugUseApplyDetail);
    }

    /**
     * 删除，主表和子表数据.
     */
    @Override
    public void deleteByExample(BusinessDrugUseapplyDetailExample example) {
        drugUseapplyDetailMapper.deleteByExample(example);
    }

    /**
     * 修改
     * @param drugUseApplyDetail
     */
    @Override
    public void updateData(BusinessDrugUseapplyDetail drugUseApplyDetail) {
        drugUseapplyDetailMapper.updateByPrimaryKeySelective(drugUseApplyDetail);
    }
}
