package com.chinaitop.depot.fumigation.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class TFumigationProcess {
    private String id;

    private String fumigationId;

    private String concentration;

    private String heapMedication;

    private String spaceMedication;

    private String deliquescenceMethod;

    private String chamberGenerator;

    private String cylinders;

    private String auxiliaryMeasures;

    private String airRespirator;

    private String phosphine;

    private String oxygenConcentrations;

    private String phosphineAlarmDevice;

    private String oxygenAlarmDevice;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date firstUseDrugTime;

    private String firstUseDrugUnit;

    private String firstUseDrugCount;

    private String circulationUseTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date firstSupplementDrugTime;

    private String firstSupplementDrugCount;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastSupplementDrugTime;

    private String lastSupplementDrugCount;

    private Integer totalSupplementDrugTimes;

    private String totalSupplementDrugCount;

    private String totalUseDrugCount;

    private String supplementDrugType;

    private String tonicBefore;

    private String targetConcentration;

    private String calculateDosage;

    private String actualDosage;

    private Integer numberHomework;

    private String tonicApprover;

    private String fieldController;

    private String peakConcentration;

    private String targetConcentrationDays;

    private String leakLocation;

    private String leakPositionRemedy;

    private Integer isCirculationFine;

    private Integer isUseDrugEquipmentFine;

    private Integer isHouseTightnessFine;

    private Integer isAerialWorkPlatformFine;

    private Integer isPhosphineDetectorFine;

    private Integer isPhosphineAlarmFine;

    private Integer isOxygenDetectorFine;

    private Integer isAirRespiratorFine;

    private Integer isHaveWarningSignFine;

    private Integer isFireExtinguisherFine;

    private Integer isHaveFirstAidKit;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bulkStartTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bulkEndTime;

    private Date perforatedDate;

    private String perforatedDays;

    private String closedTime;

    private String ctValue;

    private String perforatedBefore;

    private String perforatedEnd;

    private String bulkGasType;

    private String drugResidueRate;

    private String perforatedApprover;

    private String dcsqtinfoId;

    private Integer taskState;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date taskEndTime;

    private Integer creater;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    private Integer orgId;

    private String deleteState;

    private String dataSource;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatetime;

    private String yqbjyaqjc;

    private BigDecimal byqcnlhqnd;

    private BigDecimal mbnd;

    private BigDecimal jsbyl;

    private String byzypzr;

    private BigDecimal fznd;

    private Integer mbndwcts;

    private String lswzjc;

    private String lqbwcqdbjcs;

    private Integer mbsj;

    private BigDecimal ctz;

    private BigDecimal sqqlhqnd;

    private String sqpzr;

    private Integer sqcsts;

    private BigDecimal sqjsslhqnd;
    
    private String remark;//备注

    /**
     * 备案记录Id
     */
    private String recordId;

    //业务字段：第几次熏蒸
    private Integer djcxz;

    //熏蒸作业负责人
    private String operationSupervisor;

    //熏蒸作业人员
    private String xzczry;

    /**
     * 熏蒸过程表
     * @return id 熏蒸过程表
     */
    public String getId() {
        return id;
    }

    /**
     * 熏蒸过程表
     * @param id 熏蒸过程表
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 熏蒸方案id
     * @return fumigation_id 熏蒸方案id
     */
    public String getFumigationId() {
        return fumigationId;
    }

    /**
     * 熏蒸方案id
     * @param fumigationId 熏蒸方案id
     */
    public void setFumigationId(String fumigationId) {
        this.fumigationId = fumigationId == null ? null : fumigationId.trim();
    }

    /**
     * 浓度
     * @return concentration 浓度
     */
    public String getConcentration() {
        return concentration;
    }

    /**
     * 浓度
     * @param concentration 浓度
     */
    public void setConcentration(String concentration) {
        this.concentration = concentration == null ? null : concentration.trim();
    }

    /**
     * 堆粮单位用药量(g/m3)
     * @return heap_medication 堆粮单位用药量(g/m3)
     */
    public String getHeapMedication() {
        return heapMedication;
    }

    /**
     * 堆粮单位用药量(g/m3)
     * @param heapMedication 堆粮单位用药量(g/m3)
     */
    public void setHeapMedication(String heapMedication) {
        this.heapMedication = heapMedication == null ? null : heapMedication.trim();
    }

    /**
     * 空间单位用药量(g/m3)
     * @return space_medication 空间单位用药量(g/m3)
     */
    public String getSpaceMedication() {
        return spaceMedication;
    }

    /**
     * 空间单位用药量(g/m3)
     * @param spaceMedication 空间单位用药量(g/m3)
     */
    public void setSpaceMedication(String spaceMedication) {
        this.spaceMedication = spaceMedication == null ? null : spaceMedication.trim();
    }

    /**
     * 潮解法
     * @return deliquescence_method 潮解法
     */
    public String getDeliquescenceMethod() {
        return deliquescenceMethod;
    }

    /**
     * 潮解法
     * @param deliquescenceMethod 潮解法
     */
    public void setDeliquescenceMethod(String deliquescenceMethod) {
        this.deliquescenceMethod = deliquescenceMethod == null ? null : deliquescenceMethod.trim();
    }

    /**
     * 仓外发生器
     * @return chamber_generator 仓外发生器
     */
    public String getChamberGenerator() {
        return chamberGenerator;
    }

    /**
     * 仓外发生器
     * @param chamberGenerator 仓外发生器
     */
    public void setChamberGenerator(String chamberGenerator) {
        this.chamberGenerator = chamberGenerator == null ? null : chamberGenerator.trim();
    }

    /**
     * 钢瓶气
     * @return cylinders 钢瓶气
     */
    public String getCylinders() {
        return cylinders;
    }

    /**
     * 钢瓶气
     * @param cylinders 钢瓶气
     */
    public void setCylinders(String cylinders) {
        this.cylinders = cylinders == null ? null : cylinders.trim();
    }

    /**
     * 辅助施药措施
     * @return auxiliary_measures 辅助施药措施
     */
    public String getAuxiliaryMeasures() {
        return auxiliaryMeasures;
    }

    /**
     * 辅助施药措施
     * @param auxiliaryMeasures 辅助施药措施
     */
    public void setAuxiliaryMeasures(String auxiliaryMeasures) {
        this.auxiliaryMeasures = auxiliaryMeasures == null ? null : auxiliaryMeasures.trim();
    }

    /**
     * 空气呼吸器及安全检查情况
     * @return air_respirator 空气呼吸器及安全检查情况
     */
    public String getAirRespirator() {
        return airRespirator;
    }

    /**
     * 空气呼吸器及安全检查情况
     * @param airRespirator 空气呼吸器及安全检查情况
     */
    public void setAirRespirator(String airRespirator) {
        this.airRespirator = airRespirator == null ? null : airRespirator.trim();
    }

    /**
     * 磷化氢检测装置调试情况
     * @return phosphine 磷化氢检测装置调试情况
     */
    public String getPhosphine() {
        return phosphine;
    }

    /**
     * 磷化氢检测装置调试情况
     * @param phosphine 磷化氢检测装置调试情况
     */
    public void setPhosphine(String phosphine) {
        this.phosphine = phosphine == null ? null : phosphine.trim();
    }

    /**
     * 氧气浓度检测装置调试情况
     * @return oxygen_concentrations 氧气浓度检测装置调试情况
     */
    public String getOxygenConcentrations() {
        return oxygenConcentrations;
    }

    /**
     * 氧气浓度检测装置调试情况
     * @param oxygenConcentrations 氧气浓度检测装置调试情况
     */
    public void setOxygenConcentrations(String oxygenConcentrations) {
        this.oxygenConcentrations = oxygenConcentrations == null ? null : oxygenConcentrations.trim();
    }

    /**
     * 磷化氢报警仪安全检查
     * @return phosphine_alarm_device 磷化氢报警仪安全检查
     */
    public String getPhosphineAlarmDevice() {
        return phosphineAlarmDevice;
    }

    /**
     * 磷化氢报警仪安全检查
     * @param phosphineAlarmDevice 磷化氢报警仪安全检查
     */
    public void setPhosphineAlarmDevice(String phosphineAlarmDevice) {
        this.phosphineAlarmDevice = phosphineAlarmDevice == null ? null : phosphineAlarmDevice.trim();
    }

    /**
     * 氧气报警仪安全检查
     * @return oxygen_alarm_device 氧气报警仪安全检查
     */
    public String getOxygenAlarmDevice() {
        return oxygenAlarmDevice;
    }

    /**
     * 氧气报警仪安全检查
     * @param oxygenAlarmDevice 氧气报警仪安全检查
     */
    public void setOxygenAlarmDevice(String oxygenAlarmDevice) {
        this.oxygenAlarmDevice = oxygenAlarmDevice == null ? null : oxygenAlarmDevice.trim();
    }

    /**
     * 初次施药时间
     * @return first_use_drug_time 初次施药时间
     */
    public Date getFirstUseDrugTime() {
        return firstUseDrugTime;
    }

    /**
     * 初次施药时间
     * @param firstUseDrugTime 初次施药时间
     */
    public void setFirstUseDrugTime(Date firstUseDrugTime) {
        this.firstUseDrugTime = firstUseDrugTime;
    }

    /**
     * 初次单位剂量(g/m³)
     * @return first_use_drug_unit 初次单位剂量(g/m³)
     */
    public String getFirstUseDrugUnit() {
        return firstUseDrugUnit;
    }

    /**
     * 初次单位剂量(g/m³)
     * @param firstUseDrugUnit 初次单位剂量(g/m³)
     */
    public void setFirstUseDrugUnit(String firstUseDrugUnit) {
        this.firstUseDrugUnit = firstUseDrugUnit == null ? null : firstUseDrugUnit.trim();
    }

    /**
     * 初次用药量
     * @return first_use_drug_count 初次用药量
     */
    public String getFirstUseDrugCount() {
        return firstUseDrugCount;
    }

    /**
     * 初次用药量
     * @param firstUseDrugCount 初次用药量
     */
    public void setFirstUseDrugCount(String firstUseDrugCount) {
        this.firstUseDrugCount = firstUseDrugCount == null ? null : firstUseDrugCount.trim();
    }

    /**
     * 环流时间(h)
     * @return circulation_use_time 环流时间(h)
     */
    public String getCirculationUseTime() {
        return circulationUseTime;
    }

    /**
     * 环流时间(h)
     * @param circulationUseTime 环流时间(h)
     */
    public void setCirculationUseTime(String circulationUseTime) {
        this.circulationUseTime = circulationUseTime == null ? null : circulationUseTime.trim();
    }

    /**
     * 初次补药日期
     * @return first_supplement_drug_time 初次补药日期
     */
    public Date getFirstSupplementDrugTime() {
        return firstSupplementDrugTime;
    }

    /**
     * 初次补药日期
     * @param firstSupplementDrugTime 初次补药日期
     */
    public void setFirstSupplementDrugTime(Date firstSupplementDrugTime) {
        this.firstSupplementDrugTime = firstSupplementDrugTime;
    }

    /**
     * 初次补药量
     * @return first_supplement_drug_count 初次补药量
     */
    public String getFirstSupplementDrugCount() {
        return firstSupplementDrugCount;
    }

    /**
     * 初次补药量
     * @param firstSupplementDrugCount 初次补药量
     */
    public void setFirstSupplementDrugCount(String firstSupplementDrugCount) {
        this.firstSupplementDrugCount = firstSupplementDrugCount == null ? null : firstSupplementDrugCount.trim();
    }

    /**
     * 最后补药日期
     * @return last_supplement_drug_time 最后补药日期
     */
    public Date getLastSupplementDrugTime() {
        return lastSupplementDrugTime;
    }

    /**
     * 最后补药日期
     * @param lastSupplementDrugTime 最后补药日期
     */
    public void setLastSupplementDrugTime(Date lastSupplementDrugTime) {
        this.lastSupplementDrugTime = lastSupplementDrugTime;
    }

    /**
     * 最后补药量
     * @return last_supplement_drug_count 最后补药量
     */
    public String getLastSupplementDrugCount() {
        return lastSupplementDrugCount;
    }

    /**
     * 最后补药量
     * @param lastSupplementDrugCount 最后补药量
     */
    public void setLastSupplementDrugCount(String lastSupplementDrugCount) {
        this.lastSupplementDrugCount = lastSupplementDrugCount == null ? null : lastSupplementDrugCount.trim();
    }

    /**
     * 总补药次数(次)
     * @return total_supplement_drug_times 总补药次数(次)
     */
    public Integer getTotalSupplementDrugTimes() {
        return totalSupplementDrugTimes;
    }

    /**
     * 总补药次数(次)
     * @param totalSupplementDrugTimes 总补药次数(次)
     */
    public void setTotalSupplementDrugTimes(Integer totalSupplementDrugTimes) {
        this.totalSupplementDrugTimes = totalSupplementDrugTimes;
    }

    /**
     * 总补药量(kg)
     * @return total_supplement_drug_count 总补药量(kg)
     */
    public String getTotalSupplementDrugCount() {
        return totalSupplementDrugCount;
    }

    /**
     * 总补药量(kg)
     * @param totalSupplementDrugCount 总补药量(kg)
     */
    public void setTotalSupplementDrugCount(String totalSupplementDrugCount) {
        this.totalSupplementDrugCount = totalSupplementDrugCount == null ? null : totalSupplementDrugCount.trim();
    }

    /**
     * 总用药量(kg)
     * @return total_use_drug_count 总用药量(kg)
     */
    public String getTotalUseDrugCount() {
        return totalUseDrugCount;
    }

    /**
     * 总用药量(kg)
     * @param totalUseDrugCount 总用药量(kg)
     */
    public void setTotalUseDrugCount(String totalUseDrugCount) {
        this.totalUseDrugCount = totalUseDrugCount == null ? null : totalUseDrugCount.trim();
    }

    /**
     * 补药方法
     * @return supplement_drug_type 补药方法
     */
    public String getSupplementDrugType() {
        return supplementDrugType;
    }

    /**
     * 补药方法
     * @param supplementDrugType 补药方法
     */
    public void setSupplementDrugType(String supplementDrugType) {
        this.supplementDrugType = supplementDrugType == null ? null : supplementDrugType.trim();
    }

    /**
     * 补药前仓内磷化氢浓度(ppm)
     * @return tonic_before 补药前仓内磷化氢浓度(ppm)
     */
    public String getTonicBefore() {
        return tonicBefore;
    }

    /**
     * 补药前仓内磷化氢浓度(ppm)
     * @param tonicBefore 补药前仓内磷化氢浓度(ppm)
     */
    public void setTonicBefore(String tonicBefore) {
        this.tonicBefore = tonicBefore == null ? null : tonicBefore.trim();
    }

    /**
     * 目标浓度(ppm)
     * @return target_concentration 目标浓度(ppm)
     */
    public String getTargetConcentration() {
        return targetConcentration;
    }

    /**
     * 目标浓度(ppm)
     * @param targetConcentration 目标浓度(ppm)
     */
    public void setTargetConcentration(String targetConcentration) {
        this.targetConcentration = targetConcentration == null ? null : targetConcentration.trim();
    }

    /**
     * 计算补药量(克)
     * @return calculate_dosage 计算补药量(克)
     */
    public String getCalculateDosage() {
        return calculateDosage;
    }

    /**
     * 计算补药量(克)
     * @param calculateDosage 计算补药量(克)
     */
    public void setCalculateDosage(String calculateDosage) {
        this.calculateDosage = calculateDosage == null ? null : calculateDosage.trim();
    }

    /**
     * 实际补药量(克)
     * @return actual_dosage 实际补药量(克)
     */
    public String getActualDosage() {
        return actualDosage;
    }

    /**
     * 实际补药量(克)
     * @param actualDosage 实际补药量(克)
     */
    public void setActualDosage(String actualDosage) {
        this.actualDosage = actualDosage == null ? null : actualDosage.trim();
    }

    /**
     * 作业人数
     * @return number_homework 作业人数
     */
    public Integer getNumberHomework() {
        return numberHomework;
    }

    /**
     * 作业人数
     * @param numberHomework 作业人数
     */
    public void setNumberHomework(Integer numberHomework) {
        this.numberHomework = numberHomework;
    }

    /**
     * 补药作业批准人
     * @return tonic_approver 补药作业批准人
     */
    public String getTonicApprover() {
        return tonicApprover;
    }

    /**
     * 补药作业批准人
     * @param tonicApprover 补药作业批准人
     */
    public void setTonicApprover(String tonicApprover) {
        this.tonicApprover = tonicApprover == null ? null : tonicApprover.trim();
    }

    /**
     * 现场指挥人
     * @return field_controller 现场指挥人
     */
    public String getFieldController() {
        return fieldController;
    }

    /**
     * 现场指挥人
     * @param fieldController 现场指挥人
     */
    public void setFieldController(String fieldController) {
        this.fieldController = fieldController == null ? null : fieldController.trim();
    }

    /**
     * 峰值浓度(ppm)
     * @return peak_concentration 峰值浓度(ppm)
     */
    public String getPeakConcentration() {
        return peakConcentration;
    }

    /**
     * 峰值浓度(ppm)
     * @param peakConcentration 峰值浓度(ppm)
     */
    public void setPeakConcentration(String peakConcentration) {
        this.peakConcentration = peakConcentration == null ? null : peakConcentration.trim();
    }

    /**
     * 目标浓度维持天数(天)
     * @return target_concentration_days 目标浓度维持天数(天)
     */
    public String getTargetConcentrationDays() {
        return targetConcentrationDays;
    }

    /**
     * 目标浓度维持天数(天)
     * @param targetConcentrationDays 目标浓度维持天数(天)
     */
    public void setTargetConcentrationDays(String targetConcentrationDays) {
        this.targetConcentrationDays = targetConcentrationDays == null ? null : targetConcentrationDays.trim();
    }

    /**
     * 漏气位置检测
     * @return leak_location 漏气位置检测
     */
    public String getLeakLocation() {
        return leakLocation;
    }

    /**
     * 漏气位置检测
     * @param leakLocation 漏气位置检测
     */
    public void setLeakLocation(String leakLocation) {
        this.leakLocation = leakLocation == null ? null : leakLocation.trim();
    }

    /**
     * 漏气位置采取的补救措施
     * @return leak_position_remedy 漏气位置采取的补救措施
     */
    public String getLeakPositionRemedy() {
        return leakPositionRemedy;
    }

    /**
     * 漏气位置采取的补救措施
     * @param leakPositionRemedy 漏气位置采取的补救措施
     */
    public void setLeakPositionRemedy(String leakPositionRemedy) {
        this.leakPositionRemedy = leakPositionRemedy == null ? null : leakPositionRemedy.trim();
    }

    /**
     * 环流风机/阀门 是否正常
     * @return is_circulation_fine 环流风机/阀门 是否正常
     */
    public Integer getIsCirculationFine() {
        return isCirculationFine;
    }

    /**
     * 环流风机/阀门 是否正常
     * @param isCirculationFine 环流风机/阀门 是否正常
     */
    public void setIsCirculationFine(Integer isCirculationFine) {
        this.isCirculationFine = isCirculationFine;
    }

    /**
     * 施药设备 是否正常
     * @return is_use_drug_equipment_fine 施药设备 是否正常
     */
    public Integer getIsUseDrugEquipmentFine() {
        return isUseDrugEquipmentFine;
    }

    /**
     * 施药设备 是否正常
     * @param isUseDrugEquipmentFine 施药设备 是否正常
     */
    public void setIsUseDrugEquipmentFine(Integer isUseDrugEquipmentFine) {
        this.isUseDrugEquipmentFine = isUseDrugEquipmentFine;
    }

    /**
     * 仓房密闭性 是否正常
     * @return is_house_tightness_fine 仓房密闭性 是否正常
     */
    public Integer getIsHouseTightnessFine() {
        return isHouseTightnessFine;
    }

    /**
     * 仓房密闭性 是否正常
     * @param isHouseTightnessFine 仓房密闭性 是否正常
     */
    public void setIsHouseTightnessFine(Integer isHouseTightnessFine) {
        this.isHouseTightnessFine = isHouseTightnessFine;
    }

    /**
     * 高空作业平台安全检测 是否正常
     * @return is_aerial_work_platform_fine 高空作业平台安全检测 是否正常
     */
    public Integer getIsAerialWorkPlatformFine() {
        return isAerialWorkPlatformFine;
    }

    /**
     * 高空作业平台安全检测 是否正常
     * @param isAerialWorkPlatformFine 高空作业平台安全检测 是否正常
     */
    public void setIsAerialWorkPlatformFine(Integer isAerialWorkPlatformFine) {
        this.isAerialWorkPlatformFine = isAerialWorkPlatformFine;
    }

    /**
     * 磷化氢检测仪 是否正常
     * @return is_phosphine_detector_fine 磷化氢检测仪 是否正常
     */
    public Integer getIsPhosphineDetectorFine() {
        return isPhosphineDetectorFine;
    }

    /**
     * 磷化氢检测仪 是否正常
     * @param isPhosphineDetectorFine 磷化氢检测仪 是否正常
     */
    public void setIsPhosphineDetectorFine(Integer isPhosphineDetectorFine) {
        this.isPhosphineDetectorFine = isPhosphineDetectorFine;
    }

    /**
     * 磷化氢报警仪 是否正常
     * @return is_phosphine_alarm_fine 磷化氢报警仪 是否正常
     */
    public Integer getIsPhosphineAlarmFine() {
        return isPhosphineAlarmFine;
    }

    /**
     * 磷化氢报警仪 是否正常
     * @param isPhosphineAlarmFine 磷化氢报警仪 是否正常
     */
    public void setIsPhosphineAlarmFine(Integer isPhosphineAlarmFine) {
        this.isPhosphineAlarmFine = isPhosphineAlarmFine;
    }

    /**
     * 测氧仪 是否正常
     * @return is_oxygen_detector_fine 测氧仪 是否正常
     */
    public Integer getIsOxygenDetectorFine() {
        return isOxygenDetectorFine;
    }

    /**
     * 测氧仪 是否正常
     * @param isOxygenDetectorFine 测氧仪 是否正常
     */
    public void setIsOxygenDetectorFine(Integer isOxygenDetectorFine) {
        this.isOxygenDetectorFine = isOxygenDetectorFine;
    }

    /**
     * 空气呼吸器 是否正常
     * @return is_air_respirator_fine 空气呼吸器 是否正常
     */
    public Integer getIsAirRespiratorFine() {
        return isAirRespiratorFine;
    }

    /**
     * 空气呼吸器 是否正常
     * @param isAirRespiratorFine 空气呼吸器 是否正常
     */
    public void setIsAirRespiratorFine(Integer isAirRespiratorFine) {
        this.isAirRespiratorFine = isAirRespiratorFine;
    }

    /**
     * 警戒线/警示牌 是否有
     * @return is_have_warning_sign_fine 警戒线/警示牌 是否有
     */
    public Integer getIsHaveWarningSignFine() {
        return isHaveWarningSignFine;
    }

    /**
     * 警戒线/警示牌 是否有
     * @param isHaveWarningSignFine 警戒线/警示牌 是否有
     */
    public void setIsHaveWarningSignFine(Integer isHaveWarningSignFine) {
        this.isHaveWarningSignFine = isHaveWarningSignFine;
    }

    /**
     * 灭火器 是否正常
     * @return is_fire_extinguisher_fine 灭火器 是否正常
     */
    public Integer getIsFireExtinguisherFine() {
        return isFireExtinguisherFine;
    }

    /**
     * 灭火器 是否正常
     * @param isFireExtinguisherFine 灭火器 是否正常
     */
    public void setIsFireExtinguisherFine(Integer isFireExtinguisherFine) {
        this.isFireExtinguisherFine = isFireExtinguisherFine;
    }

    /**
     * 急救箱 是否有
     * @return is_have_first_aid_kit 急救箱 是否有
     */
    public Integer getIsHaveFirstAidKit() {
        return isHaveFirstAidKit;
    }

    /**
     * 急救箱 是否有
     * @param isHaveFirstAidKit 急救箱 是否有
     */
    public void setIsHaveFirstAidKit(Integer isHaveFirstAidKit) {
        this.isHaveFirstAidKit = isHaveFirstAidKit;
    }

    /**
     * 散气开始时间
     * @return bulk_start_time 散气开始时间
     */
    public Date getBulkStartTime() {
        return bulkStartTime;
    }

    /**
     * 散气开始时间
     * @param bulkStartTime 散气开始时间
     */
    public void setBulkStartTime(Date bulkStartTime) {
        this.bulkStartTime = bulkStartTime;
    }

    /**
     * 散气结束时间
     * @return bulk_end_time 散气结束时间
     */
    public Date getBulkEndTime() {
        return bulkEndTime;
    }

    /**
     * 散气结束时间
     * @param bulkEndTime 散气结束时间
     */
    public void setBulkEndTime(Date bulkEndTime) {
        this.bulkEndTime = bulkEndTime;
    }

    /**
     * 散气日期
     * @return perforated_date 散气日期
     */
    public Date getPerforatedDate() {
        return perforatedDate;
    }

    /**
     * 散气日期
     * @param perforatedDate 散气日期
     */
    public void setPerforatedDate(Date perforatedDate) {
        this.perforatedDate = perforatedDate;
    }

    /**
     * 散气持续天数(天)
     * @return perforated_days 散气持续天数(天)
     */
    public String getPerforatedDays() {
        return perforatedDays;
    }

    /**
     * 散气持续天数(天)
     * @param perforatedDays 散气持续天数(天)
     */
    public void setPerforatedDays(String perforatedDays) {
        this.perforatedDays = perforatedDays == null ? null : perforatedDays.trim();
    }

    /**
     * 密闭时间(天)
     * @return closed_time 密闭时间(天)
     */
    public String getClosedTime() {
        return closedTime;
    }

    /**
     * 密闭时间(天)
     * @param closedTime 密闭时间(天)
     */
    public void setClosedTime(String closedTime) {
        this.closedTime = closedTime == null ? null : closedTime.trim();
    }

    /**
     * CT值
     * @return ct_value CT值
     */
    public String getCtValue() {
        return ctValue;
    }

    /**
     * CT值
     * @param ctValue CT值
     */
    public void setCtValue(String ctValue) {
        this.ctValue = ctValue == null ? null : ctValue.trim();
    }

    /**
     * 散气结束前磷化氢浓度(ppm)*
     * @return perforated_before 散气结束前磷化氢浓度(ppm)*
     */
    public String getPerforatedBefore() {
        return perforatedBefore;
    }

    /**
     * 散气结束前磷化氢浓度(ppm)*
     * @param perforatedBefore 散气结束前磷化氢浓度(ppm)*
     */
    public void setPerforatedBefore(String perforatedBefore) {
        this.perforatedBefore = perforatedBefore == null ? null : perforatedBefore.trim();
    }

    /**
     * 散气结束时磷化氢浓度(ppm)*
     * @return perforated_end 散气结束时磷化氢浓度(ppm)*
     */
    public String getPerforatedEnd() {
        return perforatedEnd;
    }

    /**
     * 散气结束时磷化氢浓度(ppm)*
     * @param perforatedEnd 散气结束时磷化氢浓度(ppm)*
     */
    public void setPerforatedEnd(String perforatedEnd) {
        this.perforatedEnd = perforatedEnd == null ? null : perforatedEnd.trim();
    }

    /**
     * 散气方法
     * @return bulk_gas_type 散气方法
     */
    public String getBulkGasType() {
        return bulkGasType;
    }

    /**
     * 散气方法
     * @param bulkGasType 散气方法
     */
    public void setBulkGasType(String bulkGasType) {
        this.bulkGasType = bulkGasType == null ? null : bulkGasType.trim();
    }

    /**
     * 药剂残留率(ppm)
     * @return drug_residue_rate 药剂残留率(ppm)
     */
    public String getDrugResidueRate() {
        return drugResidueRate;
    }

    /**
     * 药剂残留率(ppm)
     * @param drugResidueRate 药剂残留率(ppm)
     */
    public void setDrugResidueRate(String drugResidueRate) {
        this.drugResidueRate = drugResidueRate == null ? null : drugResidueRate.trim();
    }

    /**
     * 散气批准人
     * @return perforated_approver 散气批准人
     */
    public String getPerforatedApprover() {
        return perforatedApprover;
    }

    /**
     * 散气批准人
     * @param perforatedApprover 散气批准人
     */
    public void setPerforatedApprover(String perforatedApprover) {
        this.perforatedApprover = perforatedApprover == null ? null : perforatedApprover.trim();
    }

    /**
     * 气体检测id
     * @return dcsqtinfo_id 气体检测id
     */
    public String getDcsqtinfoId() {
        return dcsqtinfoId;
    }

    /**
     * 气体检测id
     * @param dcsqtinfoId 气体检测id
     */
    public void setDcsqtinfoId(String dcsqtinfoId) {
        this.dcsqtinfoId = dcsqtinfoId == null ? null : dcsqtinfoId.trim();
    }

    /**
     * 作业状态：0待启动，1启动，2结束
     * @return task_state 作业状态：0待启动，1启动，2结束
     */
    public Integer getTaskState() {
        return taskState;
    }

    /**
     * 作业状态：0待启动，1启动，2结束
     * @param taskState 作业状态：0待启动，1启动，2结束
     */
    public void setTaskState(Integer taskState) {
        this.taskState = taskState;
    }

    /**
     * 作业结束时间
     * @return task_end_time 作业结束时间
     */
    public Date getTaskEndTime() {
        return taskEndTime;
    }

    /**
     * 作业结束时间
     * @param taskEndTime 作业结束时间
     */
    public void setTaskEndTime(Date taskEndTime) {
        this.taskEndTime = taskEndTime;
    }

    /**
     * 创建人
     * @return creater 创建人
     */
    public Integer getCreater() {
        return creater;
    }

    /**
     * 创建人
     * @param creater 创建人
     */
    public void setCreater(Integer creater) {
        this.creater = creater;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return update_time 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 删除标志，0是删除，1是未删除
     * @return delete_state 删除标志，0是删除，1是未删除
     */
    public String getDeleteState() {
        return deleteState;
    }

    /**
     * 删除标志，0是删除，1是未删除
     * @param deleteState 删除标志，0是删除，1是未删除
     */
    public void setDeleteState(String deleteState) {
        this.deleteState = deleteState == null ? null : deleteState.trim();
    }

    /**
     * 数据来源
     * @return data_source 数据来源
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 数据来源
     * @param dataSource 数据来源
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 氧气报警仪安全检查
     * @return yqbjyaqjc 氧气报警仪安全检查
     */
    public String getYqbjyaqjc() {
        return yqbjyaqjc;
    }

    /**
     * 氧气报警仪安全检查
     * @param yqbjyaqjc 氧气报警仪安全检查
     */
    public void setYqbjyaqjc(String yqbjyaqjc) {
        this.yqbjyaqjc = yqbjyaqjc == null ? null : yqbjyaqjc.trim();
    }

    /**
     * 补药前仓内磷化氢浓度
     * @return byqcnlhqnd 补药前仓内磷化氢浓度
     */
    public BigDecimal getByqcnlhqnd() {
        return byqcnlhqnd;
    }

    /**
     * 补药前仓内磷化氢浓度
     * @param byqcnlhqnd 补药前仓内磷化氢浓度
     */
    public void setByqcnlhqnd(BigDecimal byqcnlhqnd) {
        this.byqcnlhqnd = byqcnlhqnd;
    }

    /**
     * 目标浓度
     * @return mbnd 目标浓度
     */
    public BigDecimal getMbnd() {
        return mbnd;
    }

    /**
     * 目标浓度
     * @param mbnd 目标浓度
     */
    public void setMbnd(BigDecimal mbnd) {
        this.mbnd = mbnd;
    }

    /**
     * 计算补药量
     * @return jsbyl 计算补药量
     */
    public BigDecimal getJsbyl() {
        return jsbyl;
    }

    /**
     * 计算补药量
     * @param jsbyl 计算补药量
     */
    public void setJsbyl(BigDecimal jsbyl) {
        this.jsbyl = jsbyl;
    }

    /**
     * 补药作业批准人
     * @return byzypzr 补药作业批准人
     */
    public String getByzypzr() {
        return byzypzr;
    }

    /**
     * 补药作业批准人
     * @param byzypzr 补药作业批准人
     */
    public void setByzypzr(String byzypzr) {
        this.byzypzr = byzypzr == null ? null : byzypzr.trim();
    }

    /**
     * 峰值浓度
     * @return fznd 峰值浓度
     */
    public BigDecimal getFznd() {
        return fznd;
    }

    /**
     * 峰值浓度
     * @param fznd 峰值浓度
     */
    public void setFznd(BigDecimal fznd) {
        this.fznd = fznd;
    }

    /**
     * 目标浓度维持天数
     * @return mbndwcts 目标浓度维持天数
     */
    public Integer getMbndwcts() {
        return mbndwcts;
    }

    /**
     * 目标浓度维持天数
     * @param mbndwcts 目标浓度维持天数
     */
    public void setMbndwcts(Integer mbndwcts) {
        this.mbndwcts = mbndwcts;
    }

    /**
     * 漏气位置监测
     * @return lswzjc 漏气位置监测
     */
    public String getLswzjc() {
        return lswzjc;
    }

    /**
     * 漏气位置监测
     * @param lswzjc 漏气位置监测
     */
    public void setLswzjc(String lswzjc) {
        this.lswzjc = lswzjc == null ? null : lswzjc.trim();
    }

    /**
     * 漏气部位采取的补救措施
     * @return lqbwcqdbjcs 漏气部位采取的补救措施
     */
    public String getLqbwcqdbjcs() {
        return lqbwcqdbjcs;
    }

    /**
     * 漏气部位采取的补救措施
     * @param lqbwcqdbjcs 漏气部位采取的补救措施
     */
    public void setLqbwcqdbjcs(String lqbwcqdbjcs) {
        this.lqbwcqdbjcs = lqbwcqdbjcs == null ? null : lqbwcqdbjcs.trim();
    }

    /**
     * 密闭时间
     * @return mbsj 密闭时间
     */
    public Integer getMbsj() {
        return mbsj;
    }

    /**
     * 密闭时间
     * @param mbsj 密闭时间
     */
    public void setMbsj(Integer mbsj) {
        this.mbsj = mbsj;
    }

    /**
     * CT值
     * @return ctz CT值
     */
    public BigDecimal getCtz() {
        return ctz;
    }

    /**
     * CT值
     * @param ctz CT值
     */
    public void setCtz(BigDecimal ctz) {
        this.ctz = ctz;
    }

    /**
     * 散气前磷化氢浓度
     * @return sqqlhqnd 散气前磷化氢浓度
     */
    public BigDecimal getSqqlhqnd() {
        return sqqlhqnd;
    }

    /**
     * 散气前磷化氢浓度
     * @param sqqlhqnd 散气前磷化氢浓度
     */
    public void setSqqlhqnd(BigDecimal sqqlhqnd) {
        this.sqqlhqnd = sqqlhqnd;
    }

    /**
     * 散气批准人
     * @return sqpzr 散气批准人
     */
    public String getSqpzr() {
        return sqpzr;
    }

    /**
     * 散气批准人
     * @param sqpzr 散气批准人
     */
    public void setSqpzr(String sqpzr) {
        this.sqpzr = sqpzr == null ? null : sqpzr.trim();
    }

    /**
     * 散气持续天数
     * @return sqcsts 散气持续天数
     */
    public Integer getSqcsts() {
        return sqcsts;
    }

    /**
     * 散气持续天数
     * @param sqcsts 散气持续天数
     */
    public void setSqcsts(Integer sqcsts) {
        this.sqcsts = sqcsts;
    }

    /**
     * 散气结束时磷化氢浓度
     * @return sqjsslhqnd 散气结束时磷化氢浓度
     */
    public BigDecimal getSqjsslhqnd() {
        return sqjsslhqnd;
    }

    /**
     * 散气结束时磷化氢浓度
     * @param sqjsslhqnd 散气结束时磷化氢浓度
     */
    public void setSqjsslhqnd(BigDecimal sqjsslhqnd) {
        this.sqjsslhqnd = sqjsslhqnd;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public Integer getDjcxz() {
        return djcxz;
    }

    public void setDjcxz(Integer djcxz) {
        this.djcxz = djcxz;
    }

    public String getOperationSupervisor() {
        return operationSupervisor;
    }

    public void setOperationSupervisor(String operationSupervisor) {
        this.operationSupervisor = operationSupervisor;
    }

    public String getXzczry() {
        return xzczry;
    }

    public void setXzczry(String xzczry) {
        this.xzczry = xzczry;
    }

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
    
}