package com.chinaitop.depot.keeperHouse.controller;

import com.chinaitop.depot.keeperHouse.model.StorageKeepertransferDetails;
import com.chinaitop.depot.keeperHouse.model.StorageKeepertransferDetailsExample;
import com.chinaitop.depot.keeperHouse.service.StorageKeepertransferDetailsService;
import com.chinaitop.depot.utils.ParameterUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/10/24
 * 保管员移交关联子表
 */
@RestController
@RequestMapping(value = {"/keeperTransferDetails"})
@Api(value= "StorageKeeperTransferDetailsController", description = "保管员移交关联子表控制类")
public class StorageKeeperTransferDetailsController {
    @Resource
    private StorageKeepertransferDetailsService keepertransferDetailsService;

    /**
     * 根据移交表查找字表
     * @param ktId
     * @return
     */
    @RequestMapping(value = "/findKtDetailsByKtId",produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.GET)
    @ApiOperation(value="根据移交表查找字表ById", notes = "根据移交表查找字表ById")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "id", paramType = "query"),
    })
    public List<StorageKeepertransferDetails> findKtDetailsByKtId(Integer ktId){
        StorageKeepertransferDetailsExample keepertransferDetailsExample = new StorageKeepertransferDetailsExample();
        StorageKeepertransferDetailsExample.Criteria criteria = keepertransferDetailsExample.createCriteria();
        if(ParameterUtil.isnotnull(ktId)){
            criteria.andKtIdEqualTo(ktId);
        }
        return  keepertransferDetailsService.findKtDetailsByKtId(keepertransferDetailsExample);
    }
}
