package com.chinaitop.depot.keeperHouse.model;


import java.util.Date;

public class StorageHouserepair {
    private Integer id;

    private Integer storehouseId;

    private String storehouseCode;

    private Date checkDate;

    private String project;

    private String problemExist;

    private String problem;

    private String opinion;

    private String repairFocus;

    private String remark;

    private String bosshead;

    private Date repairStartDate;

    private Date repairEndDate;

    private String checkPerson;

    private String repairStatus;

    private Integer orgId;

    //业务字段 仓房名称
    private String storehouseName;

    //开始日期和结束日期
    private String searchStartDate;
    private String searchEndDate;

    //标记用于维修状态的区分
    private String existFlag;
    /**
     * 仓房维修记录表
     * @return id 仓房维修记录表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 仓房维修记录表
     * @param id 仓房维修记录表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 仓房id
     * @return storehouse_id 仓房id
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * 仓房id
     * @param storehouseId 仓房id
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * 仓房编号
     * @return storehouse_code 仓房编号
     */
    public String getStorehouseCode() {
        return storehouseCode;
    }

    /**
     * 仓房编号
     * @param storehouseCode 仓房编号
     */
    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode == null ? null : storehouseCode.trim();
    }

    /**
     * 检测日期
     * @return check_date 检测日期
     */
    public Date getCheckDate() {
        return checkDate;
    }

    /**
     * 检测日期
     * @param checkDate 检测日期
     */
    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    /**
     * 检查项目
     * @return project 检查项目
     */
    public String getProject() {
        return project;
    }

    /**
     * 检查项目
     * @param project 检查项目
     */
    public void setProject(String project) {
        this.project = project == null ? null : project.trim();
    }

    /**
     * 问题是否存在 0:是 1:否
     * @return problem_exist 问题是否存在 0:是 1:否
     */
    public String getProblemExist() {
        return problemExist;
    }

    /**
     * 问题是否存在 0:是 1:否
     * @param problemExist 问题是否存在 0:是 1:否
     */
    public void setProblemExist(String problemExist) {
        this.problemExist = problemExist == null ? null : problemExist.trim();
    }

    /**
     * 存在的问题
     * @return problem 存在的问题
     */
    public String getProblem() {
        return problem;
    }

    /**
     * 存在的问题
     * @param problem 存在的问题
     */
    public void setProblem(String problem) {
        this.problem = problem == null ? null : problem.trim();
    }

    /**
     * 处理意见
     * @return opinion 处理意见
     */
    public String getOpinion() {
        return opinion;
    }

    /**
     * 处理意见
     * @param opinion 处理意见
     */
    public void setOpinion(String opinion) {
        this.opinion = opinion == null ? null : opinion.trim();
    }

    /**
     * 维修要点
     * @return repair_focus 维修要点
     */
    public String getRepairFocus() {
        return repairFocus;
    }

    /**
     * 维修要点
     * @param repairFocus 维修要点
     */
    public void setRepairFocus(String repairFocus) {
        this.repairFocus = repairFocus == null ? null : repairFocus.trim();
    }

    /**
     * 维修备注
     * @return remark 维修备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 维修备注
     * @param remark 维修备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 维修负责人
     * @return bosshead 维修负责人
     */
    public String getBosshead() {
        return bosshead;
    }

    /**
     * 维修负责人
     * @param bosshead 维修负责人
     */
    public void setBosshead(String bosshead) {
        this.bosshead = bosshead == null ? null : bosshead.trim();
    }

    /**
     * 维修开始日期
     * @return repair_start_date 维修开始日期
     */
    public Date getRepairStartDate() {
        return repairStartDate;
    }

    /**
     * 维修开始日期
     * @param repairStartDate 维修开始日期
     */
    public void setRepairStartDate(Date repairStartDate) {
        this.repairStartDate = repairStartDate;
    }

    /**
     * 维修结束日期
     * @return repair_end_date 维修结束日期
     */
    public Date getRepairEndDate() {
        return repairEndDate;
    }

    /**
     * 维修结束日期
     * @param repairEndDate 维修结束日期
     */
    public void setRepairEndDate(Date repairEndDate) {
        this.repairEndDate = repairEndDate;
    }

    /**
     * 登录人
     * @return check_person 登录人
     */
    public String getCheckPerson() {
        return checkPerson;
    }

    /**
     * 登录人
     * @param checkPerson 登录人
     */
    public void setCheckPerson(String checkPerson) {
        this.checkPerson = checkPerson == null ? null : checkPerson.trim();
    }

    /**
     * 维修状态 0：维修中 1：维修完成
     * @return repair_status 维修状态 0：维修中 1：维修完成
     */
    public String getRepairStatus() {
        return repairStatus;
    }

    /**
     * 维修状态 0：维修中 1：维修完成
     * @param repairStatus 维修状态 0：维修中 1：维修完成
     */
    public void setRepairStatus(String repairStatus) {
        this.repairStatus = repairStatus == null ? null : repairStatus.trim();
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getSearchStartDate() {
        return searchStartDate;
    }

    public void setSearchStartDate(String searchStartDate) {
        this.searchStartDate = searchStartDate;
    }

    public String getSearchEndDate() {
        return searchEndDate;
    }

    public void setSearchEndDate(String searchEndDate) {
        this.searchEndDate = searchEndDate;
    }

    public String getExistFlag() {
        return existFlag;
    }

    public void setExistFlag(String existFlag) {
        this.existFlag = existFlag;
    }
}