package com.chinaitop.depot.keeperHouse.service.impl;


import com.chinaitop.depot.keeperHouse.mapper.StorageHouserepairMapper;
import com.chinaitop.depot.keeperHouse.model.StorageHouserepair;
import com.chinaitop.depot.keeperHouse.service.StorageHouserepairService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/10/16
 */
@Service
@Transactional
public class StorageHouserepairServiceImpl implements StorageHouserepairService {
    @Resource
    private StorageHouserepairMapper houseRepairMapper;

    @Override
    public List<StorageHouserepair> queryByHouseRepair(StorageHouserepair houserepair) {
        List<StorageHouserepair> list =houseRepairMapper.queryByExample(houserepair);
        return list;
    }

    //保存数据(仓房检查)
    @Override
    public void saveCheck(StorageHouserepair houseRepair) {
        if(houseRepair.getProblemExist().equals("1")){
            StorageHouserepair sh = new StorageHouserepair();
            houseRepair.setProblem(sh.getProblem());
            houseRepair.setOpinion(sh.getOpinion());
        }
      //仓房检查中保存的仓房代码号从前台传
        if (houseRepair.getId() == null){
            houseRepairMapper.insert(houseRepair);//新增数据
        } else{
            houseRepairMapper.updateByPrimaryKey(houseRepair);//修改数据
        }

    }
    //保存数据(仓房维修)
    @Override
    public void saveRepair(StorageHouserepair houseRepair) {
        Date date = new Date();
        if(houseRepair.getRepairStartDate() != null){
            //如果当前时间小于结束时间 维修中
            if(houseRepair.getRepairEndDate() == null){
                houseRepair.setRepairStatus("0");//维修状态 0：维修中 1：维修完成
            }

            if( houseRepair.getRepairEndDate() != null){
                if(date.getTime() > houseRepair.getRepairEndDate().getTime()){
                    houseRepair.setRepairStatus("1");
                }else{
                    houseRepair.setRepairStatus("0");
                }
            }
        }
        houseRepairMapper.updateByPrimaryKey(houseRepair);//修改数据
    }

    @Override
    public StorageHouserepair loadDataById(int id) {
        return houseRepairMapper.selectByPrimaryKey(id);
    }

    @Override
    @Transactional
    public void remove(int id) {
        //逻辑删除数据
        houseRepairMapper.deleteByPrimaryKey(id);
    }
}
