package com.chinaitop.depot.payment.model;

import java.util.Date;

public class StoragePayment {
    private Integer id;

    private Integer orgId;

    private String unit;

    private Integer houseId;

    private String recorder;

    private String count;

    private Integer type;

    private Integer subType;

    private Date payTime;

    private String price;

    private String number;

    private String payContent;

    //业务字段
    private String storehouseName;//仓房编号

    /**
     * ID
     * @return id ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * ID
     * @param id ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 库级id
     * @return org_id 库级id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库级id
     * @param orgId 库级id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 单位
     * @return unit 单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 单位
     * @param unit 单位
     */
    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 负责人
     * @return recorder 负责人
     */
    public String getRecorder() {
        return recorder;
    }

    /**
     * 负责人
     * @param recorder 负责人
     */
    public void setRecorder(String recorder) {
        this.recorder = recorder == null ? null : recorder.trim();
    }

    /**
     * 产生费用
     * @return count 产生费用
     */
    public String getCount() {
        return count;
    }

    /**
     * 产生费用
     * @param count 产生费用
     */
    public void setCount(String count) {
        this.count = count == null ? null : count.trim();
    }

    /**
     * 产生费用类型
     * @return type 产生费用类型
     */
    public Integer getType() {
        return type;
    }

    /**
     * 产生费用类型
     * @param type 产生费用类型
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 产生费用子类型
     * @return sub_type 产生费用子类型
     */
    public Integer getSubType() {
        return subType;
    }

    /**
     * 产生费用子类型
     * @param subType 产生费用子类型
     */
    public void setSubType(Integer subType) {
        this.subType = subType;
    }

    /**
     * 产生费用时间
     * @return pay_time 产生费用时间
     */
    public Date getPayTime() {
        return payTime;
    }

    /**
     * 产生费用时间
     * @param payTime 产生费用时间
     */
    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    /**
     * 单价
     * @return price 单价
     */
    public String getPrice() {
        return price;
    }

    /**
     * 单价
     * @param price 单价
     */
    public void setPrice(String price) {
        this.price = price == null ? null : price.trim();
    }

    /**
     * 数量
     * @return number 数量
     */
    public String getNumber() {
        return number;
    }

    /**
     * 数量
     * @param number 数量
     */
    public void setNumber(String number) {
        this.number = number == null ? null : number.trim();
    }

    /**
     * 费用产生的原因
     * @return pay_content 费用产生的原因
     */
    public String getPayContent() {
        return payContent;
    }

    /**
     * 费用产生的原因
     * @param payContent 费用产生的原因
     */
    public void setPayContent(String payContent) {
        this.payContent = payContent == null ? null : payContent.trim();
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }
}