package com.chinaitop.depot.product.controller;


import java.util.List;

import javax.annotation.Resource;

import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.product.model.DataKcglCplkcswDefault;
import com.chinaitop.depot.product.service.DataKcglCplkcswDefaultService;
import com.github.pagehelper.PageInfo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

/**
 * shine
 * 成品粮 库存实物
 */
@RequestMapping(value="/cplkc")
@Api(tags="成品粮油库存实物")
@RestController
public class DataKcglCplkcswDefaultController {

    @Resource
    private DataKcglCplkcswDefaultService dataKcglCplkcswDefaultService;

   

    @RequestMapping(value = "/getList", produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.GET)
    @ApiOperation(value="查询成品粮油库存实物列表", notes = "查询成品粮油库存实物列表，支持分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "页码", paramType = "query"),
            @ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "query"),
            @ApiImplicitParam(name = "houseName", value = "仓房名称", paramType = "query"),
            @ApiImplicitParam(name = "wareName", value = "货位名称", paramType = "query"),
            @ApiImplicitParam(name = "sjjlspmc", value = "商品名称", paramType = "query"),
            @ApiImplicitParam(name = "orgId", value = "组织机构代码", paramType = "query")

    })
    public PageInfo<DataKcglCplkcswDefault> getList(Integer pageNum, Integer pageSize, 
    		String houseId, String wareId, String sjjlspmc, Integer orgId){
    	
        List<DataKcglCplkcswDefault> list = dataKcglCplkcswDefaultService.getlist(pageNum,pageSize,houseId,wareId,sjjlspmc,orgId);
        		 
        PageInfo<DataKcglCplkcswDefault> pageInfo = new PageInfo<DataKcglCplkcswDefault>(list);
        return pageInfo;
    }


    /**
     * 获取成品粮油库存实物详情
     * @return
     */
    @RequestMapping(value = "/getById" ,produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.GET)
    @ApiOperation(value="获取成品粮油库存实物详情", notes = "获取成品粮油库存实物详情")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "id", paramType = "query")
    })
    public DataKcglCplkcswDefault getById(String id){
        return dataKcglCplkcswDefaultService.getById(id);
    }

   
}