package com.chinaitop.depot.product.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageProductFcbgz {
    private String id;

    private String houseId;

    private String warehouseId;

    private String storehouseType;

    private String lspz;

    private String lsmxpz;

    private String nature;

    private String levels;

    private String places;

    private Date productionDate;

    private String houseTemp;

    private String houseHumidity;

    private String storage;

    private String specifications;

    private String storageQuantity;

    private String outboundQuantity;

    private BigDecimal inventoryQuantity;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date recordDate;

    private String liquidLevel;

    private String tankDiameter;

    private String others;

    private String deleteState;

    private String approvePeople;

    private String creater;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    private Integer orgId;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatetime;

    private BigDecimal rkjs;

    private BigDecimal ckjs;

    private String sfdyc;

    private String zylx;

    private BigDecimal kcsl;

    /**
     * 分仓保管账
     * @return id 分仓保管账
     */
    public String getId() {
        return id;
    }

    /**
     * 分仓保管账
     * @param id 分仓保管账
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public String getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(String houseId) {
        this.houseId = houseId == null ? null : houseId.trim();
    }

    /**
     * 货位Id
     * @return warehouse_id 货位Id
     */
    public String getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位Id
     * @param warehouseId 货位Id
     */
    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId == null ? null : warehouseId.trim();
    }

    /**
     * 仓房类型编号（立筒仓等）
     * @return storehouse_type 仓房类型编号（立筒仓等）
     */
    public String getStorehouseType() {
        return storehouseType;
    }

    /**
     * 仓房类型编号（立筒仓等）
     * @param storehouseType 仓房类型编号（立筒仓等）
     */
    public void setStorehouseType(String storehouseType) {
        this.storehouseType = storehouseType == null ? null : storehouseType.trim();
    }

    /**
     * 粮油品种
     * @return lspz 粮油品种
     */
    public String getLspz() {
        return lspz;
    }

    /**
     * 粮油品种
     * @param lspz 粮油品种
     */
    public void setLspz(String lspz) {
        this.lspz = lspz == null ? null : lspz.trim();
    }

    /**
     * 粮食明细品种
     * @return lsmxpz 粮食明细品种
     */
    public String getLsmxpz() {
        return lsmxpz;
    }

    /**
     * 粮食明细品种
     * @param lsmxpz 粮食明细品种
     */
    public void setLsmxpz(String lsmxpz) {
        this.lsmxpz = lsmxpz == null ? null : lsmxpz.trim();
    }

    /**
     * 粮油性质
     * @return nature 粮油性质
     */
    public String getNature() {
        return nature;
    }

    /**
     * 粮油性质
     * @param nature 粮油性质
     */
    public void setNature(String nature) {
        this.nature = nature == null ? null : nature.trim();
    }

    /**
     * 粮油等级
     * @return levels 粮油等级
     */
    public String getLevels() {
        return levels;
    }

    /**
     * 粮油等级
     * @param levels 粮油等级
     */
    public void setLevels(String levels) {
        this.levels = levels == null ? null : levels.trim();
    }

    /**
     * 产地
     * @return places 产地
     */
    public String getPlaces() {
        return places;
    }

    /**
     * 产地
     * @param places 产地
     */
    public void setPlaces(String places) {
        this.places = places == null ? null : places.trim();
    }

    /**
     * 生产日期
     * @return production_date 生产日期
     */
    public Date getProductionDate() {
        return productionDate;
    }

    /**
     * 生产日期
     * @param productionDate 生产日期
     */
    public void setProductionDate(Date productionDate) {
        this.productionDate = productionDate;
    }

    /**
     * 仓温（℃）
     * @return house_temp 仓温（℃）
     */
    public String getHouseTemp() {
        return houseTemp;
    }

    /**
     * 仓温（℃）
     * @param houseTemp 仓温（℃）
     */
    public void setHouseTemp(String houseTemp) {
        this.houseTemp = houseTemp == null ? null : houseTemp.trim();
    }

    /**
     * 仓湿（%）
     * @return house_humidity 仓湿（%）
     */
    public String getHouseHumidity() {
        return houseHumidity;
    }

    /**
     * 仓湿（%）
     * @param houseHumidity 仓湿（%）
     */
    public void setHouseHumidity(String houseHumidity) {
        this.houseHumidity = houseHumidity == null ? null : houseHumidity.trim();
    }

    /**
     * 存储方式 1 分件  2 油罐
     * @return storage 存储方式 1 分件  2 油罐
     */
    public String getStorage() {
        return storage;
    }

    /**
     * 存储方式 1 分件  2 油罐
     * @param storage 存储方式 1 分件  2 油罐
     */
    public void setStorage(String storage) {
        this.storage = storage == null ? null : storage.trim();
    }

    /**
     * 规格（吨）*
     * @return specifications 规格（吨）*
     */
    public String getSpecifications() {
        return specifications;
    }

    /**
     * 规格（吨）*
     * @param specifications 规格（吨）*
     */
    public void setSpecifications(String specifications) {
        this.specifications = specifications == null ? null : specifications.trim();
    }

    /**
     * 入库数量（吨）
     * @return storage_quantity 入库数量（吨）
     */
    public String getStorageQuantity() {
        return storageQuantity;
    }

    /**
     * 入库数量（吨）
     * @param storageQuantity 入库数量（吨）
     */
    public void setStorageQuantity(String storageQuantity) {
        this.storageQuantity = storageQuantity == null ? null : storageQuantity.trim();
    }

    /**
     * 出库数量（吨）
     * @return outbound_quantity 出库数量（吨）
     */
    public String getOutboundQuantity() {
        return outboundQuantity;
    }

    /**
     * 出库数量（吨）
     * @param outboundQuantity 出库数量（吨）
     */
    public void setOutboundQuantity(String outboundQuantity) {
        this.outboundQuantity = outboundQuantity == null ? null : outboundQuantity.trim();
    }

    /**
     * 库存数量（吨）
     * @return inventory_quantity 库存数量（吨）
     */
    public BigDecimal getInventoryQuantity() {
        return inventoryQuantity;
    }

    /**
     * 库存数量（吨）
     * @param inventoryQuantity 库存数量（吨）
     */
    public void setInventoryQuantity(BigDecimal inventoryQuantity) {
        this.inventoryQuantity = inventoryQuantity;
    }

    /**
     * 记录日期
     * @return record_date 记录日期
     */
    public Date getRecordDate() {
        return recordDate;
    }

    /**
     * 记录日期
     * @param recordDate 记录日期
     */
    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }

    /**
     * 液位高度（m）
     * @return liquid_level 液位高度（m）
     */
    public String getLiquidLevel() {
        return liquidLevel;
    }

    /**
     * 液位高度（m）
     * @param liquidLevel 液位高度（m）
     */
    public void setLiquidLevel(String liquidLevel) {
        this.liquidLevel = liquidLevel == null ? null : liquidLevel.trim();
    }

    /**
     * 罐体直径（m）
     * @return tank_diameter 罐体直径（m）
     */
    public String getTankDiameter() {
        return tankDiameter;
    }

    /**
     * 罐体直径（m）
     * @param tankDiameter 罐体直径（m）
     */
    public void setTankDiameter(String tankDiameter) {
        this.tankDiameter = tankDiameter == null ? null : tankDiameter.trim();
    }

    /**
     * 其他
     * @return others 其他
     */
    public String getOthers() {
        return others;
    }

    /**
     * 其他
     * @param others 其他
     */
    public void setOthers(String others) {
        this.others = others == null ? null : others.trim();
    }

    /**
     * 删除标志，0是删除，1是未删除，2是已经提交，不能删除
     * @return delete_state 删除标志，0是删除，1是未删除，2是已经提交，不能删除
     */
    public String getDeleteState() {
        return deleteState;
    }

    /**
     * 删除标志，0是删除，1是未删除，2是已经提交，不能删除
     * @param deleteState 删除标志，0是删除，1是未删除，2是已经提交，不能删除
     */
    public void setDeleteState(String deleteState) {
        this.deleteState = deleteState == null ? null : deleteState.trim();
    }

    /**
     * 审批人
     * @return approve_people 审批人
     */
    public String getApprovePeople() {
        return approvePeople;
    }

    /**
     * 审批人
     * @param approvePeople 审批人
     */
    public void setApprovePeople(String approvePeople) {
        this.approvePeople = approvePeople == null ? null : approvePeople.trim();
    }

    /**
     * 创建人
     * @return creater 创建人
     */
    public String getCreater() {
        return creater;
    }

    /**
     * 创建人
     * @param creater 创建人
     */
    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 组织机构id
     * @return org_id 组织机构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构id
     * @param orgId 组织机构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public BigDecimal getRkjs() {
        return rkjs;
    }

    public void setRkjs(BigDecimal rkjs) {
        this.rkjs = rkjs;
    }

    public BigDecimal getCkjs() {
        return ckjs;
    }

    public void setCkjs(BigDecimal ckjs) {
        this.ckjs = ckjs;
    }

    /**
     * 是否第一车,0:是,1:否
     * @return
     */
	public String getSfdyc() {
		return sfdyc;
	}

	/**
	 * 是否第一车,0:是,1:否
	 * @param sfdyc
	 */
	public void setSfdyc(String sfdyc) {
		this.sfdyc = sfdyc;
	}

	/**
	 * 作业类型,0:入库,1:出库
	 * @return
	 */
	public String getZylx() {
		return zylx;
	}

	/**
	 * 作业类型,0:入库,1:出库
	 * @param zylx
	 */
	public void setZylx(String zylx) {
		this.zylx = zylx;
	}

	/**
	 * 做完当前业务后对应的库存数量
	 * @return
	 */
	public BigDecimal getKcsl() {
		return kcsl;
	}

	/**
	 * 做完当前业务后对应的库存数量
	 * @param kcsl
	 */
	public void setKcsl(BigDecimal kcsl) {
		this.kcsl = kcsl;
	}
}