package com.chinaitop.depot.product.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageProductKcsl {
    private String id;

    private Integer orgId;

    private Integer houseId;

    private Integer warehouseId;

    private Integer lypz;
    
    private Integer mxpz;

    private Integer lyxz;

    private Integer lydj;

    private Integer lycd;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date rksj;

    private Date scrq;

    private BigDecimal kcsl;

    private Date inputTime;
    
    private Date hdsj;
    
    private String scny;
    
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date zhycsj;

    /**
     * ID
     * @return id ID
     */
    public String getId() {
        return id;
    }

    /**
     * ID
     * @param id ID
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 单位ID
     * @return org_id 单位ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位ID
     * @param orgId 单位ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位ID
     * @return warehouse_id 货位ID
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位ID
     * @param warehouseId 货位ID
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 粮油品种
     * @return lypz 粮油品种
     */
    public Integer getLypz() {
        return lypz;
    }

    /**
     * 粮油品种
     * @param lypz 粮油品种
     */
    public void setLypz(Integer lypz) {
        this.lypz = lypz;
    }
    
    /**
     * 明细品种
     * @return
     */
    public Integer getMxpz() {
		return mxpz;
	}

    /**
     * 明细品种
     * @param mxpz
     */
	public void setMxpz(Integer mxpz) {
		this.mxpz = mxpz;
	}

	/**
     * 粮油性质
     * @return lyxz 粮油性质
     */
    public Integer getLyxz() {
        return lyxz;
    }

    /**
     * 粮油性质
     * @param lyxz 粮油性质
     */
    public void setLyxz(Integer lyxz) {
        this.lyxz = lyxz;
    }

    /**
     * 粮油等级
     * @return lydj 粮油等级
     */
    public Integer getLydj() {
        return lydj;
    }

    /**
     * 粮油等级
     * @param lydj 粮油等级
     */
    public void setLydj(Integer lydj) {
        this.lydj = lydj;
    }

    /**
     * 粮油产地
     * @return lycd 粮油产地
     */
    public Integer getLycd() {
        return lycd;
    }

    /**
     * 粮油产地
     * @param lycd 粮油产地
     */
    public void setLycd(Integer lycd) {
        this.lycd = lycd;
    }

    /**
     * 入仓时间(第一车)
     * @return rksj 入库时间
     */
    public Date getRksj() {
        return rksj;
    }

    /**
     * 入仓时间(第一车)
     * @param rksj 入仓时间
     */
    public void setRksj(Date rksj) {
        this.rksj = rksj;
    }

    /**
     * 生产日期
     * @return scrq 生产日期
     */
    public Date getScrq() {
        return scrq;
    }

    /**
     * 生产日期
     * @param scrq 生产日期
     */
    public void setScrq(Date scrq) {
        this.scrq = scrq;
    }

    /**
     * 库存数量
     * @return kcsl 库存数量
     */
    public BigDecimal getKcsl() {
        return kcsl;
    }

    /**
     * 库存数量
     * @param kcsl 库存数量
     */
    public void setKcsl(BigDecimal kcsl) {
        this.kcsl = kcsl;
    }

    /**
     * 录入时间
     * @return input_time 录入时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 录入时间
     * @param inputTime 录入时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    /**
     * 库存核对时间
     * @return 库存核对时间
     */
	public Date getHdsj() {
		return hdsj;
	}

	/**
	 * 库存核对时间
	 * @param hdsj 库存核对时间
	 */
	public void setHdsj(Date hdsj) {
		this.hdsj = hdsj;
	}

	/**
	 * 生产年月
	 * @return
	 */
	public String getScny() {
		return scny;
	}

	/**
	 * 生产年月
	 * @param scny
	 */
	public void setScny(String scny) {
		this.scny = scny;
	}
	
	/**
	 * 最后一车时间(入库时间)
	 * @return
	 */
	public Date getZhycsj() {
		return zhycsj;
	}

	/**
	 * 最后一车时间(入库时间)
	 * @param zhycsj
	 */
	public void setZhycsj(Date zhycsj) {
		this.zhycsj = zhycsj;
	}

}