package com.chinaitop.depot.product.service;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.chinaitop.depot.product.model.StorageProductFcbgz;
import com.chinaitop.depot.product.model.StorageProductKcsl;

/**
 * 成品粮库存数量业务接口
 * @author fanxiongwei
 *
 */
public interface StorageProductKcslService {

	/**
	 * 按条件查询成品粮库存列表
	 * @param houseId
	 * @param wareId
	 * @param orgId
	 * @return
	 * @throws Exception
	 */
	List<StorageProductKcsl> getList(Integer houseId, Integer wareId, Integer orgId) throws Exception;

	/**
	 * 查询一个货位下成品粮库存数据
	 * @param fcbgz
	 * @return
	 * @throws Exception
	 */
	StorageProductKcsl findByObj(StorageProductFcbgz fcbgz) throws Exception;

	/**
	 * 新增一条成品粮库存数量数据
	 * @param kcsl
	 * @throws Exception
	 */
	void add(StorageProductKcsl kcsl) throws Exception;

	/**
	 * 按照仓房和货位删除一条成品粮库存数据
	 * @param houseId
	 * @param wareId
	 * @param orgId
	 * @throws Exception
	 */
	void remove(Integer houseId, Integer wareId, Integer orgId) throws Exception;

	/**
	 * 修改一条成品粮库存数据
	 * 
	 * @param fcbgz
	 * @param map
	 * @throws Exception
	 */
	Map<String, String> update(StorageProductFcbgz fcbgz, Map<String, String> map) throws Exception;

	/**
     * 成品粮库存数量核对时间刷新
     * @param orgId
     */
	void restHdData(Integer orgId) throws Exception;

	/**
	 * 查询成品粮的总库存数量
	 * @param orgId
	 * @return
	 * @throws Exception
	 */
	String getCplKcsl(Integer orgId, Integer houseId, Integer wareId) throws Exception;
}
