package com.chinaitop.depot.product.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.product.mapper.DataKcglCplkcswDefaultMapper;
import com.chinaitop.depot.product.model.DataKcglCplkcswDefault;
import com.chinaitop.depot.product.model.DataKcglCplkcswDefaultExample;
import com.chinaitop.depot.product.service.DataKcglCplkcswDefaultService;
import com.chinaitop.depot.utils.ParameterUtil;
import com.github.pagehelper.PageHelper;

@Service
public class DataKcglCplkcswDefaultServiceImpl implements DataKcglCplkcswDefaultService {

	@Resource
	private DataKcglCplkcswDefaultMapper dataKcglCplkcswDefaultMapper;

	@Override
	public List<DataKcglCplkcswDefault> getlist(Integer pageNum, Integer pageSize, String houseId, String wareId,
			String sjjlspmc, Integer orgId) {
		
		DataKcglCplkcswDefaultExample dataKcglCplkcswDefaultExample = new DataKcglCplkcswDefaultExample();
    	DataKcglCplkcswDefaultExample.Criteria criteria = dataKcglCplkcswDefaultExample.createCriteria();
        
        if(ParameterUtil.isnotnull(houseId)){
           criteria.andChEqualTo(houseId);
        }
        if(ParameterUtil.isnotnull(wareId)){
            criteria.andHwhEqualTo(wareId);
         }
        if(ParameterUtil.isnotnull(sjjlspmc)){
            criteria.andSjjlspmcLike(sjjlspmc);
        }
        if(ParameterUtil.isnotnull(orgId)){
            criteria.andUnitidEqualTo(orgId+"");
        }
        
        if (pageNum!=null && pageSize!=null) {
            PageHelper.startPage(pageNum, pageSize);
        }

        dataKcglCplkcswDefaultExample.setOrderByClause("ch asc");
        
        List<DataKcglCplkcswDefault> list = dataKcglCplkcswDefaultMapper.selectByExample(dataKcglCplkcswDefaultExample);
        
		return list;
	}

	@Override
	public DataKcglCplkcswDefault getById(String id) {
		// TODO Auto-generated method stub
		return dataKcglCplkcswDefaultMapper.selectByPrimaryKey(id);
	}

}
