package com.chinaitop.depot.registrationTable.util;

import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Sheet;

import com.chinaitop.depot.utils.ParameterUtil;

/**
 * @auther hf
 * @createtime 2020/08/05
 */
public class ExcelImportUtils{

    //是否是2003的excel，返回true是2003
    public static boolean isExcel2003(String filePath)  {
        return filePath.matches("^.+\\.(?i)(xls)$");
    }

    //是否是2007的excel，返回true是2007
    public static boolean isExcel2007(String filePath)  {
        return filePath.matches("^.+\\.(?i)(xlsx)$");
    }

    /**
     * 验证EXCEL文件
     * @param filePath
     * @return
     */
    public static boolean validateExcel(String filePath){
        if (filePath == null || !(isExcel2003(filePath) || isExcel2007(filePath))){
            return false;
        }
        return true;
    }

    public static boolean isEmpty(String type,int index,boolean[] NotEmpty){//判断是否可为空
        return NotEmpty[index];
    }

    //判断导入的excel是否和模板相同
    public  static boolean isSame(Sheet sheet, int totalCells,String[] titleArr){
        for (int i = 0; i < totalCells; i++) {
        	int rows = Integer.parseInt(titleArr[i].split(":")[1]);//获取行数
        	String title = titleArr[i].split(":")[0];//获取行数
            Cell cell = sheet.getRow(rows).getCell(i);//第一行的每一列
            if(ParameterUtil.replaceBlank(cell.getStringCellValue()).indexOf(title) == -1 || (totalCells != titleArr.length)){
                return false;
            }
        }
        return true;
    }
}