package com.chinaitop.depot.risk.controller;

import java.util.HashMap;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.fumigation.service.SystemOutsideDataService;
import com.chinaitop.depot.risk.request.ContentPreControlAndViolationWarningAlarmReq;
import com.chinaitop.depot.risk.service.ContentPreControlAndViolationWarningAlarmService;
import com.chinaitop.depot.unissoft.model.ResponseEntity;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * class
 *
 * @author aihua
 * @date 2022-04-19 15:56
 */
@RestController
@RequestMapping("/contentPreControlViolationAlarm")
@Api(value = "ContentPreControlAndViolationWarningAlarmController", description = "内控预警和违规预警数据保存-主页")
@Slf4j
@RequiredArgsConstructor
public class ContentPreControlAndViolationWarningAlarmController {

    private final ContentPreControlAndViolationWarningAlarmService alarmService;
    
    @Resource
    private SystemOutsideDataService systemOutsideDataService;

    @RequestMapping(value = "/saveData", produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.POST)
    @ApiOperation(value = "保存内控和违规预警", notes = "保存内控和违规预警")
    @ApiImplicitParam(name = "alarmReq", value = "JSON数据对象", paramType = "body")
    public ResponseEntity saveData(@RequestBody ContentPreControlAndViolationWarningAlarmReq alarmReq) {
        try {
            log.info("出入库系统调用保存内控和违规预警saveData：{}", alarmReq.toString());
            alarmService.saveData(alarmReq);
            systemOutsideDataService.addlogger("nkwgyj", alarmReq.toString(), "成功");
        } catch (Exception e) {
            e.printStackTrace();
            systemOutsideDataService.addlogger("nkwgyj", alarmReq.toString(),e.getMessage());
            return ResponseEntity.failed(e.getMessage());
        }
        return ResponseEntity.ok();
        
        
        
    }
}
