package com.chinaitop.depot.risk.mapper;

import com.chinaitop.depot.risk.model.RiskFollow;
import com.chinaitop.depot.risk.model.RiskManagement;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author aihua
 * @since 2022-04-17
 */
public interface RiskFollowMapper{

    /**
     * 分页查询风险管控list
     * @param queryMap 查询条件
     * @return {@link RiskManagement} list
     */
    List<RiskFollow> selectListPage(Map<String, Object> queryMap);

    /**
     * 新增安全隐患跟踪处理
     * @param riskFollow 安全隐患跟踪处理实体
     */
    void insert(RiskFollow riskFollow);

    /**
     * 更新风险管控
     * @param riskFollow 风险管控实体
     */
    void updateById(RiskFollow riskFollow);

    /**
     * 根据ID查询
     * @param id 主键ID
     * @return 风险管控
     */
    RiskFollow selectById(Integer id);

    /**
     * 删除安全隐患跟踪
     * @param id 主键ID
     */
    void deleteById(Integer id);
}
