package com.chinaitop.depot.risk.mapper;

import com.chinaitop.depot.risk.model.RiskManagement;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author aihua
 * @since 2022-04-17
 */
public interface RiskManagementMapper{

    /**
     * 分页查询风险管控list
     * @param queryMap 查询条件
     * @return {@link RiskManagement} list
     */
    List<RiskManagement> selectListPage(Map<String, Object> queryMap);

    /**
     * 新增风险管控
     * @param riskManagement 风险管控实体
     */
    void insert(RiskManagement riskManagement);

    /**
     * 更新风险管控
     * @param riskManagement 风险管控实体
     */
    void updateById(RiskManagement riskManagement);

    /**
     * 根据ID查询风险管控
     * @param id 主键ID
     * @return 风险管控
     */
    RiskManagement selectById(Integer id);

    /**
     * 删除风险管控
     * @param id 主键ID
     */
    void deleteById(Integer id);
}
