package com.chinaitop.depot.risk.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 内容预控告警 model
 * @author aihua
 * @date 2022-04-16 15:08
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ContentPreControlAlarm {
    private Integer id;
    /**
     * 入库车牌号
     */
    private String carNumber;
    /**
     * 报警类型
     */
    private String alarmType;
    /**
     * 报警内容
     */
    private String alarmContent;
    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /**
     * 组织机构ID
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private String createTime;
}
