package com.chinaitop.depot.risk.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 湿度报警 model
 *
 * @author aihua
 * @date 2022-04-18 14:24
 */
@Data
public class HumidityAlarm {
    /**
     * 仓房名称
     */
    private String storehouseName;
    /**
     * 模块名称
     */
    private String moduleName;
    /**
     * 报警名称
     */
    private String alarmName;
    /**
     * 预警值
     */
    private String warningValue;
    /**
     * 报警内容
     */
    private String alarmContent;
    /**
     * 报警日期
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date alarmDate;
}
