package com.chinaitop.depot.risk.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * <p>
 * 安全隐患跟踪model
 * </p>
 *
 * @author aihua
 * @since 2022-04-17
 */
@Data
@Accessors(chain = true)
public class RiskFollow {

    private Integer id;

    /**
     * 仓房名称
     */
    private String storehouseName;

    /**
     * 仓房ID
     */
    private Integer storehouseId;

    /**
     * 货位名称
     */
    private String warehouseName;

    /**
     * 货位ID
     */
    private Integer warehouseId;



    /**
     * 隐患信息
     */
    private String riskInfo;

    /**
     * 隐患排查信息
     */
    private String riskCheck;

    /**
     * 隐患整改信息
     */
    private String riskSolve;

    /**
     * 组织机构ID
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 责任单位
     */
    private String responsibleDept;

    /**
     * 责任人
     */
    private String responsiblePerson;


    /**
     * 整改时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date solveTime;



    /**
     * 事故基本信息
     */
    private String baseRiskInfo;


    /**
     * 整改验收信息
     */
    private String solveCheckInfo;




}
