package com.chinaitop.depot.risk.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 风险管控model
 * </p>
 *
 * @author jobob
 * @since 2022-04-17
 */
@Data
@Accessors(chain = true)
public class RiskManagement {

    private Integer id;

    /**
     * 库点名称
     */
    private String libraryPointName;

    /**
     * 识别人
     */
    private String identifyPerson;

    /**
     * 环节/部位
     */
    private String linkPart;

    /**
     * 风险分级
     */
    private String riskClassification;

    /**
     * 风险类型ID
     */
    private Integer riskTypeId;

    /**
     * 风险类型名称
     */
    private String riskTypeName;

    /**
     * 风险辨识
     */
    private String riskIdentification;

    /**
     * 可能导致事故类型
     */
    private String accidentType;

    /**
     * 风险管控措施
     */
    private String riskMeasures;

    /**
     * 责任部门
     */
    private String responsibleDept;

    /**
     * 责任人
     */
    private String responsiblePerson;

    /**
     * 组织机构ID
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date modifyTime;
}
