package com.chinaitop.depot.risk.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 违规预警
 * @author aihua
 * @date 2022-04-16 15:22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ViolationWarningAlarm {
    /**
     * 主键ID
     */
    private Integer id;
    /**
     * 违规发布时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date alarmPublishTime;
    /**
     * 违规主题类型 当前默认是 单位
     */
    private String violationSubjectType;
    /**
     * 违规行为人
     */
    private String offender;
    /**
     * 涉及库点
     */
    private String involvingLibraryPoints;
    /**
     * 违规类型
     */
    private Integer violationType;
    /**
     * 违规详情
     */
    private String violationDetail;
    /**
     * 当前处置状态
     */
    private int currentStatus;
    /**
     * 处置内容
     */
    private String disposeContent;
    /**
     * 处置人
     */
    private String disposer;
    /**
     * 处置时间
     */
    private String disposeTime;
    /**
     * 组织机构ID
     */
    private Integer orgId;
    /**
     * 创建时间
     */
    private String createTime;
}
