package com.chinaitop.depot.risk.service;

import com.chinaitop.depot.risk.model.RiskFollow;


import java.util.List;
import java.util.Map;

/**
 * 安全隐患跟踪
 * @author aihua
 */
public interface RiskFollowService {
    /**
     * 分页查询安全隐患跟踪list
     * @param queryMap 查询条件
     * @return {@link RiskFollow} list
     */
    List<RiskFollow> selectListPage(Map<String, Object> queryMap);

    /**
     * 新增安全隐患跟踪
     * @param riskFollow 安全隐患跟踪实体
     */
    void saveData(RiskFollow riskFollow);

    /**
     * 更新
     * @param riskFollow 风险
     */
    void updateDate(RiskFollow riskFollow);

    /**
     * 根据ID查询风险管控
     * @param id 主键ID
     * @return 风险管控
     */
    RiskFollow queryById(Integer id);

    /**
     * 删除安全隐患跟踪处理
     * @param id 主键ID
     */
    void deleteRisk(Integer id);
}
