package com.chinaitop.depot.risk.service;

import com.chinaitop.depot.risk.model.RiskManagement;

import java.util.List;
import java.util.Map;

/**
 * 风险管控
 * @author aihua
 */
public interface RiskManagementService {
    /**
     * 分页查询风险管控list
     * @param queryMap 查询条件
     * @return {@link RiskManagement} list
     */
    List<RiskManagement> selectListPage(Map<String, Object> queryMap);

    /**
     * 新增风险管控
     * @param riskManagement 风险管控实体
     */
    void saveData(RiskManagement riskManagement);

    /**
     * 更新风险管控
     * @param riskManagement 风险管控实体
     */
    void updateDate(RiskManagement riskManagement);

    /**
     * 根据ID查询风险管控
     * @param id 主键ID
     * @return 风险管控
     */
    RiskManagement queryById(Integer id);

    /**
     * 删除风险管控
     * @param id 主键ID
     */
    void deleteRisk(Integer id);
}
