package com.chinaitop.depot.risk.service;

import com.chinaitop.depot.risk.model.StorageSafeManage;
import com.chinaitop.depot.risk.model.StorageSafeManageWithBLOBs;
import com.chinaitop.depot.risk.service.impl.StorageSafeManageServiceImpl;

import java.util.List;

public interface StorageSafeManageService {

    /**
     * 查询：list集合
     * @param orgId 组织机构ID
     * @param fxlx 风险类型
     * @param fxfj 风险分级
     * @return
     * @throws Exception
     */
    List<StorageSafeManageWithBLOBs> findbyConditions(Integer orgId, Integer fxlx, Integer fxfj) throws Exception;

    /**
     * 查询：按主键ID查询一条数据
     * @param id 主键唯一ID
     * @return
     * @throws Exception
     */
    StorageSafeManageWithBLOBs findbyPKConditions(String id) throws Exception;

    /**
     * 更新：新增或修改数据
     * @param storageSafeManage 数据对象
     * @throws Exception
     */
    void saveAndUpdate(StorageSafeManageWithBLOBs storageSafeManage,String fileIds, String deleteFileIds) throws Exception;

    /**
     * 删除：按主键ID删除一条数据
     * @param id 主键唯一ID
     * @throws Exception
     */
    void deleteById(String id,Integer orgId) throws Exception;
}
