package com.chinaitop.depot.safeProduce.common.controller;

import com.chinaitop.depot.safeProduce.common.util.ParameterUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.util.Date;

@RestController
@RequestMapping(value = "/fileUpload")
@SuppressWarnings("all")
public class FileUploadController {

    @Value("${web.upload-path}")
    private String uploadPath;

    /**
     * 文件上传
     * @param file
     * @param fileType
     * @param request
     * @return
     */
    @RequestMapping(value = "/uploadFile")
    public String uploadFile(MultipartFile file, String fileType, HttpServletRequest request) {
        String filePath = null;
        try {
            // 文件路径
            String relativePath = "/office/" + fileType + "/" + ParameterUtil.getDateYMDHMS(new Date());
            // 如路径不存在，则创建它
            File directory = new File(uploadPath + relativePath);
            if (!directory.exists()) {
                directory.mkdirs();
            }
            filePath = relativePath + "/" + file.getOriginalFilename();
            // 复制 文件
            file.transferTo(new File(uploadPath + filePath));
            // 判断windows(指定盘符 D:/upload)和linux(根路径下 /upload)
            int i = uploadPath.indexOf(":");
            if (i != -1) {
                filePath = uploadPath.substring(i + 1) + filePath;
            } else {
                filePath = uploadPath + filePath;
            }
            return filePath;
        } catch (Exception e) {
            e.printStackTrace();
            return filePath;
        }

    }

}
