package com.chinaitop.depot.safeProduce.common.util;

import org.apache.commons.lang3.StringUtils;

import java.io.File;

/**
 * @author qingsong.han
 * @description: 删除文件, 文件夹.
 * @create 2019-09-04 11:24
 */
public class DeleteFileUtils {

    /**
     * 删除文件,文件夹
     *
     * @param fileUrl    文件在物理机位置
     * @param uploadPath 配置文件或自定义盘符
     * @return 返回true成功, false失败.
     */
    public static boolean deleteFiles(String fileUrl, String uploadPath) {
        boolean delete = false;
        // 获取配置文件路径,判断windows(指定盘符 D:/upload)和linux(根路径下 /home)
        int i = uploadPath.indexOf(":");
        // 判断windows和linux盘符
        String urlSign = "/";
        if (i != -1) {
            uploadPath = uploadPath.substring(0, i + 1);
            urlSign = "\\";
        } else {
            uploadPath = "";
        }
        // 截取每一个物理机路径用于删除文件
        String[] splitS = fileUrl.split(";");
        // 截取物理机文件夹路径用于删除文件夹
        for (String split : splitS) {
            File file = new File(uploadPath + split);
            // 如果文件,文件夹存在删除物理机文件,文件夹.
            if (file.exists())
                if (file.delete())
                    delete = new File(StringUtils.substringBeforeLast(file.getPath(), urlSign)).delete();
        }
        return delete;
    }

}
