package com.chinaitop.depot.safeProduce.service.impl;

import com.chinaitop.depot.safeProduce.mapper.StorageSafeProduceNotifyMapper;
import com.chinaitop.depot.safeProduce.model.StorageSafeProduceNotify;
import com.chinaitop.depot.safeProduce.model.StorageSafeProduceNotifyExample;
import com.chinaitop.depot.safeProduce.service.StorageSafeProduceNotifyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2018-10-12 11:10
 */

@Service
public class StorageSafeProduceNotifyServiceImpl implements StorageSafeProduceNotifyService {

    @Resource
    private StorageSafeProduceNotifyMapper safeProduceNotifyMapper;

    /**
     * 文件名称查询安全生产通知列表
     * @param example
     * @return
     */
    @Override
    public List<StorageSafeProduceNotify> queryByExample(StorageSafeProduceNotifyExample example) {
        return safeProduceNotifyMapper.selectByExample(example);
    }

    /**
     * 新增
     * @param safeProduceNotify
     */
    @Override
    public void add(StorageSafeProduceNotify safeProduceNotify) {
        safeProduceNotifyMapper.insert(safeProduceNotify);
    }

    /**
     * 更新
     * @param safeProduceNotify
     */
    @Override
    public void update(StorageSafeProduceNotify safeProduceNotify) {
        safeProduceNotifyMapper.updateByPrimaryKeySelective(safeProduceNotify);
    }

    /**
     * 根据id删除数据deleteByPrimaryKey(id);
     * @param id
     * @return
     */
    @Override
    public int remove(Integer id) {
        int i = safeProduceNotifyMapper.deleteByPrimaryKey(id);
        return i;
    }

    /**
     * 根据id获取数据
     * @param id
     * @return
     */
    @Override
    public StorageSafeProduceNotify findById(Integer id) {
        return safeProduceNotifyMapper.selectByPrimaryKey(id);
    }

}
