package com.chinaitop.depot.safeProduce.service.impl;

import com.chinaitop.depot.safeProduce.common.util.DeleteFileUtils;
import com.chinaitop.depot.safeProduce.mapper.StorageSafeProduceMapper;
import com.chinaitop.depot.safeProduce.model.StorageSafeProduce;
import com.chinaitop.depot.safeProduce.model.StorageSafeProduceExample;
import com.chinaitop.depot.safeProduce.service.StorageSafeProduceService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/10/19
 */
@Service
public class StorageSafeProduceServiceImpl implements StorageSafeProduceService {
    
	@Resource
    private StorageSafeProduceMapper safeProduceMapper;
	@Value("${web.upload-path}")
	private String uploadPath;

	@Override
	public List<StorageSafeProduce> queryByExample(StorageSafeProduceExample example) {
		return safeProduceMapper.selectByExample(example);
	}

	@Override
	public StorageSafeProduce queryByPrimaryId(Integer id) {
		return safeProduceMapper.selectByPrimaryKey(id);
	}

	@Override
	public int add(StorageSafeProduce storageSafeProduce) {
		return safeProduceMapper.insert(storageSafeProduce);
	}

	@Override
	public int update(StorageSafeProduce storageSafeProduce) {
		return safeProduceMapper.updateByPrimaryKey(storageSafeProduce);
	}

	@Override
	public int remove(Integer id, String fileUrl) {
		if (DeleteFileUtils.deleteFiles(fileUrl, uploadPath))
			return safeProduceMapper.deleteByPrimaryKey(id);
		return 0;
	}

	@Override
	public StorageSafeProduce findById(Integer id) {
		return safeProduceMapper.selectByPrimaryKey(id);
	}
    
}
