package com.chinaitop.depot.sptData.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "storage_temperature_warning--温度报警表")
public class StorageTemperatureWarning {
   
	@ApiModelProperty(value = "主键id")
	private String id;

	@ApiModelProperty(value = "库区国标代码")
    private String kqdm;

	@ApiModelProperty(value = "仓房国标编码")
    private String ch;

	@ApiModelProperty(value = "仓高温")
    private BigDecimal cgw;

	@ApiModelProperty(value = "仓低温")
    private BigDecimal cdw;

	@ApiModelProperty(value = "平均温度")
    private BigDecimal cAvg;

	@ApiModelProperty(value = "预警值")
    private String yjz;

	@ApiModelProperty(value = "报警值")
    private BigDecimal bjz;

	@ApiModelProperty(value = "监测时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date jcsj;

	@ApiModelProperty(value = "警报类型")
    private String jblx;

	@ApiModelProperty(value = "数据创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

	@ApiModelProperty(value = "数据修改时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

	@ApiModelProperty(value = "库区名称")
	private String kqmc;

	@ApiModelProperty(value = "仓房名称")
	private String chmc;

	@ApiModelProperty(value = "监测日期字符型")
    private String jcsj_str;

	@ApiModelProperty(value = "预警高限")
	private BigDecimal yjgx;

	@ApiModelProperty(value = "预警低限")
	private BigDecimal yjdx;
}