package com.chinaitop.depot.sptData.utils;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

public class PageHelperUtils {

	public static String pageHelper(String datas, Integer pageNum, Integer pageSize) {
		JSONObject datasAll = JSONObject.parseObject(datas);

		String items = datasAll.getString("items");

		List<Object> list = JSONArray.parseArray(items);

		if (pageNum != null && pageSize != null) {
			PageHelper.startPage(pageNum, pageSize);
		} else {
			PageHelper.startPage(1, 10);
		}

        int pageStart = pageNum == 1 ? 0 : (pageNum - 1) * pageSize;
        int pageEnd = Math.min(list.size(), pageSize * pageNum);
        List<Object> pageResult = new LinkedList<Object>();
        if (list.size() > pageStart) {
            pageResult = new ArrayList<>(list.subList(pageStart, pageEnd));
        }
        PageInfo<Object> pageInfo = new PageInfo<Object>(pageResult);
        //获取PageInfo其他参数
        pageInfo.setTotal(list.size());
        int endRow = pageInfo.getEndRow() == 0 ? 0 : (Integer) (pageNum - 1) * pageSize + pageInfo.getEndRow() + 1;
        pageInfo.setEndRow(endRow);
        boolean hasNextPage = list.size() > pageSize * pageNum;
        pageInfo.setHasNextPage(hasNextPage);
        boolean hasPreviousPage = pageNum != 1;
        pageInfo.setHasPreviousPage(hasPreviousPage);
        pageInfo.setIsFirstPage(!hasPreviousPage);
        boolean isLastPage = list.size() > pageSize * (pageNum - 1) && list.size() <= pageSize * pageNum;
        pageInfo.setIsLastPage(isLastPage);
        int pages = list.size() % pageSize == 0 ? list.size() / pageSize : (list.size() / pageSize) + 1;
        pageInfo.setNavigateLastPage(pages);
        int[] navigatePageNums = new int[pages];
        for (int i = 1; i <= pages; i++) {
            navigatePageNums[i - 1] = i;
        }
        pageInfo.setNavigatepageNums(navigatePageNums);
        int nextPage = pageNum < pages ? pageNum + 1 : 0;
        pageInfo.setNextPage(nextPage);
        pageInfo.setPageNum(pageNum);
        pageInfo.setPageSize(pageSize);
        pageInfo.setPages(pages);
        pageInfo.setPrePage(pageNum - 1);
        pageInfo.setSize(pageInfo.getList().size());
//        int starRow = list.size() < pageSize * pageNum ? 1 + pageSize * (pageNum - 1) : 0;
        int starRow = list.size() > 0 ? 1 + pageSize * (pageNum - 1) : 0;
        pageInfo.setStartRow(starRow);

		return JSONObject.toJSONString(pageInfo);
	}
}
