package com.chinaitop.depot.storage.service;

import com.chinaitop.depot.storage.model.StorageGrainDisposal;
import com.chinaitop.depot.storage.model.StorageGrainDisposalView;

import java.util.List;
import java.util.Map;

/**
 * 粮情处置service
 * @author aihua
 * @date 2022-04-17 14:40
 */
public interface StorageGrainDisposalService {

    /**
     * 查询粮情处置分页
     * @param queryMap 查询条件
     * @return {@link StorageGrainDisposalView} list
     */
    List<StorageGrainDisposalView> selectListPage(Map<String, Object> queryMap);

    /**
     * 保存数据
     * @param storageGrainDisposal 粮情处置对象
     */
    void saveData(StorageGrainDisposal storageGrainDisposal);

    /**
     * 更新粮情处置
     * @param storageGrainDisposal 更新对象
     */
    void updateDate(StorageGrainDisposal storageGrainDisposal);

    /**
     * 删除粮情处置
     * @param id 主键ID
     */
    void deleteById(Integer id);

    /**
     * 根据ID查询详情
     * @param id 主键ID
     * @return {@link StorageGrainDisposal} 信息
     */
    StorageGrainDisposal queryById(Integer id);
}
