package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageFestivalbeforeCheckMapper;
import com.chinaitop.depot.storage.model.StorageFestivalbeforeCheck;
import com.chinaitop.depot.storage.model.StorageFestivalbeforeCheckExample;
import com.chinaitop.depot.storage.service.StorageFestivalbeforeCheckService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author sunhongbing
 * @Date 2017/1/24
 */
@Service
public class StorageFestivalbeforeCheckServiceImpl implements StorageFestivalbeforeCheckService {
	@Resource
	private StorageFestivalbeforeCheckMapper festivalbeforeCheckMapper;

	@Override
	public List<StorageFestivalbeforeCheck> queryByFestivalbeforeCheck(Map mapQuery) {
		return festivalbeforeCheckMapper.queryByMap(mapQuery);
	}

	// 保存数据
	@Override
	public void save(StorageFestivalbeforeCheck festivalbeforeCheck) {
		if (festivalbeforeCheck.getId() == null)
			festivalbeforeCheckMapper.insert(festivalbeforeCheck);// 新增数据
		else
			festivalbeforeCheckMapper.updateByPrimaryKey(festivalbeforeCheck);// 修改数据
	}

	@Override
	@Transactional
	public void remove(int id) {
		// 逻辑删除数据
		festivalbeforeCheckMapper.deleteByPrimaryKey(id);
	}

	@Override
	public StorageFestivalbeforeCheck loadDataById(int id) {
		return festivalbeforeCheckMapper.selectByPrimaryKey(id);
	}
}
