package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageFoodothercheckMapper;
import com.chinaitop.depot.storage.model.StorageFoodothercheck;
import com.chinaitop.depot.storage.model.StorageFoodothercheckExample;
import com.chinaitop.depot.storage.service.StorageFoodothercheckService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author sunhongbing
 * @Date 2017/10/22
 */
@Service
public class StorageFoodothercheckServiceImpl implements StorageFoodothercheckService {
    @Resource
    private StorageFoodothercheckMapper foodotherCheckMapper;


    @Override
    public List<StorageFoodothercheck> queryByFoodotherCheck(Map map) {
        return foodotherCheckMapper.queryByMap(map);
    }

    @Override
    public void save(StorageFoodothercheck foodotherCheck) {
        if (foodotherCheck.getId() == null)
            foodotherCheckMapper.insertSelective(foodotherCheck);//新增数据
        else
            foodotherCheckMapper.updateByPrimaryKeySelective(foodotherCheck);//修改数据
    }

    @Override
    public StorageFoodothercheck loadDataById(int id) {
        return foodotherCheckMapper.selectByPrimaryKey(id);
    }

    @Override
    @Transactional
    public void remove(int id) {
        foodotherCheckMapper.deleteByPrimaryKey(id);  //删除数据
    }

    /**
     * 三温检查和其他检查
     * @param orgId
     * @return
     */
    @Override
    public List<Map<String, Object>> getAllCheck(String orgId) {
        return foodotherCheckMapper.selectCheckByOrgId(orgId);
    }
}
