package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageThreetempcheckMapper;
import com.chinaitop.depot.storage.model.StorageThreetempcheck;
import com.chinaitop.depot.storage.model.StorageThreetempcheckExample;
import com.chinaitop.depot.storage.service.StorageThreetempcheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import javax.servlet.ServletContext;
import java.util.List;
import java.util.Map;

/**
 * @author sunhongbing
 * @Date 2017/10/22
 */
@Service
@Transactional
public class StorageThreetempcheckServiceImpl implements StorageThreetempcheckService {

    @Resource
    private StorageThreetempcheckMapper threetempCheckMapper;
    @Autowired
    private ServletContext servletContext;

    @Override
    public List<StorageThreetempcheck> queryByThreetempCheck(StorageThreetempcheckExample example) {
        return threetempCheckMapper.queryByExample(example);
    }
 
    @Override
    public void save(StorageThreetempcheck threetempCheck) {
        if (threetempCheck.getId() == null) {
            threetempCheckMapper.insert(threetempCheck);//新增数据
        } else {
            threetempCheckMapper.updateByPrimaryKey(threetempCheck);//修改数据
        }
    }

    @Override
    public StorageThreetempcheck loadDataById(int id) {
        return threetempCheckMapper.selectByPrimaryKey(id);
    }

    @Override
    @Transactional
    public void remove(int id) {
        threetempCheckMapper.deleteByPrimaryKey(id);  //删除数据
    }

    /**
     * 按月查找三温
     * @param threetempCheck
     * @return
     */
    /*@Override
    public List<StorageThreetempcheck> getThreetempByDay(StorageThreetempcheck threetempCheck) {
        return threetempCheckMapper.getThreetempByDay(threetempCheck);
    }*/

    /**
     * 直接进行从一体化系统中查询到三温后插入到本地的数据库
     */
    /*@Override
    public void saveStorehouseTempByJckz() {
        Integer orgId = (Integer) servletContext.getAttribute("orgId");

        //从本地三温检查表是否取出数据  是：直接执行保存  否：查询该库多少仓 插入该仓下面的
        StorageThreetempcheckExample example = new StorageThreetempcheckExample();
        StorageThreetempcheckExample.Criteria criteria = example.createCriteria();

       // criteria.andOrgIdEqualTo(orgInfo.getOrgId());
        List<StorageThreetempcheck> list =threetempCheckMapper.selectByExample(example);

        if(list.size()>0 && list != null){
            threetempCheckMapper.saveStorehouseTempByJckz();
        }else if(ParameterUtil.isnotnull(orgId)){
            Map<String,Object> map = new HashMap<String,Object>();
            map.put("orgId",orgId);
            threetempCheckMapper.insertThreetempTempByJckz(map);
        }else {
            //暂时什么也不操作
        }
    }*/

    @Override
    public List<StorageThreetempcheck> selectByExample(StorageThreetempcheckExample example) {
        return threetempCheckMapper.selectByExample(example);
    }

    /**
     * 获取智能仓房三温数据
     * @param map
     * @return
     */
    @Override
    public List<Map<String, Object>> getThreeTempData(Map<String, Object> map) {
        return threetempCheckMapper.getThreeTempData(map);
    }
}
