package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageWindrainsnowcheckMapper;
import com.chinaitop.depot.storage.model.StorageWindrainsnowcheck;
import com.chinaitop.depot.storage.model.StorageWindrainsnowcheckExample;
import com.chinaitop.depot.storage.service.StorageWindrainSnowService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author sunhongbing
 * @Date 2017/10/14
 */
@Service
public class StorageWindrainSnowServiceImpl implements StorageWindrainSnowService {
	@Resource
	private StorageWindrainsnowcheckMapper windrainSnowMapper;

	@Override
	public List<StorageWindrainsnowcheck> queryByWindrainSnow(Map mapQuery) {
		return windrainSnowMapper.queryByMap(mapQuery);
	}

	// 保存数据
	@Override
	public void save(StorageWindrainsnowcheck qualitycheck) {
		if (qualitycheck.getId() == null)
			windrainSnowMapper.insert(qualitycheck);// 新增数据
		else
			windrainSnowMapper.updateByPrimaryKey(qualitycheck);// 修改数据
	}

	@Override
	@Transactional
	public void remove(int id) {
		// 逻辑删除数据
		windrainSnowMapper.deleteByPrimaryKey(id);
	}

	@Override
	public StorageWindrainsnowcheck loadDataById(int id) {
		return windrainSnowMapper.selectByPrimaryKey(id);
	}
}
