package com.chinaitop.depot.utils;

import java.io.IOException;

import okhttp3.MediaType;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;

public class OkHttpUtil {
    // get请求
    public static String get(String url) throws IOException {
        OkHttpClient client = new OkHttpClient();
        Request request = new Request.Builder()
            .url(url)
            .build();
        
        Response response = client.newCall(request).execute();
        return response.body().string();
    }

    // 普通post请求
    public static String postXWFU(String url, String params) throws IOException {
        OkHttpClient client = new OkHttpClient();
        RequestBody body = RequestBody.create(MediaType.parse("application/x-www-form-urlencoded"), params);
        Request request = new Request.Builder()
            .url(url) 
            .post(body)
            .build();
            
        Response response = client.newCall(request).execute();
        return response.body().string();
    }
    
    // requestBody类型的JSON参数的post请求
    public static String postJSON(String url, String params) throws IOException {
        OkHttpClient client = new OkHttpClient();
        RequestBody body = RequestBody.create(MediaType.parse("application/json; charset=utf-8"), params);
        Request request = new Request.Builder()
            .url(url) 
            .post(body)
            .build();
            
        Response response = client.newCall(request).execute();
        return response.body().string();
    }
    
    
    // requestBody类型的JSON参数的post请求
    public static String postJSONToken(String url, String params,String token) throws IOException {
        OkHttpClient client = new OkHttpClient();
        RequestBody body = RequestBody.create(MediaType.parse("application/json; charset=utf-8"), params);
        Request request = new Request.Builder()
            .url(url) 
            .addHeader("token",token)
            .post(body)
            .build();
            
        Response response = client.newCall(request).execute();
        return response.body().string();
    }
}
