package com.chinaitop.depot.warningAndAlarm.controller;

import javax.annotation.Resource;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.warningAndAlarm.service.TimedTaskService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

@RequestMapping(value="/timesTask")
@Api(value= "TimedTaskController", description="预警报警数据定时任务检测控制类")
@RestController
@Slf4j
public class TimedTaskController {

	@Resource
	private TimedTaskService timeTaskService;

//	@Scheduled(cron = "0 0 1 * * ?")
	@RequestMapping(value="/checkYlwl", method = RequestMethod.GET)
	@ApiOperation(value="检测应轮未轮报警数据", notes = "定时任务检测,每天凌晨1点执行")
	public void checkYlwl() {
		try {
			timeTaskService.insertYlwl();
		} catch (Exception e) {
			log.error(e.getMessage(), e);
		}
	}

//	@Scheduled(cron = "0 30 1 * * ?")
	@RequestMapping(value="/checkLhyj", method = RequestMethod.GET)
	@ApiOperation(value="检测轮换预警数据", notes = "定时任务检测,每天凌晨1:30点执行")
	public void checkLhyj() {
		try {
			timeTaskService.insertLhyj();
		} catch (Exception e) {
			log.error(e.getMessage(), e);
		}
	}

//	@Scheduled(cron = "0 0 2 * * ?")
	@RequestMapping(value="/checkJkqyj", method = RequestMethod.GET)
	@ApiOperation(value="检测架空期预警数据", notes = "定时任务检测,每天凌晨2点执行")
	public void checkJkqyj() {
		try {
			timeTaskService.insertJkqyj();
		} catch (Exception e) {
			log.error(e.getMessage(), e);
		}
	}
}
