package com.chinaitop.depot.warningAndAlarm.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageJkqWarning {
    private String id;

    private Integer orgId;

    private Integer ch;

    private Integer hwh;

    private String jhwh;

    private String lhnd;

    private String jkqzt;

    private String jkqjzr;

    private BigDecimal jzrqylrsl;

    private BigDecimal jzrqsylrsl;

    private String yjrq;

    private String clzt;

    private String clr;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date clsj;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date scsj;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatetime;

    private String clyj;

    private String startDate;

    private String endDate;

    /**
     * 唯一主键uuid
     * @return id 唯一主键uuid
     */
    public String getId() {
        return id;
    }

    /**
     * 唯一主键uuid
     * @param id 唯一主键uuid
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库ID
     * @return org_id 库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库ID
     * @param orgId 库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 仓房ID
     * @return ch 仓房ID
     */
    public Integer getCh() {
        return ch;
    }

    /**
     * 仓房ID
     * @param ch 仓房ID
     */
    public void setCh(Integer ch) {
        this.ch = ch;
    }

    /**
     * 货位ID
     * @return hwh 货位ID
     */
    public Integer getHwh() {
        return hwh;
    }

    /**
     * 货位ID
     * @param hwh 货位ID
     */
    public void setHwh(Integer hwh) {
        this.hwh = hwh;
    }

    /**
     * 计划文号
     * @return jhwh 计划文号
     */
    public String getJhwh() {
        return jhwh;
    }

    /**
     * 计划文号
     * @param jhwh 计划文号
     */
    public void setJhwh(String jhwh) {
        this.jhwh = jhwh == null ? null : jhwh.trim();
    }

    /**
     * 轮换年度
     * @return lhnd 轮换年度
     */
    public String getLhnd() {
        return lhnd;
    }

    /**
     * 轮换年度
     * @param lhnd 轮换年度
     */
    public void setLhnd(String lhnd) {
        this.lhnd = lhnd == null ? null : lhnd.trim();
    }

    /**
     * 架空期状态(0:正常,1:延期)
     * @return jkqzt 架空期状态(0:正常,1:延期)
     */
    public String getJkqzt() {
        return jkqzt;
    }

    /**
     * 架空期状态(0:正常,1:延期)
     * @param jkqzt 架空期状态(0:正常,1:延期)
     */
    public void setJkqzt(String jkqzt) {
        this.jkqzt = jkqzt == null ? null : jkqzt.trim();
    }

    /**
     * 架空期截止日
     * @return jkqjzr 架空期截止日
     */
    public String getJkqjzr() {
        return jkqjzr;
    }

    /**
     * 架空期截止日
     * @param jkqjzr 架空期截止日
     */
    public void setJkqjzr(String jkqjzr) {
        this.jkqjzr = jkqjzr == null ? null : jkqjzr.trim();
    }

    /**
     * 截止日前应轮入数量
     * @return jzrqylrsl 截止日前应轮入数量
     */
    public BigDecimal getJzrqylrsl() {
        return jzrqylrsl;
    }

    /**
     * 截止日前应轮入数量
     * @param jzrqylrsl 截止日前应轮入数量
     */
    public void setJzrqylrsl(BigDecimal jzrqylrsl) {
        this.jzrqylrsl = jzrqylrsl;
    }

    /**
     * 截止日前剩余轮入数量
     * @return jzrqsylrsl 截止日前剩余轮入数量
     */
    public BigDecimal getJzrqsylrsl() {
        return jzrqsylrsl;
    }

    /**
     * 截止日前剩余轮入数量
     * @param jzrqsylrsl 截止日前剩余轮入数量
     */
    public void setJzrqsylrsl(BigDecimal jzrqsylrsl) {
        this.jzrqsylrsl = jzrqsylrsl;
    }

    /**
     * 预警日期
     * @return yjrq 预警日期
     */
    public String getYjrq() {
        return yjrq;
    }

    /**
     * 预警日期
     * @param yjrq 预警日期
     */
    public void setYjrq(String yjrq) {
        this.yjrq = yjrq == null ? null : yjrq.trim();
    }

    /**
     * 处理状态(0:未处理,1:已处理)
     * @return clzt 处理状态(0:未处理,1:已处理)
     */
    public String getClzt() {
        return clzt;
    }

    /**
     * 处理状态(0:未处理,1:已处理)
     * @param clzt 处理状态(0:未处理,1:已处理)
     */
    public void setClzt(String clzt) {
        this.clzt = clzt == null ? null : clzt.trim();
    }

    /**
     * 处理人
     * @return clr 处理人
     */
    public String getClr() {
        return clr;
    }

    /**
     * 处理人
     * @param clr 处理人
     */
    public void setClr(String clr) {
        this.clr = clr == null ? null : clr.trim();
    }

    /**
     * 处理时间
     * @return clsj 处理时间
     */
    public Date getClsj() {
        return clsj;
    }

    /**
     * 处理时间
     * @param clsj 处理时间
     */
    public void setClsj(Date clsj) {
        this.clsj = clsj;
    }

    /**
     * 数据生成时间
     * @return scsj 数据生成时间
     */
    public Date getScsj() {
        return scsj;
    }

    /**
     * 数据生成时间
     * @param scsj 数据生成时间
     */
    public void setScsj(Date scsj) {
        this.scsj = scsj;
    }

    /**
     * 最后修改时间
     * @return updatetime 最后修改时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 最后修改时间
     * @param updatetime 最后修改时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 处理意见
     * @return clyj 处理意见
     */
    public String getClyj() {
        return clyj;
    }

    /**
     * 处理意见
     * @param clyj 处理意见
     */
    public void setClyj(String clyj) {
        this.clyj = clyj == null ? null : clyj.trim();
    }

    /**
     * 计划开始执行时间
     * @return
     */
	public String getStartDate() {
		return startDate;
	}

	/**
	 * 计划开始执行时间
	 * @param startDate
	 */
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	/**
	 * 计划结束执行时间
	 * @return
	 */
	public String getEndDate() {
		return endDate;
	}

	/**
	 * 计划结束执行时间
	 * @param endDate
	 */
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
    
}