package com.chinaitop.depot.warningAndAlarm.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageRotationWarning {
    private String id;

    private Integer ch;

    private Integer hwh;

    private Integer lspz;

    private Integer lsxz;

    private BigDecimal kcsl;

    private Integer scnf;

    private String zhycrq;

    private String cbnx;

    private String cccxrq;

    private String bjrq;

    private String bjlx;

    private String clzt;

    private String clr;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date clsj;

    private Integer orgId;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date scsj;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatetime;

    /**
     * 主键uuid
     * @return id 主键uuid
     */
    public String getId() {
        return id;
    }

    /**
     * 主键uuid
     * @param id 主键uuid
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房号
     * @return ch 仓房号
     */
    public Integer getCh() {
        return ch;
    }

    /**
     * 仓房号
     * @param ch 仓房号
     */
    public void setCh(Integer ch) {
        this.ch = ch;
    }

    /**
     * 货位号
     * @return hwh 货位号
     */
    public Integer getHwh() {
        return hwh;
    }

    /**
     * 货位号
     * @param hwh 货位号
     */
    public void setHwh(Integer hwh) {
        this.hwh = hwh;
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 粮食性质
     * @return lsxz 粮食性质
     */
    public Integer getLsxz() {
        return lsxz;
    }

    /**
     * 粮食性质
     * @param lsxz 粮食性质
     */
    public void setLsxz(Integer lsxz) {
        this.lsxz = lsxz;
    }

    /**
     * 库存数量
     * @return kcsl 库存数量
     */
    public BigDecimal getKcsl() {
        return kcsl;
    }

    /**
     * 库存数量
     * @param kcsl 库存数量
     */
    public void setKcsl(BigDecimal kcsl) {
        this.kcsl = kcsl;
    }

    /**
     * 生产年份
     * @return scnf 生产年份
     */
    public Integer getScnf() {
        return scnf;
    }

    /**
     * 生产年份
     * @param scnf 生产年份
     */
    public void setScnf(Integer scnf) {
        this.scnf = scnf;
    }

    /**
     * 最后一车作业日期
     * @return zhycrq 最后一车作业日期
     */
    public String getZhycrq() {
        return zhycrq;
    }

    /**
     * 最后一车作业日期
     * @param zhycrq 最后一车作业日期
     */
    public void setZhycrq(String zhycrq) {
        this.zhycrq = zhycrq == null ? null : zhycrq.trim();
    }

    /**
     * 储备年限
     * @return cbnx 储备年限
     */
    public String getCbnx() {
        return cbnx;
    }

    /**
     * 储备年限
     * @param cbnx 储备年限
     */
    public void setCbnx(String cbnx) {
        this.cbnx = cbnx == null ? null : cbnx.trim();
    }

    /**
     * 储存超限时间
     * @return cccxrq 储存超限时间
     */
    public String getCccxrq() {
        return cccxrq;
    }

    /**
     * 储存超限时间
     * @param cccxrq 储存超限时间
     */
    public void setCccxrq(String cccxrq) {
        this.cccxrq = cccxrq == null ? null : cccxrq.trim();
    }

    /**
     * 报警日期
     * @return bjrq 报警日期
     */
    public String getBjrq() {
        return bjrq;
    }

    /**
     * 报警日期
     * @param bjrq 报警日期
     */
    public void setBjrq(String bjrq) {
        this.bjrq = bjrq == null ? null : bjrq.trim();
    }

    /**
     * 报警类型(0:轮换预警,1:应轮未轮)
     * @return bjlx 报警类型(0:轮换预警,1:应轮未轮)
     */
    public String getBjlx() {
        return bjlx;
    }

    /**
     * 报警类型(0:轮换预警,1:应轮未轮)
     * @param bjlx 报警类型(0:轮换预警,1:应轮未轮)
     */
    public void setBjlx(String bjlx) {
        this.bjlx = bjlx == null ? null : bjlx.trim();
    }

    /**
     * 处理状态(0:未处理,1:已处理)
     * @return clzt 处理状态(0:未处理,1:已处理)
     */
    public String getClzt() {
        return clzt;
    }

    /**
     * 处理状态(0:未处理,1:已处理)
     * @param clzt 处理状态(0:未处理,1:已处理)
     */
    public void setClzt(String clzt) {
        this.clzt = clzt == null ? null : clzt.trim();
    }

    /**
     * 处理人
     * @return clr 处理人
     */
    public String getClr() {
        return clr;
    }

    /**
     * 处理人
     * @param clr 处理人
     */
    public void setClr(String clr) {
        this.clr = clr == null ? null : clr.trim();
    }

    /**
     * 处理时间
     * @return clsj 处理时间
     */
    public Date getClsj() {
        return clsj;
    }

    /**
     * 处理时间
     * @param clsj 处理时间
     */
    public void setClsj(Date clsj) {
        this.clsj = clsj;
    }

    /**
     * 库ID
     * @return org_id 库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库ID
     * @param orgId 库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 生成时间
     * @return scsj 生成时间
     */
    public Date getScsj() {
        return scsj;
    }

    /**
     * 生成时间
     * @param scsj 生成时间
     */
    public void setScsj(Date scsj) {
        this.scsj = scsj;
    }

    /**
     * 最后修改时间
     * @return updatetime 最后修改时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 最后修改时间
     * @param updatetime 最后修改时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}