package com.chinaitop.depot.warningAndAlarm.service;

import java.util.List;

import com.chinaitop.depot.warningAndAlarm.model.StorageJkqWarning;
import com.chinaitop.depot.warningAndAlarm.model.StorageRotationWarning;
import com.chinaitop.depot.warningAndAlarm.model.StorageRotationWarningWithBLOBs;

public interface YjbjService {

	/**
	 * 查询轮换预警列表
	 * @param orgId 库ID
	 * @param ch 仓房ID
	 * @param hwh 货位ID
	 * @param lspz 粮食品种ID
	 * @return
	 * @throws Exception
	 */
	public List<StorageRotationWarning> queryLhyjList(Integer orgId, Integer ch, Integer hwh, Integer lspz) throws Exception;

	/**
	 * 查询应轮未轮报警列表
	 * @param orgId 库ID
	 * @param ch 仓房ID
	 * @param hwh 货位ID
	 * @param lspz 粮食品种ID
	 * @return
	 * @throws Exception
	 */
	public List<StorageRotationWarning> queryYlwlList(Integer orgId, Integer ch, Integer hwh, Integer lspz,String rksj) throws Exception;

	/**
	 * 更新轮换预警报警数据的处理结果信息
	 * @param storageRotationWarningWithBLOBs
	 * @throws Exception
	 */
	public void updateDate(StorageRotationWarningWithBLOBs storageRotationWarningWithBLOBs) throws Exception;

	/**
	 * 按主键ID查询一条轮换预警报警数据
	 * @param id 主键唯一ID
	 * @return
	 * @throws Exception 
	 */
	public StorageRotationWarningWithBLOBs queryById(String id) throws Exception;

	/**
	 * 查询架空期预警列表数据
	 * @param orgId 库ID
	 * @param ch 仓房ID
	 * @param hwh 货位ID
	 * @param jhwh 计划文号
	 * @param lhnd 轮换年度
	 * @return
	 * @throws Exception
	 */
	public List<StorageJkqWarning> queryJkqyjList(Integer orgId, Integer ch, Integer hwh, String jhwh, String lhnd) throws Exception;

	/**
	 * 按主键ID查询一条架空期预警数据
	 * @param id 主键唯一ID
	 * @return
	 * @throws Exception
	 */
	public StorageJkqWarning queryByIdJkq(String id) throws Exception;

	/**
	 * 更新架空期预警数据的处理结果信息
	 * @param storageJkqWarning
	 * @throws Exception
	 */
	public void updateDate(StorageJkqWarning storageJkqWarning) throws Exception;
}
