package com.chinaitop.depot.warningAndAlarm.service.impl;

import java.util.Date;
import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.warningAndAlarm.common.StatusUtils;
import com.chinaitop.depot.warningAndAlarm.mapper.StorageJkqWarningMapper;
import com.chinaitop.depot.warningAndAlarm.mapper.StorageRotationWarningMapper;
import com.chinaitop.depot.warningAndAlarm.model.StorageJkqWarning;
import com.chinaitop.depot.warningAndAlarm.model.StorageJkqWarningExample;
import com.chinaitop.depot.warningAndAlarm.model.StorageRotationWarning;
import com.chinaitop.depot.warningAndAlarm.model.StorageRotationWarningExample;
import com.chinaitop.depot.warningAndAlarm.model.StorageRotationWarningExample.Criteria;
import com.chinaitop.depot.warningAndAlarm.model.StorageRotationWarningWithBLOBs;
import com.chinaitop.depot.warningAndAlarm.service.YjbjService;

@Service
public class YjbjServiceImpl implements YjbjService {

	@Resource
	private StorageRotationWarningMapper storageRotationWarningMapper;

	@Resource
	private StorageJkqWarningMapper storageJkqWarningMapper;

	@Override
	public List<StorageRotationWarning> queryLhyjList(Integer orgId, Integer ch, Integer hwh, Integer lspz)
			throws Exception {

		StorageRotationWarningExample example = new StorageRotationWarningExample();
		Criteria criteria = example.createCriteria();

		if (null != orgId) {
			criteria.andOrgIdEqualTo(orgId); //库ID
		}
		if (null != ch) {
			criteria.andChEqualTo(ch);  //仓房ID
		}
		if (null != hwh) {
			criteria.andHwhEqualTo(hwh);  //货位ID
		}
		if (null != lspz) {
			criteria.andLspzEqualTo(lspz);  //粮食品种ID
		}

		criteria.andBjlxEqualTo(StatusUtils.LHYJBJ_TYPE_0); //查询轮换预警的数据

		example.setOrderByClause("scsj desc"); //按照数据的生成时间倒序排序

		List<StorageRotationWarning> list = storageRotationWarningMapper.selectByExample(example);

		return list;
	}

	@Override
	public List<StorageRotationWarning> queryYlwlList(Integer orgId, Integer ch, Integer hwh, Integer lspz,String rksj)
			throws Exception {

		StorageRotationWarningExample example = new StorageRotationWarningExample();
		Criteria criteria = example.createCriteria();

		if (null != orgId) {
			criteria.andOrgIdEqualTo(orgId); //库ID
		}
		if (null != ch) {
			criteria.andChEqualTo(ch);  //仓房ID
		}
		if (null != hwh) {
			criteria.andHwhEqualTo(hwh);  //货位ID
		}
		if (null != lspz) {
			criteria.andLspzEqualTo(lspz);  //粮食品种ID
		}
		if (null != rksj) {
			criteria.andZhycrqLike(rksj);
		}

		criteria.andBjlxEqualTo(StatusUtils.LHYJBJ_TYPE_1); //查询应轮未轮报警的数据

		example.setOrderByClause("scsj desc"); //按照数据的生成时间倒序排序

		List<StorageRotationWarning> list = storageRotationWarningMapper.selectByExample(example);

		return list;
	}

	@Override
	public void updateDate(StorageRotationWarningWithBLOBs storageRotationWarningWithBLOBs) throws Exception {
		storageRotationWarningWithBLOBs.setUpdatetime(new Date());
		storageRotationWarningWithBLOBs.setClzt(StatusUtils.STATUS_1); //设置为已处理
		storageRotationWarningMapper.updateByPrimaryKeyWithBLOBs(storageRotationWarningWithBLOBs);
	}

	@Override
	public StorageRotationWarningWithBLOBs queryById(String id) throws Exception {
		return storageRotationWarningMapper.selectByPrimaryKey(id);
	}

	@Override
	public List<StorageJkqWarning> queryJkqyjList(Integer orgId, Integer ch, Integer hwh, String jhwh, String lhnd)
			throws Exception {

		StorageJkqWarningExample example = new StorageJkqWarningExample();
		StorageJkqWarningExample.Criteria criteria = example.createCriteria();

		if (null != orgId) {
			criteria.andOrgIdEqualTo(orgId);
		}
		if (null != ch) {
			criteria.andChEqualTo(ch);
		}
		if (null != hwh) {
			criteria.andHwhEqualTo(hwh);
		}
		if (null != jhwh) {
			criteria.andJhwhEqualTo(jhwh);
		}
		if (null != lhnd) {
			criteria.andLhndEqualTo(lhnd);
		}

		example.setOrderByClause("scsj desc");

		List<StorageJkqWarning> list = storageJkqWarningMapper.selectByExample(example);

		return list;
	}

	@Override
	public StorageJkqWarning queryByIdJkq(String id) throws Exception {
		return storageJkqWarningMapper.selectByPrimaryKey(id);
	}

	@Override
	public void updateDate(StorageJkqWarning storageJkqWarning) throws Exception {
		storageJkqWarning.setUpdatetime(new Date());
		storageJkqWarning.setClzt(StatusUtils.STATUS_1); //设置为已处理
		storageJkqWarningMapper.updateByPrimaryKeyWithBLOBs(storageJkqWarning);
	}

}
